commit b3dde943b7628bf32076b3e375256a775786d05b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2011-10-25

    release: bump to 3.3.1.1

    3.3.1 was accidentally released with a wrong tarball, bump version and
    roll a tarball again.

M	configure.in

commit f18eb3a0b04ab8b094012bb5d0d2abb0bf7b7799
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-25

    build: switch to XZ

M	configure.in

commit 628c0566f7317c25f30991652a6192d7d8f4fbd8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-25

    release: prepare for 3.3.1

M	NEWS
M	configure.in

commit 45ee835907056a95c4ae9dad5f7913620ed219d7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-25

    eel-string: don't segfault in eel_str_replace_substring for NULL
    strings

    Just check if the strings are != NULL before calling strlen() on them.

M	eel/eel-string.c

commit 79525a6502316974bd9e28144b82290b1840dac4
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-10-23

    Updated Slovenian translation

M	po/sl.po

commit 26a1e55ab5b8ebb8d441569bb790b0c4976c7bf8
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-10-22

    Updated Hebrew translation.

M	po/he.po

commit 2ce3696a73d5eda0b6213311f2bfee7a600d9256
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-19

    places-sidebar: trivial cleanups

M	src/nautilus-places-sidebar.c

commit 4764a856c7a6e5a84d4067e7b105c09a93ffdbe4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-19

    places-sidebar: return if we fail to compute a drop position

    Instead of using an invalid GtkTreePath, which could cause a segfault
    later.

    https://bugzilla.gnome.org/show_bug.cgi?id=660876

M	src/nautilus-places-sidebar.c

commit cda2c75df4b95a481e8b774081ec1240d47fa45f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-19

    places-sidebar: don't assert we have a valid selected iter

    When reordering bookmarks, don't assert we have a selected iter, since
    it might not always be the case.

    https://bugzilla.gnome.org/show_bug.cgi?id=660876

M	src/nautilus-places-sidebar.c

commit 7826dfbdc4cb9a5381b6d9845e0ba7459fcd2fe4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-19

    places-sidebar: don't call gtk_tree_model_get() with an invalid path

    If we click on an empty area of the sidebar, we shouldn't pop up any
    menu at all anyway, which is what this commit changes.
    Previously, we would have tried to get a GtkTreePath for the currently
    selected point and an iter for that (invalid) path, which would
    lead to
    gtk_tree_model_get() segfaulting on an invalid iter.

    https://bugzilla.gnome.org/show_bug.cgi?id=662218

M	src/nautilus-places-sidebar.c

commit 67aaaf9f9a95de0beb8a45f97b378144b93ab9d4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-10-19

    Updated Spanish translation

M	po/es.po

commit 11da44db624aadcf8b71950acf05b929caa565b6
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:	2011-10-18

    Updated Turkish translation

M	po/tr.po

commit 5208c1c1a2da66ece2562c22dde8ed51d550c1cf
Author: György Balló <ballogy@freestart.hu>
Date:	2011-10-18

    Autostart only in GNOME and Unity

    Don't show desktop icons in other DEs, e.g Xfce and KDE uses it's own
    desktop implementation.

    https://bugzilla.gnome.org/show_bug.cgi?id=661942

M	data/nautilus-autostart.desktop.in

commit a90444b3651272119d1d4ab65d70b41b95a87616
Author: Stefano Teso <stefano.teso@gmail.com>
Date:	2011-10-18

    places-sidebar: show a Properties item for mounts

    https://bugzilla.gnome.org/show_bug.cgi?id=546189

M	src/nautilus-places-sidebar.c

commit a598148fde3f08ad69115b96c5a9a821ac16983c
Author: Timothy Arceri <t_fridey@yahoo.com.au>
Date:	2011-10-18

    file-operations: show needed space as a secondary message

    When there's not enough space on the disk, show how much additional
    space is needed for the operation to complete, instead of a more
    obscure
    error message.

    https://bugzilla.gnome.org/show_bug.cgi?id=542960

M	libnautilus-private/nautilus-file-operations.c

commit c590280477db495a362339c512d73daade862329
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-18

    test: don't use deprecated gtk_vbox_new()

M	test/test-eel-editable-label.c

commit a816e00ef769a3be12a053a29e41f3da1b91c492
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-18

    all: don't use deprecated GDK pointer methods

    Use the new GdkDevice methods instead.

M	eel/eel-editable-label.c
M	libnautilus-private/nautilus-dnd.c
M	libnautilus-private/nautilus-tree-view-drag-dest.c
M	src/nautilus-notebook.c

commit 0594aa1636ef960361cf60d00c58ab94c81ee5d4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-18

    all: don't use deprecated GMutex/GThread API

    Also, threads area always enabled, so we can remove the
    G_THREADS_ENABLED conditionals.
    Require GLib 2.31 for this.

M	libnautilus-private/nautilus-file-changes-queue.c
M	libnautilus-private/nautilus-file-operations.c
M	libnautilus-private/nautilus-icon-info.c
M	libnautilus-private/nautilus-search-engine-simple.c

commit 04975e6cbc8f82238e3611a26b474b56c46ec1d3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-18

    all: don't call g_thread_init()

    GLib does that for us now.

M	configure.in
M	src/nautilus-main.c
M	test/test-copy.c
M	test/test-nautilus-search-engine.c

commit e54ace0a550b47c251634ee833884f5bc6ea4be6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-17

    editable-label: use GTK_STYLE_CLASS_ENTRY

    Because that's what it is actually...

M	eel/eel-editable-label.c

commit b143b95f20755fc8425464aa11df3fa2ac2df2ea
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-17

    editable-label: use gtk_render_frame() instead of hardcoding a stroke

    This allows the stroke to use rounded corners and border images, among
    other things.

M	eel/eel-editable-label.c

commit f9383acb378762a80a373f124e059aff5e571f21
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-17

    editable-label: don't hardcode black for the insertion cursor

    Use the theme foreground/text color instead.

M	eel/eel-editable-label.c

commit 3f95c46dff1c4f71f67d2733f0487350139775cf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-17

    editable-label: remove useless code

    No need to call _set_background() on the editable label widget.

M	eel/eel-editable-label.c

commit 8b87a3e86eb228d4414c3d64cc81b7bb56d27076
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-17

    editable-label: make sure to size_request the padding set on the label

    And not the alignment, which is an offset inside the allocated size.

M	eel/eel-editable-label.c

commit 4c74f176542935b8ea8f61f9bb9ae6cdb35466ea
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-17

    icon-container: use gdk_window_move() to position the typeahead popup

    For some reason, gtk_window_move() doesn't always work reliably, while
    gdk_window_move() seems to always position the window in the requested
    coordinates.

    https://bugzilla.gnome.org/show_bug.cgi?id=660807
    https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/857710

M	libnautilus-private/nautilus-icon-container.c

commit 9a703cea5067f68ef21b90a42856b229d5edc69d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-17

    icon-container: don't associate Ctrl+F to typeahead search

    It won't get triggered anyway, as we bind Ctrl+F to show the
    search bar
    in NautilusWindow.

M	libnautilus-private/nautilus-icon-container.c

commit fea4112c35c84bdb124a567c2d84a2f2a8bd172d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-17

    places-sidebar: don't crash when middle clicking on empty space

    gtk_tree_view_get_path_at_pos() can fail; handle that case instead of
    passing an invalid GtkTreePath.

    https://bugzilla.gnome.org/show_bug.cgi?id=657366
    https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/830185

M	src/nautilus-places-sidebar.c

commit 03888c1dde59cb2dd3b243e3c72f35757a4c2e5f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-17

    tree-sidebar: don't call g_free on a GObject list

    https://bugzilla.gnome.org/show_bug.cgi?id=660906
    https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/845408

M	src/nautilus-tree-sidebar.c

commit 0a5aa2a28d82554afb684d815e8180f307ac1897
Author: Ivan Masár <helix84@centrum.sk>
Date:	2011-10-16

    Updated Slovak translation

M	po/sk.po

commit 9bdca2a00b3c3f6a5e908964b4f3a2e39eec0145
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:	2011-10-17

    Updated Japanese translation

M	po/ja.po

commit 4b470c16d7b7190e973b712d9f29d6bccd7f9e83
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2011-10-14

    Updated Slovenian translation

M	po/sl.po

commit 1f23acbe5f526370db2ffec1dec09fea7e6de219
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2011-10-14

    Fixed Russian translation

M	po/ru.po

commit 04ff2cd9e6500b3f9f1052199e1321e33538225b
Author: Michael Biebl <biebl@debian.org>
Date:	2011-10-11

    Fix build failure if tracker FTS is enabled

M	libnautilus-private/nautilus-search-engine-tracker.c

commit 048115fa9c5c1ffa45a8df5fcb52e75f6c3d2641
Author: krishnababu k <kkrothap@redhat.ocm>
Date:	2011-10-10

    Updated Telugu Translations

M	po/te.po

commit 0dc5b59e637db6bdcc92a5b2bfce4a6a58c9a6e1
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:	2011-10-10

    Updated Turkish translation

M	po/tr.po

commit 428b468e8e6e66270cb434f14e4b1f8d7f5354c9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-05

    all: remove offset_x/offset_y parameters from
    eel_pop_up_context_menu()

    They're unused now.

M	eel/eel-gtk-extensions.c
M	eel/eel-gtk-extensions.h
M	src/nautilus-places-sidebar.c
M	src/nautilus-view.c

commit 7b290a2b2fee7028e50c0ecf15d5417a7a7dc59d
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2011-10-05

    Remove stale 'offset' in eel_pop_up_context_menu()

    Also, fix the fallback timestamp for the menu popup.

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	eel/eel-gtk-extensions.c

commit 61699ef56eb3091341c5f5a38189e12a11280e3e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-05

    eel: remove unused eel_gdk_rgba_is_dark()

M	eel/eel-gdk-extensions.c
M	eel/eel-gdk-extensions.h

commit bcc62bec90aec23fb1ede56f0ce0181218fdc81a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-05

    eel-string: remove unused code

M	eel/eel-string.c
M	eel/eel-string.h

commit 3a02c89ec0329ee6a1b0eab411eb0f95308626aa
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-05

    all: don't use eel_strlen()

M	src/nautilus-location-bar.c
M	src/nautilus-window-slot.c

commit fc1479fc3a614b00d0ff69bd1da62d4dee0a9af9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-05

    view: use g_str_has_prefix() instead of eel_str_has_prefix()

M	src/nautilus-view.c

commit 3daaaf4a9efa2913bbfbadf1492e670b3e83c4a0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-05

    all: don't use eel_strcmp()

M	eel/eel-glib-extensions.c
M	libnautilus-private/nautilus-bookmark.c
M	libnautilus-private/nautilus-directory.c
M	libnautilus-private/nautilus-file.c
M	libnautilus-private/nautilus-icon-canvas-item.c
M	libnautilus-private/nautilus-progress-info.c
M	src/nautilus-properties-window.c
M	src/nautilus-window-slot.c

commit 96254fec43923e7ef5a3e78604cb3b6935117f91
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-05

    eel: remove unused eel-gtk-macros.h file

M	eel/Makefile.am
D	eel/eel-gtk-macros.h
M	eel/eel.h
M	libnautilus-private/nautilus-bookmark.c
M	libnautilus-private/nautilus-clipboard-monitor.c
M	libnautilus-private/nautilus-desktop-directory.c
M	libnautilus-private/nautilus-desktop-link-monitor.c
M	libnautilus-private/nautilus-directory.c
M	libnautilus-private/nautilus-entry.c
M	libnautilus-private/nautilus-file.c
M	libnautilus-private/nautilus-icon-canvas-item.c
M	libnautilus-private/nautilus-icon-dnd.c
M	libnautilus-private/nautilus-merged-directory.c
M	libnautilus-private/nautilus-module.c
M	libnautilus-private/nautilus-query.c
M	libnautilus-private/nautilus-search-engine-simple.c
M	libnautilus-private/nautilus-tree-view-drag-dest.c
M	libnautilus-private/nautilus-undo-manager.c
M	libnautilus-private/nautilus-undo-signal-handlers.c
M	src/nautilus-application.c
M	src/nautilus-icon-view.c
M	src/nautilus-list-view.c
M	src/nautilus-location-bar.c
M	src/nautilus-view.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.c

commit 68732195bada37da771bab924352ca3864e2bdde
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-05

    view: don't use EEL_ASSIGN/EEL_IMPLEMENT macros for class signals

    Not that useful since we have full control over all the views.

M	src/nautilus-view.c

commit ce34c8c033d09578f7cb17b8531f6afc95555728
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-05

    view: don't use EEL_INVOKE_METHOD macro

M	src/nautilus-view.c

commit 2797c72a906ed6395afd45b9fa7c516d6ef3299f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-05

    all: don't use EEL_CALL_METHOD* macros

M	libnautilus-private/nautilus-directory.c
M	libnautilus-private/nautilus-directory.h
M	libnautilus-private/nautilus-file.c
M	src/nautilus-view.c
M	src/nautilus-window-slot.c

commit 45e3ad0979d79ba017e84a9f99f605ec562c8ae8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-05

    icon-view: simplify code by removing pointless method overrides

M	src/nautilus-icon-view.c
M	src/nautilus-icon-view.h

commit deb560128734593d9941f4a414e165b3943d61bf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-05

    all: don't use EEL_CLASS_BOILERPLATE macro

M	libnautilus-private/nautilus-vfs-directory.c
M	libnautilus-private/nautilus-vfs-file.c

commit f0dc94fed68eb5a52d705391053bd642a88ab1d3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-05

    all: don't use EEL_CALL_PARENT* macros

    Replace them with regular calls to the parent class method pointer.

M	libnautilus-private/nautilus-desktop-directory.c
M	libnautilus-private/nautilus-desktop-link-monitor.c
M	libnautilus-private/nautilus-directory.c
M	libnautilus-private/nautilus-merged-directory.c
M	libnautilus-private/nautilus-module.c
M	libnautilus-private/nautilus-query.c
M	libnautilus-private/nautilus-search-engine-simple.c
M	libnautilus-private/nautilus-search-engine.c
M	libnautilus-private/nautilus-tree-view-drag-dest.c
M	src/nautilus-empty-view.c
M	src/nautilus-list-view.c
M	src/nautilus-location-entry.c
M	src/nautilus-view.c

commit 785ee926b36165b4849903e5f4828a17aabe534c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-04

    properties-window: paint the pie backgorund with the notebook color

    We have to reset the GtkDrawingArea background to the notebook
    color, in
    case the theme specifies them to be different.

M	src/nautilus-properties-window.c

commit 8b99f1fae29b333c9beeee3dad848099a66e731d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-04

    properties-window: port the pie chart GtkTable to GtkGrid

M	src/nautilus-properties-window.c

commit 0026899cd9f5cd636b4a44ec838e2ec228b210bb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-04

    properties-window: port GtkTable to GtkGrid

    Except for the pie chart, which will be ported in a separate commit

M	src/nautilus-properties-window.c

commit ac6797687cc3dc77e1fc6752090a7ef037252ade
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-04

    window: port GtkTable to GtkGrid

M	src/nautilus-window-private.h
M	src/nautilus-window.c

commit c6903f412d204ce4ab83fa328fe7df3c81781b68
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-04

    view: port GtkTable to GtkGrid

M	src/nautilus-view.c

commit 29dea2e40f6631935a9479c2cf96534308215183
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-04

    desktop-item-properties: port GtkTable to GtkGrid

M	src/nautilus-desktop-item-properties.c

commit 7f3e5ce7786bfdf728169d222ef7584306f2b445
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-04

    connect-server-dialog: port GtkTable to GtkGrid

M	src/nautilus-connect-server-dialog.c

commit 24658f2ba3c9a9dd12416933942370cd6ff6271c
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2011-10-04

    Fix confusion in the fallback size for icons

    Just caught this when reading the code...

    https://bugzilla.gnome.org/show_bug.cgi?id=660894

M	libnautilus-private/nautilus-icon-info.c

commit d8cfe1080a15fd05a306ee3a6adb5767df4fe58f
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2011-10-03

    Updated Esperanto translation

M	po/eo.po

commit f1aae7bd99efac46a4f7b67beb53205b6cb89f47
Author: Tiffany Antopolski <tiffany.antopolski@gmail.com>
Date:	2011-10-03

    Updated Esperanto translation

M	po/eo.po

commit 0c80c23a771da619bfd6858397d10b2446966fa2
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-10-02

    po/vi: better translation of "Go"

M	po/vi.po

commit 530bbec3b5d663ca7e3244446d9bc73f1cf323b0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-29

    all: remove initiated_unmount logic from NautilusWindow

    We don't really need this, and it makes the behavior way less
    convoluted.
    Now we always try to close the current slot on mount remove,
    except when
    it would be the last window at all to be closed.

M	src/nautilus-application.c
M	src/nautilus-places-sidebar.c
M	src/nautilus-view.c
M	src/nautilus-window-slot.c

commit 269c6b23cf2b97f74a8c7c2654221be491b60cf4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-29

    window: add debug messages for pane closing

M	src/nautilus-window-pane.c
M	src/nautilus-window.c

commit 379e0883d06f782fb43d32a1b5031f52c5cfc9b4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-29

    window: cleanup nautilus_window_close_pane()

M	src/nautilus-window-private.h
M	src/nautilus-window.c

commit 3ac3935e9d4a9e40b2e889cb16409cadc30bb8dd
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-29

    window-pane: fix switching to the other pane when closing the
    last slot

    We're closing a window slot; when it's the last slot to be closed, we
    used to call nautilus_window_split_view_off() on the wrong pane.
    Even if we called it on the right pane, it wouldn't have worked
    anyway,
    because we could have removed the active pane, and that function
    always
    assumes going back to it.
    Also, we need to ensure that active_slot is set on the new pane, or
    nautilus_window_set_active_slot() won't be called to restore the right
    window state.

    https://bugzilla.gnome.org/show_bug.cgi?id=652320

M	src/nautilus-window-pane.c

commit f6bbf0f111f344276472aaa54072bf99ae7be9b2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-29

    view: don't assert on window slot signal callback ordering

    There's no reason to assert on the fact that inactive and active
    signals
    will be always emitted in alternate state. If this doesn't happen,
    just
    return.

    https://bugzilla.gnome.org/show_bug.cgi?id=652320

M	src/nautilus-view.c

commit 1c06d97c9663ec5b77f21326490146c9a9d8f9d9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-29

    places-sidebar: disconnect volume monitor signals on dispose

    The GIO volume monitor can survive the sidebar, so we need to
    disconnect
    its signals handlers on dispose.

    https://bugzilla.gnome.org/show_bug.cgi?id=652320

M	src/nautilus-places-sidebar.c

commit 1f61da02d767b2a767d1dc2fd8c6714c6f6a60d0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-28

    window-slot: don't go through the back list when checking a mount

    There's no reason the slot shouldn't be closed if one of the locations
    in the back history belongs to the mount (what we should do is
    cleaning
    up that location from the history, which we don't yet).

M	src/nautilus-window-slot.c

commit df47a7e142357ff404dceaf43bf3c7ae492fddcc
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-28

    application: avoid useless checks when removing a mount

    nautilus_window_slot_should_close_with_mount() has the same checks and
    more.

M	src/nautilus-application.c

commit d49f23ae211cb24cc43efa68d46f7867dbe26364
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-28

    window-pane: turn into a GtkBox, simplify code

M	src/nautilus-window-pane.c
M	src/nautilus-window-pane.h
M	src/nautilus-window.c

commit eaa98a76fbc144ff1f14f2df8fb3d6873541465b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-28

    desktop-link-monitor: plug a memory leak

M	libnautilus-private/nautilus-desktop-link-monitor.c

commit 0d191f445da18d0bed1c8ca6d3e05dc4ffae4293
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-28

    window-manage-views: plug a memory leak

    We have to free the new selection list when we build it ourselves.

M	src/nautilus-window-manage-views.c

commit 37386fab28267cdbedd979fff13fe1a9da81014d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-28

    list-view: don't activate the previewer when there's no selection

    Or we'll segfault when trying to access the first item of the
    selection.

    https://bugzilla.gnome.org/show_bug.cgi?id=654857

M	src/nautilus-list-view.c

commit 3429a6ff153c85a6a65ccb994b4cb4434e4fffcf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-28

    icon-container: consolidate typeahead entry timeout handling

    We have crash reports coming from the search entry typeahead code. I
    can't really reproduce the bug, but there seems to be at least
    a problem
    with the typeahead flush timeout returning TRUE and being rescheduled.
    Refactor the code to better handle the flush timeout, which hopefully
    solves those crashes as well.

    https://bugzilla.gnome.org/show_bug.cgi?id=653800

M	libnautilus-private/nautilus-icon-container.c
M	libnautilus-private/nautilus-icon-private.h

commit 718b8641935b5a8de67e83ec12f9026aecd41e8c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-28

    window: small code cleanups

M	src/nautilus-window-private.h
M	src/nautilus-window.c

commit d3c158d6c9a6ee40fae660ab56b7d8a40074108c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-28

    window: make sure to disconnect GSettings signals when finalizing

    The GSettings object survive the window, so handlers connected to its
    signals should be disconnected when the window is finalized.

    https://bugzilla.gnome.org/show_bug.cgi?id=655070

M	src/nautilus-window-menus.c
M	src/nautilus-window-private.h
M	src/nautilus-window.c

commit 82a39de7a3c1265ba1a46d1140a084a12b310e32
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-28

    places-sidebar: don't crash when not finding the eject symbolic icon

    If a theme doesn't have media-eject-symbolic, icon_info can be
    NULL, and
    we would crash trying to load a pixbuf from it anyway.
    Fix this and show the stock 'missing image' pixbuf when the theme
    doesn't have the specified icons.

    https://bugzilla.gnome.org/show_bug.cgi?id=660277

M	src/nautilus-places-sidebar.c

commit 35059bec98b8ede682e582395b889dc149fc7cba
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2011-09-28

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit f51bad348ab71e3203a7b76c45d307b0fafc5128
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-26

    release: prepare for 3.2.0

M	NEWS
M	configure.in

commit c6299e775ae7770b5b98ede0b70e90ecd04bc742
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-26

    trivial: fix a critical when opening preferences

    Just a trivial cleanup for a critical accidentally introduced
    in commit
    db72d73b3cd58493b1b8878a52ff8a9f5d350602

M	src/nautilus-file-management-properties.c
M	src/nautilus-file-management-properties.ui

commit 278a92edf777eb3dc623a4284ef4d81af3f77d27
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2011-09-26

    Updated Slovenian translation

M	po/sl.po

commit 34b5833b704e174c82d943b28e59d91e9531fdbc
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2011-09-26

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 2b296a9d0dfba07b62144e96a52368205c447561
Author: Tommi Vainikainen <thv@iki.fi>
Date:	2011-09-26

    Updated Finnish translation

M	po/fi.po

commit 368d49124774c4bf640f617e4fcf86641dd886e7
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:	2011-09-25

    Updated Irish translation

M	po/ga.po

commit 544fcac94f70f3f35105bfad3f6dda21197d7378
Author: Andika Triwidada <andika@gmail.com>
Date:	2011-09-25

    Updated Indonesian translation

M	po/id.po

commit dfb8d194bf9ff460b8d6a7a9e3629ab5b343bb46
Author: Lucas Lommer <llommer@svn.gnome.org>
Date:	2011-09-24

    Updated Czech translation

M	po/cs.po

commit 5e83b5591ffccef5e9faa8bc384c7ffd59eab05e
Author: Lucas Lommer <llommer@svn.gnome.org>
Date:	2011-09-24

    Updated Czech translation

M	po/cs.po

commit 55210fff4df1ea8312b9e276f65dd3e22ec406f0
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-09-24

    Updated Basque language

M	po/eu.po

commit adb9e12825aedee3b71a1bd9bb4589b22f724946
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:	2011-09-23

    Updated Japanese translation

M	po/ja.po

commit a2045383fc726c4d11a1ab08837fd97d9d098a3b
Author: Claude Paroz <claude@2xlibre.net>
Date:	2011-09-22

    Cleaned Assamese translation

M	po/as.po

commit f07aa75bf010653bd9e1a5f5519fec8a029763de
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-22

    icon-canvas-item: don't draw pango layouts when renaming

    Fixes a regression introduced in commit
    95910c94fd46f368b66f02e1961dc5f273b38c82 that causes unwanted text
    to be
    drawn while renaming a file in icon view.

    https://bugzilla.gnome.org/show_bug.cgi?id=659831

M	libnautilus-private/nautilus-icon-canvas-item.c

commit 2b9b06cfa8bb431f21af74a5f630646df494eb00
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2011-09-23

    Updated Korean translation

M	po/ko.po

commit 9023264e0660b50253a9bf7bffe977e0b3a6fd4c
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:	2011-09-22

    Updated Danish translation

M	po/da.po

commit f985fe035500e57bbede9f0dfb252fc0f2569377
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2011-09-22

    Updated Gujarati Translations

M	po/gu.po

commit b8238d4a89de55a2e93af7f2aee15cf4148625a6
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-09-19

    Updated Hungarian translation

M	po/hu.po

commit 2cb91c05718dc5463a52eadf24e6036adfe6e10e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-19

    icon-canvas-item: don't forget to clip the embedded text rectangle

    When drawing the embedded text, the pango layout should be clipped to
    the computed rectangle.

    https://bugzilla.gnome.org/show_bug.cgi?id=659518

M	libnautilus-private/nautilus-icon-canvas-item.c

commit bf1f6bde79f5226388551780dcd7f148c8f55734
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-19

    release: prepare for 3.1.92

M	NEWS
M	configure.in

commit 0a32dd8da8b2a9d10189ef6c8865bb4ec2ca345f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-19

    users-group-cache: nuke this, as it appears to be unused

M	libnautilus-private/Makefile.am
M	libnautilus-private/nautilus-file.c
D	libnautilus-private/nautilus-users-groups-cache.c
D	libnautilus-private/nautilus-users-groups-cache.h

commit b11c8a69479b5307d946dbc5742baf5cca75ae06
Author: Mike Gorse <mgorse@novell.com>
Date:	2011-09-16

    Fix accessibility for gtk 3.2, and send object:state-changed:selected

    The code to derive the EelCanvasAccessible class no longer works as of
    gtk+ 3.1.9.  Currently the recommended behavior is to derive from
    GtkAccessible.

    Also, canvas items should send object:state-changed:selected
    events when
    selected and unselected; otherwise AT-SPI will not update its cache.

    https://bugzilla.gnome.org/show_bug.cgi?id=650897

M	eel/eel-canvas.c
M	eel/eel-canvas.h
M	libnautilus-private/nautilus-icon-canvas-item.c

commit f83324a05375ba1aa97d3e6ea91f4af323f2bd2c
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2011-09-18

    Updated Lithuanian translation

M	po/lt.po

commit 5d549140c95ebb9e7c5cdf5d7d639cca36a22021
Author: Lê Hoàng Phương <herophuong93@gmail.com>
Date:	2011-09-18

    po/vi.po: changed Bookmark translation from "Liên kết lưu" to
    "Đánh dấu"

M	po/vi.po

commit 0d1300c2c0790ea510a9253314e0c1f92e241843
Author: Nguyễn Vũ Hưng <vuhung16plus@gmail.com>
Date:	2011-09-18

    Updated Vietnamese translation

M	po/vi.po

commit 4016176dc43e4c502714d7544000dbed64c95dfe
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2011-09-18

    Updated Thai translation.

M	po/th.po

commit 92e3aded0c213d33e6bbe39f4a9258f4a50a0f7c
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	2011-09-17

    Updated reduced Finnish translation

M	po/fi.po

commit c408390df407fa4b90d4d8bf49a26401ec908512
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2011-09-17

    Updated Belarusian translation (some fixes after manual testing).

M	po/be.po

commit 8fc72b1b9122cd3dec7c40c2d8f3b24a5038ae46
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2011-09-17

    Updated Bulgarian translation

M	po/bg.po

commit c0f1c0988790e458351a3e6f6a9bdc494efc0797
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:	2011-09-17

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 4fde92db8333dfdb708f57e9b69d3fa74f511663
Author: Joan Duran <jodufi@gmail.com>
Date:	2011-09-17

    [l10n]Updated Catalan translation

M	po/ca.po

commit 3956b5c163d1b6beda14ab3d47bf78653208c106
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:	2011-09-17

    Updated Japanese translation

M	po/ja.po

commit d477edb640c0aa58550e43992fb788f54b2ec700
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-09-16

    [l10n] Updated German translation

M	po/de.po

commit c97c17c4970cb9ae9c38685005995abe2a880921
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2011-09-16

    Uploaded Ukranian

M	po/uk.po

commit a046d86cd13431eef4bae743c0ca505dffaecca0
Author: dmustieles <daniel.mustieles@gmail.com>
Date:	2011-09-14

    Updated Spanish translation

M	po/es.po

commit cb9d902fccbc462253d60d9a39fa5ee2cce1af7d
Author: Yinghua Wang <wantinghard@gmail.com>
Date:	2011-09-13

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit 67743ffbc62abeb2bb3511901c95fb57d4ee9d93
Author: Yinghua Wang <wantinghard@gmail.com>
Date:	2011-09-13

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit 78be87bc843f71670b41011b645f983bab6ba81d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-12

    desktop: ensure the desktop metadata is up to date when setting
    as ready

    As part of the I/O machinery cycle internal to call_when_ready
    nautilus_file_clear_info() can be called and clear the metadata we
    previously set during _init.
    Move the desktop metadata initialization before returning the file as
    ready, so it's always up to date when the view reads the settings.

    https://bugzilla.gnome.org/show_bug.cgi?id=655561

M	libnautilus-private/nautilus-desktop-directory-file.c

commit 6775e582bcd332eaed925f41555fe4e5c0a3dd71
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-12

    file: read the emblem icon names from metadata

    Support for the metadata::emblems got lost during the 3.0 development,
    re-add support for it.

M	libnautilus-private/nautilus-file.c

commit 97802bc3f6cfbd464eae6e4375cc8f7d71a218af
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-12

    window-manage-views: scroll to the selected location when opening
    an URI

    When opening nautilus with a preselected URI, scroll the window
    to that
    location in addition to selecting the view element.

    https://bugzilla.gnome.org/show_bug.cgi?id=658843

M	src/nautilus-window-manage-views.c

commit 3add5865157f6eb66ddf5729ffdf3102c020cc10
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2011-09-12

    updated Tamil translation

M	po/ta.po

commit d82cd5965c246173c3f8e3ce39fdde740592259e
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-09-11

    Updated Latvian translation.

M	po/lv.po

commit e7c643cea5a4455d34954edfad24ca62dd585156
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-09-11

    Updated Spanish translation

M	po/es.po

commit 7fe6d3d2a4fe48d58afba8c0ee8e40fe60c5d63b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-10

    tree-sidebar: don't block the parent handler when popping up a menu

    Otherwise the treeview will not select the row where the event
    happened.

    https://bugzilla.gnome.org/show_bug.cgi?id=601725

M	src/nautilus-tree-sidebar.c

commit bc236c95df0b3362b4e51a404bd89e13062afa49
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:	2011-09-10

    Updated Persian translation

M	po/fa.po

commit 8873abff5de2fd8039ba52e60a835444527f7349
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2011-09-10

    Updated Portuguese translation

M	po/pt.po

commit a465c3b91dfadbfb590adc42fee18aaa1b61d9fc
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:	2011-09-10

    Updated Japanese translation

M	po/ja.po

commit 8d5e8502862f93a188a848ca79779db09e4abf85
Author: A S Alam <aalam@users.sf.net>
Date:	2011-09-10

    update PunjabiTranslation

M	po/pa.po

commit d56fd8f591b3909ef58d7e191afb400de7a8f75f
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2011-09-09

    Updated Esperanto translation

M	po/eo.po

commit 99ad534b7b2fae3fdfa15345cbeae01da5dda803
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-09-09

    Make maintiner mode enabled by default

    See
    http://blogs.gnome.org/desrt/2011/09/08/am_maintainer_mode-is-not-cool/

M	configure.in

commit a64ac652e217cfd9809f669453da6577a198ae37
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-09-09

    Updated Hebrew translation.

M	po/he.po

commit 2f064e560cf949b1e1bc4448eaa277f8e05180d8
Author: David Liang <liangchenye@gmail.com>
Date:	2011-09-09

    icon-container: invalidate the layout cache on style-updated

    This way label sizes will be recomputed if e.g. DPI settings change.

    https://bugzilla.gnome.org/show_bug.cgi?id=578468

M	libnautilus-private/nautilus-icon-container.c

commit c0e6ac365cd4d4d4add0db1edf6f7506bd85e57f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2011-09-09

    file-operations: ignore ALREADY_MOUNTED errors when mounting

    Don't spawn an error dialog in this case.

    https://bugzilla.gnome.org/show_bug.cgi?id=579645

M	libnautilus-private/nautilus-file-operations.c

commit a78d885027d6a49d712b5589fd79c822edf4e17d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-08

    search-directory: stop the engine when there are no active monitors

    My understanding of this code suggests the engine should be stopped as
    soon as the active monitors reach zero.
    This fixes the Stop button not working while searching anyway, and
    doesn't seem to cause any collateral damage.

    https://bugzilla.gnome.org/show_bug.cgi?id=563163

M	libnautilus-private/nautilus-search-directory.c

commit fdf0036ca9fbb17b97aefabd95f994190cdc0bac
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-09-08

    Updated Polish translation

M	po/pl.po

commit 226595c7ed30e21247d07a063dd7d1f9221306ed
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2011-09-08

    l10n: Updated Italian translation

M	po/it.po

commit 920aa3d94be890f241d3be415540dbde6a81df0a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-08

    tracker: always reset the cancellable when starting a query

    Otherwise we can start a query with a cancelled object already, making
    it fail immediately.

M	libnautilus-private/nautilus-search-engine-tracker.c

commit ee73c255d75165607c7f04defd5e8edfa3524914
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-08

    window: make sure not to unref NULL GFiles

    The GFile pointed by parent here can be NULL after the cycle, so fold
    the unref in the != NULL block.

M	src/nautilus-window-manage-views.c

commit 88b08d691c17b9686938a0b20a37a19ac99cacc3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-08

    all: remove is_indexed property on NautilusSearchDirectory

    It doesn't really make sense to artificially change the query
    target if
    we're indexed.

M	libnautilus-private/nautilus-search-directory.c
M	libnautilus-private/nautilus-search-directory.h
M	libnautilus-private/nautilus-search-engine-simple.c
M	libnautilus-private/nautilus-search-engine-tracker.c
M	libnautilus-private/nautilus-search-engine.c
M	libnautilus-private/nautilus-search-engine.h
M	src/nautilus-query-editor.c
M	src/nautilus-query-editor.h
M	src/nautilus-window-pane.c
M	src/nautilus-window-slot.c

commit aef4bf26ed8b48f6519fec9531bb530783193447
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-08

    tracker: respect the location URI when searching with tracker

M	libnautilus-private/nautilus-search-engine-tracker.c

commit a65eb16241ea0e64e5bf2547ffdaebcaa4547574
Author: Claude Paroz <claude@2xlibre.net>
Date:	2011-09-08

    Updated French translation

M	po/fr.po

commit 6f4d215dd9df1b3b0c7fb4714fda88bc2ef39590
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2011-09-08

    Updated British English translation

M	po/en_GB.po

commit 92e40dd094a812db6bcc3e60c0830d20b3f07b15
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-08

    window: steal all accelerators/mnemonics keybindings when renaming

    If we're renaming, we really want to ignore all the accelerators
    and mnemonics coming from NautilusWindow and NautilusView, as
    they might
    conflict with the regular bindings expected in an editable widget,
    such
    as an editable GtkCellRendererText or EelEditableLabel.
    This should fix all the recent keybinding-related regressions, such as

    https://bugzilla.gnome.org/show_bug.cgi?id=658105
    https://bugzilla.gnome.org/show_bug.cgi?id=651574

M	src/nautilus-window.c

commit a67212a39bbcd342f0a503d693ebd80fab48ac9c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-08

    view: add an is_renaming property to NautilusView

    And keep it in sync with the renaming widget. This will be useful to
    forward events to the view if it's renaming.

M	libnautilus-private/nautilus-icon-container.c
M	libnautilus-private/nautilus-icon-container.h
M	src/nautilus-icon-view.c
M	src/nautilus-list-view.c
M	src/nautilus-view.c
M	src/nautilus-view.h

commit 88b535828ddacd7ec2313d52a21f164aee535fa3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-08

    Revert "window: reverse the order of key-press event processing"

    This reverts commit f76c50a0e46aa7786820f76b3f71b57b44b8d7fb.

M	libnautilus-private/nautilus-icon-container.c
M	src/nautilus-list-view.c
M	src/nautilus-window.c

commit c55fa6b75ba623b327975fdaa37d5a8e6669e7ac
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-08

    build: fix optional dependency check on libtracker-sparql

    Commit ffc7c7f98901e8a319b91716d05e521a798dbe43 didn't really work in
    the case where no tracker was found on the system, really forcing a
    build dependency. Fix this.

    https://bugzilla.gnome.org/show_bug.cgi?id=658545

M	configure.in

commit 8d8979f53cea0e8e48faa9ffba82950013e18ad0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-07

    icon-dnd: remove hardcoded highlight frame

    The call to gtk_render_frame() should be enough; the problem is with
    Adwaita which does not define a CSS style for the "dnd" class.

M	libnautilus-private/nautilus-icon-dnd.c

commit 7732a6b35369c1cef56351cc491358c2f6623c5e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-07

    icon-canvas-item: render the additional text with gtk_render_layout()

    And add a style class for it.

M	libnautilus-private/nautilus-icon-canvas-item.c

commit ffc7c7f98901e8a319b91716d05e521a798dbe43
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-07

    tracker: make the tracker-sparql dependency optional

    This way it's still possible to specify --enable-tracker=no from the
    configure line if you want to avoid the tracker dependency.

M	configure.in
M	libnautilus-private/Makefile.am
M	libnautilus-private/nautilus-search-engine.c

commit b3da52fefdbf5dc6f8f95fe381181dc47e54d5c3
Author: Stefano Teso <stefano.teso@gmail.com>
Date:	2011-09-07

    file: make sure not to use a 0 width/height when scaling the image

    The problem is that for extreme height-to-width ratio images,
    gdk_pixbuf_scale_simple () is called with either width or height = 0
    (printing a critical warning to the terminal).

    https://bugzilla.gnome.org/show_bug.cgi?id=329010

M	libnautilus-private/nautilus-file.c

commit f1dd42ec1c86e78fa894c07ee6b0c8df60d45acb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-07

    tracker: use libtracker-sparql directly

    It's not a problem for nautilus to depend on libtracker-sparql here
    instead of using g_module_open()

M	configure.in
M	libnautilus-private/nautilus-search-engine-tracker.c

commit 402b281790c1bca3fc10010008cb1ac6fb997b59
Author: Pavlos Touboulidis <pavlos256@gmail.com>
Date:	2011-04-11

    list-view: Fix default sort order.

    Removed the extra "uri" element from the sort order mapping array
    because the settings enum values were being mapped to the wrong
    strings.

    https://bugzilla.gnome.org/show_bug.cgi?id=647491

M	src/nautilus-list-view.c

commit ad5b834df34d6a8f3919909b63ce97cc2bda53d4
Author: mads@kiilerich.com <mads@kiilerich.com>
Date:	2011-09-07

    nautilus-autorun-software: handle mime type x-content/unix-software
    only

    This is a consequence of the fix for
    https://bugs.freedesktop.org/show_bug.cgi?id=20562 .

    This undoes the part of cffb9cf7025 that hardcodes that media with
    x-content/win32-software are silently ignored, and thus improves
    on the
    fix for #524270.

    Wine or something could now provide a handler for win32-software.

    https://bugzilla.gnome.org/show_bug.cgi?id=632510

M	data/nautilus-autorun-software.desktop.in.in
M	src/nautilus-autorun-software.c

commit 8978c6375bbe0cd26fffded25bc4606cab2c88e6
Author: Phillip Berndt <phillip.berndt@gmail.com>
Date:	2011-02-16

    nautilus-autorun-software: Use /bin/sh for autorun.sh execution

    If the autorun file is called autorun.sh it is clearly meant for
    execution through a sh processor. The benefit of using /bin/sh as the
    executable is that autorun will also work on FAT formatted media
    (which
    does not allow autorun.sh to have +x permission set)

    https://bugzilla.gnome.org/show_bug.cgi?id=642511

M	src/nautilus-autorun-software.c

commit d1bc9311392e243aa5c9af4b80a373b6dd69d741
Author: Sandro Mani <manisandro@gmail.com>
Date:	2011-09-07

    mime-actions: don't spawn a warning if we have only one application

    Don't show a confirmation dialog when we're opening a number of files
    with the same application.

    https://bugzilla.gnome.org/show_bug.cgi?id=649811

M	src/nautilus-mime-actions.c

commit 571a6ef755a6190d442739589b686401d75ff40b
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2011-04-15

    connect-server-dialog: Respect password save setting

    The "Remember this password" checkbox was not respected
    when password was specified and connection succeeded
    for the first time.

    https://bugzilla.gnome.org/show_bug.cgi?id=641376

M	src/nautilus-connect-server-dialog.c

commit 0ae354ce50394d18be01ca670fdf190d63c1591e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-07

    search-bar: use gtk_entry_set_icon_from_icon_name()

    Now that we have an image style class for entry icons, we can
    style the
    symbolic color from the theme instead of rendering this manually.

    This also has the side effect of fixing bugs like
    https://bugzilla.gnome.org/show_bug.cgi?id=651209

M	src/nautilus-search-bar.c

commit 37e379a5a484b604bd25f0b4cb3269f6e4c942ba
Author: Michael Terry <michael.terry@canonical.com>
Date:	2011-06-29

    Look at XDG_CURRENT_DESKTOP to decide if a link is foreign

    https://bugzilla.gnome.org/show_bug.cgi?id=653660

M	libnautilus-private/nautilus-link.c

commit 637289f74536ed2f31e05604401203a9360c439f
Author: Michael Terry <michael.terry@canonical.com>
Date:	2011-06-29

    Add Unity to OnlyShowIn

    https://bugzilla.gnome.org/show_bug.cgi?id=653657

M	data/nautilus.desktop.in.in

commit cbadf49a82c70bb6ef90d63fdc4b43f4cb108598
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-07

    css: remove custom CSS stylesheet

    Our custom CSS stylesheet is actually very tied to Adwaita. We don't
    want to force this style to other GTK+ themes, so the theming
    information has been moved to Adwaita itself.

M	data/Makefile.am
D	data/nautilus.css
M	src/nautilus-application.c

commit ca7f81e2e9adf325effa11fc55aace4a087ab61b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-07

    icon-container: use the "rubberband" style class for the selection
    item

    Instead of using a custom style property.

M	data/nautilus.css
M	libnautilus-private/nautilus-icon-container.c

commit 8b676a68b698b705a6008c89d53fded1cf635981
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-07

    desktop: add a nautilus-desktop style class to the desktop canvas

    So that themes can tweak the color/background of desktop canvas items
    separately.

M	libnautilus-private/nautilus-icon-container.c

commit 22707fdc469dfc7548adc8020e3aaf63b20ae1bf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-07

    eel: remove unused eel_cairo_draw_layout_with_drop_shadows()

M	eel/eel-gdk-extensions.c
M	eel/eel-gdk-extensions.h

commit 77eecef417b91bb0c48588513de473f11a5c9896
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-07

    icon-container: remove unused code caching canvas item colors

    Caching colors in NautilusIconContainer to use them in the canvas item
    is not needed anymore, as gtk_render_* fetches the right values
    directly
    from the style context.

M	libnautilus-private/nautilus-icon-container.c
M	libnautilus-private/nautilus-icon-private.h

commit 95910c94fd46f368b66f02e1961dc5f273b38c82
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-07

    icon-canvas-item: use gtk_render_* methods instead of direct cairo

    Instead of hardcoding colors and using direct cairo calls to draw the
    canvas items frame/background/labels, use gtk_render_* methods
    directly.
    This has the advantage of making them more friendly with GTK+ themes
    (by
    adding a nautilus-canvas-item style class to the canvas context when
    drawing) and removes a ton of convoluted cairo drawing code.

M	libnautilus-private/nautilus-icon-canvas-item.c

commit 483f13c18f55e489bc15ad266d5612edf96ad95a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-09-07

    Updated Slovenian translation

M	po/sl.po

commit 5b09cedf434b53a975074b346d511335fc735cba
Author: Rui Matos <tiagomatos@gmail.com>
Date:	2011-08-08

    list-view: explicitly set cursor on file name cell renderer on rename

    The file name column has two cell renderers, one for the icon and
    another for
    the name string. Thus, gtk_tree_view_set_cursor() isn't enough
    to reliably
    start editing the file name cell since it will try to edit whatever
    is the
    currently focused cell in the column.

    https://bugzilla.gnome.org/show_bug.cgi?id=656128

M	src/nautilus-list-view.c

commit b20d9570c840f696eae5216652d93540bcfdc6db
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-07

    floating-bar: remove some unused code

M	src/nautilus-floating-bar.c

commit 00b108c687408db87ebb617186aa8fa62f35c7de
Author: Luke Symes <allsymes@gmail.com>
Date:	2011-07-16

    Don't hide the floating-bar on hover if it is interactive

    If there are actions set on the floating bar, avoid escaping the
    pointer.

    https://bugzilla.gnome.org/show_bug.cgi?id=654558

M	src/nautilus-floating-bar.c
M	src/nautilus-window-manage-views.c

commit 3f892611ab497180fae677abd6520e4cd387877f
Author: Stas Solovey <whats_up@tut.by>
Date:	2011-09-07

    Updated Russian translation

M	po/ru.po

commit a21d27b66fa307adaf87918f5feb2be44d52fdca
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-09-07

    places-sidebar: don't manually highlight the symbolic eject icon

    Set the right style class and state when rendering the icon, so the
    theming engine can fetch the right color from the theme and color the
    symbolic icon automatically.

M	src/nautilus-places-sidebar.c

commit 1eaae29320deb8dc6f218c13584aac5bbb66acd1
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2011-09-07

    Updated Belarusian translation.

M	po/be.po

commit 407e426fcd2413a5a27e8bbc9f455da9e3fbbe59
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-09-06

    Updated Norwegian bokmål translation

M	po/nb.po

commit 62bb5efc592a1241bfb0ca5c3773eb8ad899cbcc
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2011-09-06

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit fa72a893c4e8558d94c22cb9ed3ed6c417eb265f
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-09-05

    Updated Swedish translation

M	po/sv.po

commit 2d66b738054eb27a0f624be5a4a76d038c907b4d
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-09-05

    Updated Spanish translation

M	po/es.po

commit 8478047a09576891e30d87232d332da244c8a518
Author: Fran Dieguez <fran@openhost.es>
Date:	2011-09-05

    Updated galician translations

M	po/gl.po

commit 4060b9ee98bb080383e4d973c7ae5be1a515f785
Author: Shaun McCance <shaunm@gnome.org>
Date:	2011-09-02

    Update help targets and add more useful entries to help menu

M	src/nautilus-bookmarks-window.c
M	src/nautilus-connect-server-dialog.c
M	src/nautilus-file-management-properties.c
M	src/nautilus-properties-window.c
M	src/nautilus-shell-ui.xml
M	src/nautilus-view.c
M	src/nautilus-window-menus.c

commit 156f61454a06dddadb82990bfd4d287729352ece
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2011-09-04

    Updated Belarusian translation.

M	po/be.po

commit 80d2046dd0df5719daa6ce9b702f0c0265eb7044
Author: André Gondim <andregondim@ubuntu.com>
Date:	2011-09-03

    Updated Brazilian Portuguese translation, reviewed by Antonio
    Fernandes C. Neto <fernandesn@gnome.org>.

M	po/pt_BR.po

commit c687d66e473f7094c6af552a69d14d81ae4c3baf
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2011-09-03

    Updated Lithuanian translation

M	po/lt.po

commit af0022fc388a587726f1186bbe131c666e4d50a3
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2011-09-02

    previewer: Fix leaked GError

M	src/nautilus-previewer.c

commit e75ff65bc233eaaff108329376ff04b007422668
Author: Stas Solovey <whats_up@tut.by>
Date:	2011-08-31

    Updated Russian translation

M	po/ru.po

commit db72d73b3cd58493b1b8878a52ff8a9f5d350602
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-08-30

    all: Remove preferences about sound previewing

    The code was removed, so no need to keep the preference.

    https://bugzilla.gnome.org/show_bug.cgi?id=657718

M	libnautilus-private/nautilus-global-preferences.h
M	libnautilus-private/nautilus.convert
M	libnautilus-private/org.gnome.nautilus.gschema.xml.in
M	src/nautilus-file-management-properties.c
M	src/nautilus-file-management-properties.ui

commit 3c5cc30d554e641d6013ef196b1a2d7c9424fa41
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-08-29

    release: prepare for 3.1.90

M	NEWS
M	configure.in

commit 3d44be7ced5267143b3eb2ffcf7118c4fec3a199
Author: Andika Triwidada <andika@gmail.com>
Date:	2011-08-18

    Updated Indonesian translation

M	po/id.po

commit 2d3ba922514b5b5aa5db01214b0dd183a2fdb8e2
Author: A S Alam <aalam@users.sf.net>
Date:	2011-08-18

    update translation for Punjabi

M	po/pa.po

commit cfb84e3f7e44b0d752541ece747cec0066f0cea9
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2011-08-14

    Updated Thai translation.

M	po/th.po

commit 945f5bfaf3abbeaf963675ffd5d476cbefde8d74
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-08-12

    Updated Polish translation

M	po/pl.po

commit 7f580504c1fc5904636b9314feab5d5f881a0ea5
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2011-08-10

    Updated Bulgarian translation

M	po/bg.po

commit a1830fad48e6f5769aab40917f44ebc8447501d4
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-08-10

    Updated Norwegian bokmål translation

M	po/nb.po

commit 484117c8383a655e0c33e1206c6eb09a35692ead
Author: Hendrik Knackstedt <kn.hendrik@gmail.com>
Date:	2011-08-05

    [l10n] Updated German translation

M	po/de.po

commit 99d7f0867eacde30502c5e7d4a074bed5d046dd6
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-08-03

    po/vi.po: fix "free space" translation

M	po/vi.po

commit c997bbe8b8bfb423d03f3475088a983e59bd9168
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-07-31

    all: remove the built-in hover audio previewer

    This is not really useful anymore now that we have Sushi, which is way
    more powerful.

M	icons/Makefile.am
D	icons/audio.svg
M	libnautilus-private/nautilus-icon-canvas-item.c
M	libnautilus-private/nautilus-icon-container.c
M	libnautilus-private/nautilus-icon-private.h
M	src/Makefile.am
D	src/nautilus-audio-mime-types.h
M	src/nautilus-icon-view.c

commit 065cecec33baf0f8e181da25313cb8030db4da18
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-08-01

    application: call Close() on the previewer when there are no windows

    When the last window is removed from the application object, close the
    previewer too.

M	src/nautilus-application.c

commit f05eaaad2ef96338622c035696148be852c4aca0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-08-01

    previewer: add a wrapper for the Close() remote method

M	src/nautilus-previewer.c
M	src/nautilus-previewer.h

commit 60a31b50c2231f9e9f0d624f2ee9cff4800655db
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-08-01

    previewer: call methods directly on the GDBusConnection

    Initialize the DBus connection in the constructor and call methods
    directly on it, instead of keeping the proxy around.

M	src/nautilus-previewer.c

commit d0573ec843e73b2832ccc64c08b21c6083526fd9
Author: Lê Trường An <truongan@linuxmail.org>
Date:	2011-07-24

    Updated Vietnamese translation

M	po/vi.po

commit 2b684e6ea35682ab6e636ca8723fb5d4f5104307
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2011-07-31

    Updated French translation

M	po/fr.po

commit a1949a8980d0d932ef8effebf44d10e4727cbeb2
Author: Djavan Fagundes <djavanf@gnome.org>
Date:	2011-07-28

    Fixed a string in Brazilian Portuguese translation

M	po/pt_BR.po

commit f486646784ab6cf519fc9168629b40ca8259655a
Author: Henrique P. Machado <hpmachado@gnome.org>
Date:	2011-07-27

    Fixed a string in Brazilian Portuguese translation

M	po/pt_BR.po

commit a000844b5a6039375b0e4176dd4c0f7083b46cb7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-07-27

    thumbnails: make sure to cache all mime types from gdk-pixbuf

    G_N_ELEMENTS() does not work for heap-allocated arrays, and always
    returns 1, so we were not actually caching all the supported mime
    types
    for a specific pixbuf loader after the first.
    This should also fix nautilus not thumbnailing e.g. compressed SVG
    images, as reported in [1].

    [1] https://bugzilla.gnome.org/show_bug.cgi?id=655406

M	libnautilus-private/nautilus-thumbnails.c

commit 0ee113dc1c5affda3eabf73b4c70c77456509d20
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-07-25

    release: prepare for 3.1.4

M	NEWS
M	configure.in

commit 475ed89d6e6ac99f46700babd16671f88bd1386c
Author: Didier Roche <didrocks@ubuntu.com>
Date:	2011-07-25

    Remove "Create Launcher" entry option

    "Create launcher" entry from nautilus seems weird as nautilus doesn't
    draw the
    desktop for GNOME Shell, and this rely on a gnome-panel binary. This
    brings
    inconsistency between the two sessions.

    https://bugzilla.gnome.org/show_bug.cgi?id=654848
    https://bugs.launchpad.net/bugs/723861

M	src/nautilus-actions.h
M	src/nautilus-desktop-icon-view-ui.xml
M	src/nautilus-desktop-icon-view.c
M	src/nautilus-directory-view-ui.xml
M	src/nautilus-view.c
M	src/nautilus-view.h

commit 3caf41765453c3c4cf9a73aae87b185d099598f9
Author: Antoine Jacoutot <ajacoutot@openbsd.org>
Date:	2011-06-20

    Turn nautilus_window_close() into a virtual method.

    nautilus_window_close() is now a virtual method that will behaves
    according to NautilusWindowClass: it won't do anything if the
    window is
    a NautilusDesktopWindow (i.e. it won't close it) which would prevent
    desktop icons from disappearing.
    nautilus_application_close_all_windows() will now skip hiding windows
    but close them right away.

    https://bugzilla.gnome.org/show_bug.cgi?id=652724

M	src/nautilus-application.c
M	src/nautilus-desktop-window.c
M	src/nautilus-window.c
M	src/nautilus-window.h

commit 2bbbc01dc6429e948aed0bbf077e1b77880352ee
Author: Antoine Jacoutot <ajacoutot@openbsd.org>
Date:	2011-07-15

    Move the 'File System' shortcut down the list in the sidebar.

    Users access more often the XDG dirs than the root filesystem,
    so it makes
    sense to move it below.

    https://bugzilla.gnome.org/show_bug.cgi?id=654681

M	src/nautilus-places-sidebar.c

commit 8686479b2be23735caec35c401d24db499cb2f2c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-07-21

    icon-names: use 'drive-harddisk-system' as File System icon

    Now that it has been added to gnome-icon-theme-extras.

    https://bugzilla.gnome.org/show_bug.cgi?id=620085

M	libnautilus-private/nautilus-icon-names.h

commit 3f42d04301d9a8fcf43f176d1e601356489eb84f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-07-21

    window: remove 'Clear History' from the 'Go' menu

    This is a leftover from the past, when we used to have a global
    history
    list. Now that Nautilus is not persistent and we don't have that
    anymore, it doesn't really make sense to keep this menu item.

    https://bugzilla.gnome.org/show_bug.cgi?id=654422

M	src/nautilus-shell-ui.xml
M	src/nautilus-window-menus.c
M	src/nautilus-window.c
M	src/nautilus-window.h

commit 75960497c6c8e657f010aef7d2bbbf1fda19c4ad
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-07-21

    location-bar: don't pack an useless box in the bar

    The bar is an horizontal box already, no need to pack another hbox in
    it. This also fixes content not expanding in the available width, as
    noted in https://bugzilla.gnome.org/show_bug.cgi?id=654389.

M	src/nautilus-location-bar.c

commit 283e9b32cae61b5501ece85d1dacb1e1c29c4b85
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-07-21

    file: use g_format_size_full instead of printf-ing the long string

    Now that GLib has g_format_size_full(), we can easily format the long
    string (e.g. 45MB (45,123,456 bytes)) using it, instead of our custom
    printf function.

M	libnautilus-private/nautilus-file.c

commit 3e69fb702393cf42486321c88cede4668329b4c8
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2011-07-20

    all: switch to g_format_size()

    g_format_size_for_display() has been deprecated in GLib and replaced
    with
    g_format_size().  Follow that change.

    https://bugzilla.gnome.org/show_bug.cgi?id=654995

M	configure.in
M	libnautilus-private/nautilus-file-operations.c
M	libnautilus-private/nautilus-file.c
M	src/nautilus-properties-window.c
M	src/nautilus-view.c

commit 2160de69245ad15826f6aed1a5ef15455d7851d0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-07-14

    a11y: remove some unused code

M	eel/eel-accessibility.c
M	eel/eel-accessibility.h

commit a7bd0741e0772f3b143e5c1d77860cce8f3d9872
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2011-07-14

    Updated Belarusian translation.

M	po/be.po

commit 227ccadc10af524ad1104d36c1343f26be55cf67
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-07-13

    Updated Latvian translation.

M	po/lv.po

commit 613f7180ca741b201e5933d1ebf41fe811a722b4
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:	2011-07-07

    Added UG translation

M	po/ug.po

commit 4d68a3bbab0e6157f83c90288b58bdfebace63c2
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:	2011-07-06

    Updated Turkish translation

M	po/tr.po

commit fb45c737e0f7080bd0f51c532311b942a20e38a1
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:	2011-07-06

    Fixed a few funny errors in Turkish translation

M	po/tr.po

commit 614b7d3b2b7d09dc4bf19a51ae56a2a087212c99
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:	2011-07-03

    Updated Turkish translation

M	po/tr.po

commit 391d537f224204803ef8b50344892166cd9808fa
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-07-02

    Updated Norwegian bokmål translation

M	po/nb.po

commit 5817e7ad138f053c80d9257693dbacccb88eecbf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-07-01

    release: prepare for 3.1.3

M	NEWS
M	configure.in

commit 34bbbc57864e454bdddcc59f322bf06b56254ef6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-07-01

    all: remove some unneeded includes

M	eel/eel-gtk-extensions.c
M	libnautilus-private/.gitignore
M	libnautilus-private/nautilus-directory-async.c
M	libnautilus-private/nautilus-tree-view-drag-dest.c
M	src/.gitignore

commit 5c6950277332ca53fceb27d58fa3f06101737726
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-07-01

    all: use g_cclosure_marshal_generic() instead of generating
    marshallers

M	eel/Makefile.am
M	eel/eel-canvas.c
M	eel/eel-editable-label.c
M	libnautilus-private/Makefile.am
M	libnautilus-private/nautilus-directory-async.c
M	libnautilus-private/nautilus-icon-container.c
M	libnautilus-private/nautilus-tree-view-drag-dest.c
M	src/Makefile.am
M	src/nautilus-query-editor.c
M	src/nautilus-view.c
M	src/nautilus-window.c

commit 922307d634a0401c8cc29bee70c6335b2eb9a17c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-06-28

    build: bump GTK+ dep to 3.1.6

    We need it for GtkOverlay.

M	configure.in

commit eb8ba09e82cbf7045d75a638ef69318e65a8a75f
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2011-06-28

    Updated Belarusian translation.

M	po/be.po

commit 49db9b14ed4e08887e4dc3e5e4cd4c184f48d4ad
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2011-06-26

    Updated Belarusian translation.

M	po/be.po

commit ff6b4f64ab2499e149d2d75e812b2e6e40d68156
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2011-06-25

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 6ac24b5381c7a26f85b8c72662c9ac4a54269e26
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-06-21

    application: make sure --no-default-window works when used with an URI

M	src/nautilus-application.c

commit ffd2125b13ac591428cf73ac3c0021849d36058a
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-06-20

    Updated Swedish translation

M	po/sv.po

commit ea4609ff6123798edf93b0e54b8b03a2fda94fce
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-06-19

    Fix an inconsistency and a too long button

M	po/hu.po

commit 95d45f1994795942774b039ba0de6933d9ffa5c7
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-06-18

    Fix gobject warning about nonexisting property

    NautilusDesktopWindow does not have an "app" propety anymore.

M	src/nautilus-application.c
M	src/nautilus-desktop-window.c
M	src/nautilus-desktop-window.h

commit 4c37f5a1c1c7861b45359e36a5efd868cf3f3bb0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-06-16

    all: don't return a reference when getting the application singleton

    This simplifies the code a bit. Also, remove the useless "app"
    property
    on NautilusWindow while we're at it.

M	src/nautilus-application.c
M	src/nautilus-application.h
M	src/nautilus-bookmarks-window.c
M	src/nautilus-connect-server-dialog-nonmain.c
M	src/nautilus-location-bar.c
M	src/nautilus-main.c
M	src/nautilus-places-sidebar.c
M	src/nautilus-progress-ui-handler.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-menus.c
M	src/nautilus-window-private.h
M	src/nautilus-window.c
M	src/nautilus-window.h

commit 2b9ebd30e880733d3f40430d1d022ae2f8a4bf77
Author: krishnababu k <kkrothap@redhat.ocm>
Date:	2011-06-15

    Corrections in Telugu file

M	po/te.po

commit 296ef2be9726185ee08552d3e8bb17d2a98a40b7
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-06-05

    Add "Add Bookmark" to the sidepane context menu

    https://bugzilla.gnome.org/show_bug.cgi?id=651931

M	src/nautilus-places-sidebar.c

commit 67482b37c8b6581262da28798b6b4e36419b4852
Author: krishnababu k <kkrothap@redhat.ocm>
Date:	2011-06-15

    Updated Telugu Translations

M	po/te.po

commit aa3eff54fcab36a1fab561ec8527608e12a1496b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-06-13

    overlay: remove unused gedit-overlay-child

D	src/gedit-overlay-child.c
D	src/gedit-overlay-child.h

commit 17b2ff9b002498b8e6ce28c7bf846b0daf3ce206
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-06-13

    release: update for 3.1.2

M	NEWS
M	configure.in

commit 63e37acc17900e81605b994e8d4e6dd59f1769da
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-06-13

    floating-bar: fix background/frame rendering

M	src/nautilus-floating-bar.c

commit 752ab2718ba4f7e968678facfd8dd0ea6b0e4b26
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-06-13

    css: cleanup the CSS file a bit

M	data/nautilus.css

commit a28a89ab8112a5207d5413e5f767f191d1d13339
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-06-13

    floating-bar: port to GtkOverlay

M	src/Makefile.am
D	src/gedit-overlay.c
D	src/gedit-overlay.h
M	src/nautilus-floating-bar.c
M	src/nautilus-floating-bar.h
M	src/nautilus-icon-view.c
M	src/nautilus-list-view.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h

commit 6260482af6804adda242d7a8582ccdd155beb9e0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-06-13

    all: don't use Gtk[H/V]Box in UI files

M	src/nautilus-bookmarks-window.ui
M	src/nautilus-file-management-properties.ui

commit d6de7f5f0ff90775445c3dc353328301c66f0de1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-06-13

    all: don't use deprecated Gtk[H/V]Box

M	libnautilus-private/nautilus-column-chooser.c
M	libnautilus-private/nautilus-column-chooser.h
M	libnautilus-private/nautilus-file-conflict-dialog.c
M	libnautilus-private/nautilus-icon-container.c
M	libnautilus-private/nautilus-mime-application-chooser.h
M	src/nautilus-connect-server-dialog.c
M	src/nautilus-desktop-item-properties.c
M	src/nautilus-image-properties-page.c
M	src/nautilus-image-properties-page.h
M	src/nautilus-location-bar.c
M	src/nautilus-location-bar.h
M	src/nautilus-notebook.c
M	src/nautilus-pathbar.c
M	src/nautilus-progress-info-widget.c
M	src/nautilus-progress-ui-handler.c
M	src/nautilus-properties-window.c
M	src/nautilus-query-editor.c
M	src/nautilus-view.c
M	src/nautilus-window-pane.c
M	src/nautilus-window-slot.c
M	src/nautilus-window.c

commit 2c37855719d90413705bd102ef5a29aac33f598a
Author: Teliute <teliute@163.com>
Date:	2011-06-12

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit e46d446be937d0e43ffea1bbc41381388706cf42
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-06-10

    Updated Slovenian translation

M	po/sl.po

commit f657a12a9f1da481e7a580335b682749ac4b01cf
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-06-09

    libnautilus-private: Use 'const' instead G_CONST_RETURN

M	libnautilus-private/nautilus-icon-canvas-item.c
M	libnautilus-private/nautilus-icon-info.c
M	libnautilus-private/nautilus-icon-info.h

commit a8443f64b6554b640f9bd39b3470284127b7bc3f
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-06-09

    eel: Use 'const' instead G_CONST_RETURN

M	eel/eel-editable-label.c
M	eel/eel-editable-label.h

commit 253e72f88a85759fe0630aecfb9cea4011e74e5a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-06-07

    Updated Norwegian bokmål translation

M	po/nb.po

commit 64d608f8cc2d6e266900e5a33402249b20dfec1e
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-06-06

    Updated Galician translations

M	po/gl.po

commit 12541f6a1ab1fbf30b032dc628aca147d6de2ad0
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-06-04

    Updated Hebrew translation.

M	po/he.po

commit e36c6f5871f6f16833361ce57a4845d46e73f3f1
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-06-04

    Updated Hebrew translation.

M	po/he.po

commit 092ba8f674341769579bc515389e7bb67035824d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-06-04

    Updated Spanish translation

M	po/es.po

commit f83bdf0081bfb5d6b8caad8848a267fecb95b85b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-06-03

    connect-server: handle closing of the dialog while connecting

    If we start a connect operation, but close the dialog before providing
    the credential details, cancel the operation and hide the dialog,
    instead of segfaulting.
    The dialog will eventually be destroyed when the the mount operation
    terminates (with error).

M	src/nautilus-connect-server-dialog.c
M	src/nautilus-connect-server-operation.c

commit e3f055c886e9db0c105de59e80573a9715c41060
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-06-03

    eel-string: don't use deprecated gatomic API

M	eel/eel-string.c

commit a0d9614d204d0494d329e04c1d7652e451c2573f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-06-03

    toolbar: disconnect the GSettings callback on dispose

M	src/nautilus-toolbar.c

commit b62ab1413cca6694b9b09fc9d241bbf3581a56e6
Author: Djavan Fagundes <djavanf@gnome.org>
Date:	2011-06-03

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit a5a4bddf12ff29205757858af81fd3665a68c3f2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-31

    application: pass in the array length while looping over it

M	src/nautilus-application.c

commit d0240a4319561551adc5e0cdb94bb5486d3f3308
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2011-05-29

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 1f01e04e135c77722cd3d06065f4ceed20d19219
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-05-29

    Updated Spanish translation

M	po/es.po

commit ea223de6187778ce0a0a70356009f1c24c084c57
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-05-29

    Updated Spanish translation

M	po/es.po

commit 178bae2b656b2cae7ad39f81076fca7c65adf429
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2011-05-28

    Updated Russian translation

M	po/ru.po

commit 362696f86bce90dcfa599bf6f4e17ffd0a679860
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-25

    metadata: add a metadata::custom-icon-name metadata key

    It's similar to metadata::custom-icon, only that it works on icon
    names
    instead of URIs.

    https://bugzilla.gnome.org/show_bug.cgi?id=626338

M	libnautilus-private/nautilus-file.c
M	libnautilus-private/nautilus-metadata.c
M	libnautilus-private/nautilus-metadata.h

commit fc3d9af1dff85ef27ff44ea4e71b269a2b700e7d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-24

    autostart: add an autostart desktop file

    It will autostart nautilus automatically based on the GSettings key
    org.gnome.desktop.background show-desktop-icons.

    https://bugzilla.gnome.org/show_bug.cgi?id=647267

M	data/Makefile.am
A	data/nautilus-autostart.desktop.in

commit 636c06bdc3397b1c6bad78afe2094c149c59f6fb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-24

    css: update for new GtkCssParser

M	data/nautilus.css

commit e239f2a150f34b7f7b4730772fae5a372a7924d1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-23

    floating-bar: copy code from Epiphany to hide the floating bar
    on hover

    This doesn't currently work perfectly if the overlay child is a
    GtkTreeView - more investigation is needed.
    In the meanwhile, it's still better than not hiding the bar ever,
    so here it is.

    https://bugzilla.gnome.org/show_bug.cgi?id=648740

M	src/nautilus-floating-bar.c

commit f0649b5bb808aa71fcab52c3e61f5e6419928432
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-23

    gedit-overlay: update from upstream

M	src/gedit-overlay-child.c
M	src/gedit-overlay.c

commit 5c949fffcb0de62fd5375f546fa94dd50ec7f86f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-24

    application: rewrite GApplication command line handling

    Do the command line parsing in local_command_line for the set
    of options
    we're interested in parsing there (e.g. directories to open,
    self checks
    and --quit); move the rest of initialization in
    nautilus_application_startup() and use g_application_open() and
    a custom
    "quit" action to forward the requests to the main application.

    This also fixes these two bugs.

    https://bugzilla.gnome.org/show_bug.cgi?id=649336
    https://bugzilla.gnome.org/show_bug.cgi?id=637157

M	src/nautilus-application.c
M	src/nautilus-application.h
M	src/nautilus-connect-server-dialog-nonmain.c
M	src/nautilus-location-bar.c
M	src/nautilus-places-sidebar.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-menus.c

commit b9272618934a4c177166e5f7771e6ab6cabcc31b
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-05-24

    po/vi.po: updated UI to match nautilus-preview.page

M	po/vi.po

commit e738e686af858c38ca7c0b32426b3a1dfea0d9a2
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-05-24

    po/vi.po: fix up UI to match nautilus-views.page

M	po/vi.po

commit f76c50a0e46aa7786820f76b3f71b57b44b8d7fb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-23

    window: reverse the order of key-press event processing

    Usually the default GtkWindow handler for key-press events processes
    them in the following order:
    - calls gtk_window_activate_key() to process mnemonics/accelerators
    for
      the toplevel window
    - calls gtk_window_propagate_key_event() to propagate the events
    to the
      focus widget
    - chains up to parent if both fail

    We want gtk_window_propagate_key_event() to be called before
    gtk_window_activate_key(), as when we're focusing an editable widget
    (e.g. renaming a file), we want all keybindings to apply to that, e.g.
    Delete, Ctrl+Delete (or Ctrl+W if we're e.g. using an emacs-mode
    GTK+ binding set). This interferes a bit with the type-ahead search
    windows that NautilusIconContainer and GtkTreeView pop up; we can
    control the former, but not the latter, so we need a bit of a hack in
    NautilusListView to prevent the search window to steal the pasted URI,
    and still not handle the event.

    https://bugzilla.gnome.org/show_bug.cgi?id=314431

M	libnautilus-private/nautilus-icon-container.c
M	src/nautilus-list-view.c
M	src/nautilus-window.c

commit fae5d9242e2edf0881a382ed8cb19599c27cdc49
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-23

    query-editor: add a border around the query editor widgets

    https://bugzilla.gnome.org/show_bug.cgi?id=647737

M	src/nautilus-query-editor.c

commit f5e967f964b88ad7e4cc81818e9c0092d842e0a8
Author: Stefano Teso <stefano.teso@gmail.com>
Date:	2011-05-23

    connect-server: strip the scheme if it matches the chosen method

    If e.g. ftp://ftp.example.com is specified as an address, and the FTP
    method is chosen, we should strip "ftp://" automatically from the
    address before connecting.

    https://bugzilla.gnome.org/show_bug.cgi?id=643608

M	src/nautilus-connect-server-dialog.c

commit c17d7bec375b1a8838d6132ccced89da6b092316
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-23

    location-entry: use symbolic icons for the secondary action hint

    https://bugzilla.gnome.org/show_bug.cgi?id=647685

M	src/nautilus-location-entry.c

commit b30bda3e1f341b107fbe4f73f1d7b769504d23cd
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-23

    view: add the "view" style class to the icon container

    Not to the NautilusView scrolled windows.

M	src/nautilus-icon-view-container.c
M	src/nautilus-view.c

commit c78c3022f07aa790a1f21c48e4ebf62712c6b70f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-09

    dbus: don't generate the docbook file

M	libnautilus-private/Makefile.am

commit 2cf6e53496967b1e00cc026e33c7b63c587c78b4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-09

    release: prepare for 3.1.1

M	NEWS
M	configure.in

commit ab6436cfa60a7f5088dd92f3d6dec74e0527b086
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-09

    previewer: avoid creating the dbus proxy more than once

M	src/nautilus-previewer.c

commit 16b76b5f97dda14e2c3397345965a07ecc1cd377
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-09

    previewer: don't warn out if the bus name is not owned by anybody

M	src/nautilus-previewer.c

commit a8f2c97e5f67fa1c309cf694f8ca00f5dc38abb9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-01

    previewer: don't return a new ref to the singleton

    It's easier to use this way, and we don't have to create a new DBus
    proxy every time.

M	src/nautilus-previewer.c
M	src/nautilus-previewer.h
M	src/nautilus-view.c

commit 71b8a7a8d66f0c927be9b7c12199d1472043ed66
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-04-29

    Add close_if_already_visible argument to
    nautilus_previewer_call_show_file

    As per the changes in sushi

M	src/nautilus-previewer.c
M	src/nautilus-previewer.h
M	src/nautilus-view.c

commit f087da3353074f7476a563ab62d5ac7cf0d65e41
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-27

    previewer: drop the x/y coordinates arguments

M	src/nautilus-previewer.c
M	src/nautilus-previewer.h
M	src/nautilus-view.c

commit 703c5004a7b05959e3dd554974f28b46df3f0609
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-25

    previewer: lazily create the DBus proxy

M	src/nautilus-previewer.c
M	src/nautilus-view.c

commit e5bf6ef0ec8ca50990aff4afd08a4139d4a75798
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-25

    debug: add a debug flag for the previewer

M	libnautilus-private/nautilus-debug.c
M	libnautilus-private/nautilus-debug.h

commit 034eeb090458443b97fbe9b601a045defb5435f9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-25

    list-view: hook up the previewer in list view

    No support for icon locations yet, but it's not implemented in
    the previewer
    either.

M	src/nautilus-list-view.c

commit ccfd4e1c1d9166c78badac8d83958270cf7aef9e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-21

    all: hook up the previewer with NautilusIconView

M	libnautilus-private/nautilus-icon-container.c
M	libnautilus-private/nautilus-icon-container.h
M	src/nautilus-icon-view.c
M	src/nautilus-view.c
M	src/nautilus-view.h

commit 4241ccfd39b6013d2ddd7fbd58aabf5ef1a2302d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-21

    previewer: add a NautilusPreviewer DBus wrapper class

M	src/Makefile.am
A	src/nautilus-previewer.c
A	src/nautilus-previewer.h

commit 9669b91d70ec1cf59933df53f9c22ed16670bb90
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-05-04

    Update all .gitignore files

M	.gitignore
M	data/.gitignore
M	eel/.gitignore
M	libnautilus-private/.gitignore
M	src/.gitignore

commit 7c27c4ce158d09be188b529882ecd5c6b0c17db7
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-05-04

    Convert the nautilus dbus support to use gdbus-codegen

    This required latest glib code to work.

M	data/Makefile.am
A	data/dbus-interfaces.xml
M	libnautilus-private/Makefile.am
M	libnautilus-private/nautilus-dbus-manager.c

commit fa6e44717818d7f9239558f81b90c32dceddf58a
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-05-04

    Add size_request to IconContainer to work around unncecessary
    relayouting

    The GtkScrolledWindow uses the widget prefered size as a guess as to
    whether scrollbars are needed or not in the automatic scrollbars case.
    If we don't report anything for them we typically get it wrong
    and cause
    two size allocate calls on the child each time, with different sizes.
    This (the two sizes speicifically) will cause unnecessary relayouts of
    the window.

    So, we just report the current size of the layed out icons as the
    prefered
    size. This is somewhat wrong as its depending on previous
    size_allocation
    calls rather than the "ideal" size of the widget, but since the
    ideal size
    is ignored anyway and just used for this it works well.

M	libnautilus-private/nautilus-icon-container.c

commit 0cad983521edd476ece360236b6e71e4048bfc70
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-05-04

    Remove old special-cased "select source folder"

    We now do this generically, so no need to special case it in the
    "go up" case.

M	src/nautilus-window-slot.c

commit b15f61369e3618f4dc2cd3cef5af3698c45706a0
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-05-04

    Always select the folder you "came from" when navigating upwards

    We used to special case this for the up button, but that now
    only exists as a keyboard shortcut. This more generic approach
    gets the same feature also for pathbar navigation and back/forward
    history navigation.

M	src/nautilus-window-manage-views.c

commit e9a7007284b9520855cdbb16fa4724ca0f1739d9
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-05-04

    Really open in new window on the pathbar contect menu item

    Turns out that we didn't pass the NEW_WINDOW flag in the handler
    for the LocationOpenAlternate action. This is used when right-clicking
    on the location label or the pathbar.

M	src/nautilus-view.c

commit 41c7cb2ae8fb98fab2cd9b0cfb59cf6dee4d476c
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-05-03

    icon-view: Only resort during relayout if necessary

    We don't need to resort unless e.g. a file changed or was added.

    Additionally, for weird reason this makes the keyboard focus handling
    work when deleting a file (file after deleted gets focus). This was
    broken due to a relayout happening due to a size_allocate due to
    a style set due to a focus change when going to/from the "are
    you sure"
    dialog.

M	libnautilus-private/nautilus-icon-container.c
M	libnautilus-private/nautilus-icon-private.h

commit 31546b509d351e89d8bc0ee23074e8e0ecddbca2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-02

    application: don't look at DESKTOP_AUTOSTART_ID anymore

    Now that we don't support being a session component anymore,
    it doesn't
    make sense to special case the session autostart. This also breaks
    opening new windows when nautilus is added to ~/.config/autostart,
    which
    is now the supported way of having desktop icons automatically, as we
    end up reading the env variable every time when parsing the command
    line
    (as the original process will always have that set) and refuse to
    show a
    window.

    https://bugzilla.gnome.org/show_bug.cgi?id=649063

M	src/nautilus-application.c

commit e251214df28bc7c0b749d1ba0be1ab2048ecd06c
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:	2011-05-02

    Added UG translation

M	po/ug.po

commit a9ea2becdf91c417a64083ecdad5f80fb97e6e51
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2011-05-02

    Uploaded Ukranian

M	po/uk.po

commit 495cb46d54f0b551756c71fb6d5ba60e67f08d61
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-01

    places-sidebar: disconnect from bookmark list changed signal on
    dispose

    This should hopefully fix this crash
    https://bugzilla.redhat.com/show_bug.cgi?id=699184

M	src/nautilus-places-sidebar.c

commit ac70a95ecc44ba259b684f737bb108f1458fa9dc
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-05-01

    mime-actions: don't free the activation parameters early

    This fixes a segfault when clicking on the "Select Application" button
    when opening a file with no default applications, like in

    https://bugzilla.redhat.com/show_bug.cgi?id=699850

M	src/nautilus-mime-actions.c

commit 3676b08856c4d6cc0a827e9de8f708edefdf2e44
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:	2011-05-01

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 61502a06524dd9dffac9d2ae97e9a57037343b28
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-05-01

    Updated Swedish translation

M	po/sv.po

commit 902b0cd4cc1848b44fb2445ebcc0f8157cdc092f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-04-28

    Updated Slovenian translation

M	po/sl.po

commit 254ad76a6f861b4846cb53907dd580fb81a96b05
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-28

    progress-ui-handler: don't add progress infos to the window twice

    We were adding them twice in case there was already one operation
    running.

    https://bugzilla.gnome.org/show_bug.cgi?id=648857

M	src/nautilus-progress-ui-handler.c

commit 8e8f0ed6edd3c5d4f9cca0e07a5624a3d5e2ec29
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-28

    places-sidebar: make sure to return if we click inside empty space

    https://bugzilla.gnome.org/show_bug.cgi?id=648872

M	src/nautilus-places-sidebar.c

commit f850fcc0eee61014472e698e6bdd36093ff9dfe2
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2011-04-27

    Updated Slovenian translation

M	po/sl.po

commit a21e3e21940b84f93e0e82320ccfbb6e9a9f2cc3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-27

    places-sidebar: use per-side border widths for the sidebar frames

    This adds a border to the sidebar.

M	data/nautilus.css
M	src/nautilus-places-sidebar.c

commit f6dc5f319fb79203bd7645e49420d2a4b57c0373
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-25

    toolbar: set the icon size to SMALL_TOOLBAR

    So that the Search button icon is drawn with a smaller size.

M	src/nautilus-toolbar.c

commit 3cf09dc4e47ca0db181dd34af22977b8e91cf0f9
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2011-04-25

    Updated Danish translation

M	po/da.po

commit 7a8f54b3bbff53b17d46dc6306636852636d1609
Author: Stefano Teso <stefano.teso@gmail.com>
Date:	2011-04-25

    places-sidebar: fix opening of selected items by pressing Enter

    Don't use get_cursor() to open the current item in the sidebar,
    and use
    the tree selection instead, as we modify the selection manually when
    evaluating up/down keypresses.

    https://bugzilla.gnome.org/show_bug.cgi?id=648555

M	src/nautilus-places-sidebar.c

commit 83a7d27b36120d1ae54a2f5aa4af30f04d470bf2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-25

    icon-container: don't chain up style-updated for the desktop container

    Chaining up resets the background to the default color, which is not
    what we want for the desktop container.

    https://bugzilla.gnome.org/show_bug.cgi?id=648137

M	libnautilus-private/nautilus-icon-container.c

commit f0d52a7a29ca0b503ed160bd21e4f1a3354f6394
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:	2011-04-24

    Added UG translation

M	po/ug.po

commit e218bff9a4f790f0915f342d764559ee399fa8ee
Author: Jiro Matsuzawa <matsuzawa.jr@gmail.com>
Date:	2011-04-25

    Updated Japanese translation

M	po/ja.po

commit 7288e91d77f63f4014fa5247bd8a59849f302871
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:	2011-04-23

    Updated Persian translation

M	po/fa.po

commit 2f070016690ec488b1ac46d6ab2faf860e0c59b6
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2011-04-20

    Updated British English translation

M	po/en_GB.po

commit 630fb578c1d86d4c14118025e9c33c8959d6ecf2
Author: YunQiang Su <yqsu@src.gnome.org>
Date:	2011-04-17

    fix a mistake of Chinese(Simplified) translation

M	po/zh_CN.po

commit 4a69d60ecf5c6b48492e7dafda7a77e719f9f060
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-04-14

    Updated Vietnamese translation

M	po/vi.po

commit 679486ff6db16138027aa85c2aadbb9d272bc984
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-12

    places-sidebar: make sure the eject icon is rendered 16x16

    https://bugzilla.gnome.org/show_bug.cgi?id=647570

M	src/nautilus-places-sidebar.c

commit fde63a6c6f0484f7284fd57ff26abe9d41c93196
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-04-11

    Updated Spanish translation

M	po/es.po

commit 902aac532bac0da871591bbe481673d2c2d83907
Author: Åsmund Skjæveland <aasmunds@ulrik.uio.no>
Date:	2011-04-11

    Updated Norwegian Nynorsk translation

M	po/nn.po

commit 6c7bd69033676d2e3f5c25b4308bd59e9d540bda
Author: Åsmund Skjæveland <aasmunds@ulrik.uio.no>
Date:	2011-04-11

    Updated Norwegian Nynorsk translation

M	po/nn.po

commit fdbca53ae2e7c387d05136656fd9c75fd982c863
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2011-04-10

    Updated Bulgarian translation

M	po/bg.po

commit a96761350ad422ec084c12f649562f9a2a83963d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-08

    window: treat regular files as selection when opening a location

    This allows to call `nautilus uri:///path/to/file` from the command
    line
    to open uri:///path/to with file pre-selected.

    https://bugzilla.gnome.org/show_bug.cgi?id=632427

M	src/nautilus-window-manage-views.c

commit 3751310f941ed5df4a2a027ab594df015b3f815c
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-04-08

    Updated Hebrew translation.

M	po/he.po

commit 07a6fb24fda755288346f11afb670cb3c05028fe
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-07

    icon-container: clear the drag state before popping up context menu

    Otherwise, a fake drag state will leak into the next motion-notify
    event
    when the menu has been dismissed, causing a segfault.

    https://bugzilla.gnome.org/show_bug.cgi?id=550253

M	libnautilus-private/nautilus-icon-container.c

commit d8b632765ca1b70d909d4e206f40590ee379a305
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-07

    search-bar: set redraw_on_allocate(), like GtkInfoBar does

    This fixes artifacts while resizing. A similar patch was committed to
    GtkInfoBar in https://bugzilla.gnome.org/show_bug.cgi?id=587716.

    https://bugzilla.gnome.org/show_bug.cgi?id=647013

M	src/nautilus-search-bar.c

commit e6dc21ba3b908ed93e08e39731733c871a91e171
Author: Paul Seidler <pl.seidler@gmail.com>
Date:	2011-04-07

    libnotify: need at least 0.7.0

    https://bugzilla.gnome.org/show_bug.cgi?id=647088

M	configure.in

commit a8539a688bf83e1ab79167e257df308d1424a103
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-07

    icon-container: reset the double click counter after a double click

    If we don't do this, we ignore any other double click event that
    happen
    during the next 'gtk-double-click-time' interval after the first
    double
    click.

    Thanks to Tanyel A. Nimeu for the initial patch.

    https://bugzilla.gnome.org/show_bug.cgi?id=647062

M	libnautilus-private/nautilus-icon-container.c

commit f200bfbe8332c0df74335f608f68350609e435d7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-07

    preferences: use g_settings_bind_with_mapping() for radiobuttons

    This also fixes radiobuttons preferences not being applied when
    opening
    the properties dialog.

    https://bugzilla.gnome.org/show_bug.cgi?id=644478

M	src/nautilus-file-management-properties.c

commit 392359db6d6496b325044d809d96b034a2298514
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-07

    conflict-dialog: make the rename entry expand the whole width

M	libnautilus-private/nautilus-file-conflict-dialog.c

commit 1457f53c27f6d2f84d0c9eb76c1c8cffd1177e95
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-07

    conflict-dialog: don't force a size request on the labels

    This is not required anymore in GTK+ 3

M	libnautilus-private/nautilus-file-conflict-dialog.c

commit b8077a7ad65f54e397dd3fa1b32f97b838ba590e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-07

    conflict-dialog: don't forget to show the primary label

    Reported in https://bugzilla.redhat.com/show_bug.cgi?id=693922

M	libnautilus-private/nautilus-file-conflict-dialog.c

commit f100883058fac79a913d93d1d1157498c87d7912
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-04-07

    Updated Galician translations

M	po/gl.po

commit f49b62649a092a56e2cf6203db0fef08d2ed7618
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-06

    pathbar: use a NautilusFile instead of a GFile as a drag target

    The NautilusFile tracks changes in the file name, so it solves the bug
    reported in https://bugzilla.gnome.org/show_bug.cgi?id=581748

M	src/nautilus-pathbar.c
M	src/nautilus-window-slot-dnd.c
M	src/nautilus-window-slot-dnd.h

commit 8905b1f91253cfe36fa2c42e179831097b3c9aec
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:	2011-04-06

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit 13793fdc3f5fd884ff5f92093244157b751bd185
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-06

    window: don't avoid same-uri reloads for the desktop

    Otherwise it will not reload when toggling desktop-is-home-dir.

M	src/nautilus-window-manage-views.c

commit 90b2084cf3f6be689b250ddfd318e33f19f8420d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-06

    desktop-window: always reset is_loaded when setting the real directory

M	src/nautilus-desktop-window.c

commit 25aa3e7f391c905236397a38cf052b0b12bc792a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-06

    desktop-window: disconnect the gsettings handler on dispose

M	src/nautilus-desktop-window.c

commit 8ade659212745eb91631e00d8e878e919a13858a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-06

    icon-container: don't setup the regular background on the desktop

M	libnautilus-private/nautilus-icon-container.c

commit ec447586d5f7a5f60f21436a868cfe28d315f1f1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-06

    places-sidebar: always add Home as a built-in place

M	src/nautilus-places-sidebar.c

commit f9bd05d254555e70ee5295fe08919a8c9d94ca79
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-06

    places-sidebar: fix a typo in the GSettings key we listen to

M	src/nautilus-places-sidebar.c

commit 19d420a28b47723d8e7deb7561cc714be336e655
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-06

    window-menus: use U+2013 EN DASH in the author copyright string

    https://bugzilla.gnome.org/show_bug.cgi?id=646735

M	src/nautilus-window-menus.c

commit 6dbb7d159cfc277815d990dd157e2020608698a5
Author: Marvin Schmidt <marv@exherbo.org>
Date:	2011-04-05

    configure: Fix libexif check

    https://bugzilla.gnome.org/show_bug.cgi?id=646849

M	configure.in

commit 77ba57813e5eaa1fc8260f6e56ef7645093be690
Author: Rodrigo Padula de Oliveira <contato@rodrigopadula.com>
Date:	2011-04-05

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 9db9888bea1f0084055bf653cfb46e7b000647c9
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2011-04-05

    Updated French translation

M	po/fr.po

commit 319ded082ce47f384db3bfc9d7cab2fbe80e1a85
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:	2011-04-05

    Updated Assamese translations

M	po/as.po

commit 5f190c65784ff9b2b72e36cd0018dfbfab524b98
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-04-05

    Updated Swedish translation

M	po/sv.po

commit aaaee6de758f70005ffdd343a4b7354e3664f471
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-04

    icon-container: rework the colors used for additional text labels

    We now use the insensitive color for the normal state, and make them
    follow the filename color for selected states.

    This also fixes https://bugzilla.gnome.org/show_bug.cgi?id=319982,
    tested with the HighContrast theme.

M	data/nautilus.css
M	libnautilus-private/nautilus-icon-container.c

commit ced6d22409c3a849b86b75bb867f267a3cdad800
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-04

    window-menus: don't hardcode year values in the translatable string

    https://bugzilla.gnome.org/show_bug.cgi?id=646735

M	src/nautilus-window-menus.c

commit bb6578da85fff3d28e6a71f9933b1bd34e7c27bc
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2011-04-05

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit edd3c43beb5efbc13f55d73e8c9818966a031ad1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-04

    dnd: rework handling of _NETSCAPE_URL dnd links

    Previously we used to to the following:
    * default to always "ask", unless the copy was explicit
    * when dropped, we did not actually ask anything but we would
    trigger an
      async mimetype query_info and:
      - trigger a file asking whether to download or to link for text
      files
      - silently link for HTML files
      - silently download for every other mimetype
    * if the query_info was not completed within one second, we would
      download by default

    This is somewhat broken, as the DnD icon is not what you would expect;
    also downloading is not usually done with DnD from the browser,
    and it's
    also expensive, so it should never be the default, but an explicit
    choice. It also makes it impossible to create links for anything else
    than text or HTML.

    Change the policy to always link by default, unless the user
    explicitly
    requests the copy.

M	libnautilus-private/nautilus-dnd.c
M	src/nautilus-view-dnd.c

commit 2afe78a92cc402207e7f3a0189eca95311651076
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-04

    file: use a GIcon to store the custom icon of desktop files

    Instead of a filename string.
    This also has the side-effect of fixing
    https://bugzilla.gnome.org/show_bug.cgi?id=615509

M	libnautilus-private/nautilus-directory-async.c
M	libnautilus-private/nautilus-file-private.h
M	libnautilus-private/nautilus-file.c
M	libnautilus-private/nautilus-link.c
M	libnautilus-private/nautilus-link.h

commit e68c6e071915fe680ed44e824ccafdb1470a39bb
Author: Jordi Serratosa <serratosa@gmail.com>
Date:	2011-04-04

    [l10n]Fixes on Catalan translation

M	po/ca.po

commit 3f17316c34335a9ea8a82d8940506759d88c6fcd
Author: Joan Duran <jodufi@gmail.com>
Date:	2011-04-04

    [l10n]Updated Catalan translation

M	po/ca.po

commit 07c70ab3a65f1d67293a467b742dda729b85156b
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:	2011-04-05

    Updated Bengali translation

M	po/bn.po

commit 35311e217ac8f11e97628316c35d6093589507b0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-04

    thumbnails: remove unused struct definition

M	libnautilus-private/nautilus-thumbnails.c

commit 93a0d7fd735c1670c0787c3daa7f84003994da5d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-04

    thumbnails: remove obsolete check for GLib < 2.14 compatibility

M	libnautilus-private/nautilus-thumbnails.c

commit f9c6ca979f753339b91c125c363a927fceb64283
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-04

    thumbnails: remove code unused for years

M	libnautilus-private/nautilus-thumbnails.c

commit 088d0968f837364374bdea20eda0fa4534338202
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-04-04

    Updated Spanish translation

M	po/es.po

commit 367572b907d1cd970135e546b3237522b9720c7d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-03

    application: don't redirect windows on computer:// when unmounting

    It's confusing now that we don't have a desktop. Redirect to the user
    home instead.

    This also has the side effect of fixing
    https://bugzilla.gnome.org/show_bug.cgi?id=615963

M	src/nautilus-application.c

commit b37f08ef618b6418711a7c70ff7485961bc9058d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-31

    places-sidebar: don't return TRUE in button-release when we eject

    Otherwise the GtkTreeView default handler won't run cleaning up
    what it set up in button-press-event and the next motion-event will
    trigger the DnD to begin.

    https://bugzilla.gnome.org/show_bug.cgi?id=646302

M	src/nautilus-places-sidebar.c

commit 2644c6ef4e7839e976d4861d6c86e16e34d46a13
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-31

    icon-canvas-item: make sure to reset the default cursor ond
    destruction

    We might be destroyed while hovering while in single-click mode,
    so make
    sure the default cursor is always cleared when finalizing, if
    we didn't
    get a leave event.

    https://bugzilla.gnome.org/show_bug.cgi?id=315023

M	libnautilus-private/nautilus-icon-canvas-item.c

commit a47b2efd9b265f92e306e855ede0af3f19881f0c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-04

    build: bump version to 3.1.0 on master

M	configure.in

commit 7c3ba0e86f5b6ba4859457c1fd57f6f443601cab
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2011-04-04

    Updated Russian translation

M	po/ru.po

commit 60ecc80a6057ebb5605f1ef1eb51e6cf8785a1e1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-04-04

    Updated Polish translation

M	po/pl.po

commit 2641de616d77df714d743a58a52228a6632a1df1
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:	2011-04-04

    [l10n] Updated German translation

M	po/de.po

commit 635d472128e9687daa3b466f43765ee116921712
Author: Lukas Lommer <llommer@svn.gnome.org>
Date:	2011-04-04

    Updated Czech translation

M	po/cs.po

commit 6efe6113d1a2ee61eaf2feed818689f25023e687
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-04

    release: release 3.0.0

    The future is now.

M	NEWS
M	configure.in

commit acce5e1c70e10ef550cfed888a852e5048dc4b3d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-04

    release: update AUTHORS

M	AUTHORS
M	src/nautilus-window-menus.c

commit 681e24ae18f5f4cf6275171154383fb0aeaf1d1a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-04

    release: require the latest stable versions of our dependencies

M	configure.in

commit 278425bbcd806571f7d5369e53a15d5f22e51551
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-03

    window: make sure we always force opening in new windows on the
    desktop

    https://bugzilla.gnome.org/show_bug.cgi?id=646548

M	src/nautilus-window-manage-views.c

commit 68b57af6e476253b36d8652a681bade6facbd259
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-04-03

    places-sidebar: disconnect the gsettings handler callback in
    _dispose()

    The GSettings object is a global singleton, so it will always
    survive the
    sidebar; we should make sure to disconnect all the settings signal
    when
    destroying the sidebar.

    https://bugzilla.gnome.org/show_bug.cgi?id=646664

M	src/nautilus-places-sidebar.c

commit d4cce11671471427f1b62fc658e05d4f6637b3e9
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2011-04-04

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 42d58b3db4b639521c0346ec8d9afc3f60c30603
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-04-04

    Updated Basque language

M	po/eu.po

commit 4611ba0cd09b1c63c67930f72c90edb2e4f3b83e
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:	2011-04-03

    [l10n] Updated German translation, umlauts fixed

M	po/de.po

commit b35740dd52162a87a19ef8ed6a56a6736e5736ec
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-04-03

    Updated Vietnamese translation

M	po/vi.po

commit b67ee41bc6601fc26bea2457dc8865e0df5e5f98
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-04-02

    Updated Polish translation

M	po/pl.po

commit ce1f95f6f8ee17cb7613564295566ffd99d8e930
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2011-04-02

    Updated kn translations

M	po/kn.po

commit c6fc0d81c87f6c3bdfb457a98fbb386dfa36683e
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2011-04-02

    Updated kn translations

M	po/kn.po

commit 333ce240832b66f46d8b9bfdfa4b294c1bf26fbd
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2011-04-02

    Updated kn translations

M	po/kn.po

commit 7ddc0b3bb207fe0b9243b90f1c73b0bcf76490d4
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-04-02

    Updated Vietnamese translation

M	po/vi.po

commit 6fc1a0b5cedba6dc28dc995eb7a0688869239c71
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-04-02

    po/vi.po: import from Damned Lies

M	po/vi.po

commit 0a10d4355e2e144d6731fa12a981841e1ea7b9b9
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-04-01

    Updated Hungarian translation

M	po/hu.po

commit c6279ac229545d7f64b64212383df2753482e233
Author: Giorgio F. Gilestro <giorgio@gilestro.tk>
Date:	2011-04-01

    Fix up accidental error in last commit

    The accelerator ended up as stock id instead.

M	src/nautilus-view.c

commit cce40272e35b20b4aaf5f93109a05b7bb89704d5
Author: Giorgio F. Gilestro <giorgio@gilestro.tk>
Date:	2011-04-01

    Use ctrl-delete as the keyboard shortcut to trash files

    This change was made to make it harder to accidentally trigger a file
    delete. We still support the trash that will let you get a trashed
    file
    back, and we will get undo support to make this even easier. However,
    that only works if you know you deleted the wrong file, not if you
    accidentally hit delete while the nautilus window was focused.

M	src/nautilus-view.c

commit 803783c2479258aad8f2278dde95101b9e4b90ca
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2011-04-01

    Updated kn translations

M	po/kn.po

commit e72093c2b0490b481a6b894bf84dd46075b7ef21
Author: Jiro Matsuzawa <matsuzawa.jr@gmail.com>
Date:	2011-03-31

    Updated Japanese translation.

M	po/ja.po

commit 952269914060f48f941053120e6035440c8cfc6f
Author: Милош Поповић <gpopac@gmail.com>
Date:	2011-03-31

    Added Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 7421f629c9493344846890a46e475667b9aae0b1
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2011-03-31

    Updated Tamil translation

M	po/ta.po

commit d011084103db0ace13a7011d53f68cf9a3489464
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2010-12-03

    Updated Tamil translation

M	po/ta.po

commit 80fab3f7a7447efbd4323cf372f846d4d59141a5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-30

    release: update for 2.91.94

M	NEWS
M	configure.in

commit f294a4e80626793624d76d6002b094d1c0809de4
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-03-30

    Fix up eject button hover in places sidebar

    We were calling gtk_tree_view_column_cell_get_position() without
    properly loading the cell attribute for the right row before.
    We fix this by calling gtk_tree_view_column_cell_set_cell_data().

    With this in place we can also use the x_offset for the position and
    avoid the whole summing of widths.

    Due to a bug in Gtk which expands the eject icon cell renderer we
    have to right align it so that it lines up properly.

    https://bugzilla.gnome.org/show_bug.cgi?id=640741

M	src/nautilus-places-sidebar.c

commit b57c42f7fbe7fd90cdc6ff59b2f7c160dd3198af
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2011-03-30

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 3fd5eda0fc01f56ce9ae9b68b744651d73342259
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2011-03-30

    Updated Danish translation

M	po/da.po

commit cf21e9aa47c67861422ada02c7fa327340d63140
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-29

    pathbar: keep a ref to the GFile while updating the path

    When desktop-is-home-dir changes, we force a re-layout of all the
    buttons, which in turn unrefs the passed-in GFile, as the ref would
    belong to an old button. Fix this by assuming a ref while calling
    nautilus_path_bar_update_path().

    https://bugzilla.gnome.org/show_bug.cgi?id=551543

M	src/nautilus-pathbar.c

commit aed2cce6c36543457f5f1ad8f8c05f2fa147b1f2
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-03-29

    Updated Slovenian translation

M	po/sl.po

commit e7d80384ab00d52149452e77cd566ee381474b36
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:	2011-03-29

    Updated Lithuanian translation.

M	po/lt.po

commit 85ae5ae7e3174c05199ff6557c1cc905ad1d1075
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:	2011-03-29

    Updated Marathi Translations

M	po/mr.po

commit 08665d5c7ae146c45f5f9855b3ea60c22b1372ad
Author: Lukas Lommer <llommer@svn.gnome.org>
Date:	2011-03-29

    Updated Czech translation

M	po/cs.po

commit d01f3377a2724bb6582f13c48f7cd1b97b1b869b
Author: Lukas Lommer <llommer@svn.gnome.org>
Date:	2011-03-29

    Updated Czech translation

M	po/cs.po

commit c7c860a264db211a0a68ee963ce29c7fcb2ad334
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-03-28

    Make sure we free custom accessibility objects

    Custom accessibility objects, such as NautilusIconContainerAccessible
    need to be freed when their corresponding widget/object dies, right
    now we're not unreferencing the accessible, so its always leaked.

M	eel/eel-accessibility.c

commit 69a3e83971e2f0963d0c68f4b3e84612ff4032e8
Author: Shaun McCance <shaunm@gnome.org>
Date:	2011-03-27

    Fixing help buttons to go to new gnome-help pages

M	src/nautilus-bookmarks-window.c
M	src/nautilus-connect-server-dialog.c
M	src/nautilus-file-management-properties.c
M	src/nautilus-properties-window.c
M	src/nautilus-view.c
M	src/nautilus-window-menus.c

commit ac6ec79231cf3d0cbd076ea5a76b154c9930df68
Author: Henrique P. Machado <hpmachado@gnome.org>
Date:	2011-03-27

    Updated Brazilian Portuguese translation.

M	po/pt_BR.po

commit fed40498e77eb037826391eabdf5f359ad72ba78
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:	2011-03-27

    Added UG translation

M	po/ug.po

commit ca8392d39f57dcbc17d2de84c90fb4e4d473f074
Author: Ivan Masár <helix84@centrum.sk>
Date:	2011-03-27

    Updated Slovak translation

M	po/sk.po

commit 0889c0e56d13329a835324cf20160a69591a6757
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2011-03-27

    Updated Russian translation

M	po/ru.po

commit 5c34337057c96621d2d43690b262eab98c287a1a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-03-26

    Updated Norwegian bokmål translation

M	po/nb.po

commit 4e75a3b805b007c863ad2eb4b3be62a97249c33d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-25

    icon-view: clear the icon view when destroying it

    This ensures all NautilusFiles are properly unreffed when destroying
    the
    view, and fixes a leak.

M	src/nautilus-icon-view.c

commit 199e5adb8a51c9cd54a644de60b01d9c0cd2170d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-25

    release: update for 2.91.93

M	NEWS
M	configure.in

commit 7268e3f449a7ae762dcc5b72cb8a36d7ed3362e2
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-03-25

    Don't leak sidebar widgets

    Sidebar widgets are normal widgets these days and should be standard
    floating stuff owned by the container they end up with. So, we
    should no longer ref_sink them.

M	src/nautilus-places-sidebar.c
M	src/nautilus-tree-sidebar.c

commit d781d414e40840422c201dd61637135358c75ab3
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-03-25

    Don't leak NautilusFile for bookmarks in places sidebar

M	src/nautilus-places-sidebar.c

commit 695efe7cb3f9a96e7c870c36d30e2759d800d2d5
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-03-25

    Better debugging for NautilusDirectory leaks

M	libnautilus-private/nautilus-directory.c

commit 1d48f02ea1bf274d8fb0d70b61bed337bbda06c2
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-03-25

    Add custom foreach to eel_g_hash_table_new_free_at_exit

    This can be used to get some sort of printout for leaks in non-string
    hashtables.

M	eel/eel-glib-extensions.c
M	eel/eel-glib-extensions.h
M	eel/eel-stock-dialogs.c
M	eel/eel-string.c
M	libnautilus-private/nautilus-directory-async.c
M	libnautilus-private/nautilus-directory.c
M	libnautilus-private/nautilus-file.c
M	src/nautilus-properties-window.c

commit 1a8aadd2d02554a308c33a2b88b95c6d7ef5be7f
Author: Lukas Lommer <llommer@svn.gnome.org>
Date:	2011-03-24

    Updated Czech translation

M	po/cs.po

commit 101796d8b02133f238a757e4d754915e1d276095
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-03-22

    Updated Norwegian bokmål translation

M	po/nb.po

commit f45510bbb82d6ffa23bf8a54b8596fb5f34ae5e3
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2011-03-22

    [l10n] Updated Estonian translation

M	po/et.po

commit 41fd10dafd7fe0240dc13bf33140e8aa22d87333
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-21

    Update for 2.91.92

M	NEWS
M	configure.in

commit 2cf698346aca25a48a11edeccc34530e15843a6a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-21

    file-operations: update the test to the new duplicate string behavior

    The test was in some cases checking for what we don't actually want to
    happen. Change it to match current behavior.

M	libnautilus-private/nautilus-file-operations.c

commit 40947ed576b14777eb3106a3b0350b471455905d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-21

    file-operations: make sure to handle correctly hidden files extensions

    This is a fixup of c250b5702329e71c61f6e7f4e26227925c5b1e90

M	libnautilus-private/nautilus-file-operations.c

commit 1f31ab18d932a778aa409dd3cadffb34d5f4ae54
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-21

    css: apply a soft gradient to the floating bar.

M	data/nautilus.css

commit 9dc263518f71a2a06ec808be79c2bc0a9fe17129
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-21

    window: make sure to never show the floating bar on the Desktop

    https://bugzilla.gnome.org/show_bug.cgi?id=644172

M	src/nautilus-desktop-icon-view.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.c
M	src/nautilus-window.c

commit c250b5702329e71c61f6e7f4e26227925c5b1e90
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-21

    Properly strip extensions when placing the duplication string

    We use a similar matching filter to the one we use when renaming. It's
    not ideal (mimetypes are hardcoded, and probably some are missing),
    but
    at least we're consistent.

    https://bugzilla.gnome.org/show_bug.cgi?id=351290

M	eel/eel-vfs-extensions.c
M	eel/eel-vfs-extensions.h
M	libnautilus-private/nautilus-file-operations.c

commit e0726b71cbbe3ddd9548546991a30951ecc1f21e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-21

    slot: don't ref the view returned by _get_current_view()

    https://bugzilla.gnome.org/show_bug.cgi?id=643968

M	src/nautilus-window-slot-dnd.c
M	src/nautilus-window-slot.c

commit 2d71f734864647c23aa3e35374da9058beb0dc2e
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2011-03-21

    Updated Esperanto translation

M	po/eo.po

commit ddc303bc2b23704911299ba28aab3f0e74fb88ee
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2011-03-21

    Updated Esperanto translation

M	po/eo.po

commit 1ac3b5dd7100e75d8d579e7dc4c6fabb192a2dee
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2011-03-21

    Updated Esperanto translation

M	po/eo.po

commit 76e10b322b5e0689c16881f10a3854e207a44c09
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-21

    places: hide "Open in new Tab/Window" when using separate windows

M	src/nautilus-places-sidebar.c

commit 2cd9c4b84059f3e00ed6222ab43c34a974e2c550
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-21

    view: cleanup "Open in new Tab/Window" items when using separate
    windows

    We were displaying a lot of useless entries in the menus in such case.

M	src/nautilus-actions.h
M	src/nautilus-directory-view-ui.xml
M	src/nautilus-view.c

commit 572ded742f9146a6bca8f5000804f291338db9b8
Author: Stefano Teso <stefano.teso@gmail.com>
Date:	2011-03-21

    view: set the right open flags when opening in a new window

    https://bugzilla.gnome.org/show_bug.cgi?id=644675

M	src/nautilus-view.c

commit 58e544c260349a01242f40769e61e9b7098069fd
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-21

    window-pane: toggle the search button when showing a saved search

    https://bugzilla.gnome.org/show_bug.cgi?id=645027

M	src/nautilus-window-pane.c
M	src/nautilus-window-slot.c

commit 111be78c86bc824b291d9b402a2ff897b2fa2dc7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-21

    query-editor: make all the labels' appearance consistent

M	src/nautilus-query-editor.c

commit c863defffa222ec60eff29c5f31ab73131799912
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-21

    query-editor: theme the query editor like the other cluebars

M	data/nautilus.css
M	src/nautilus-query-editor.c
M	src/nautilus-query-editor.h

commit 1469c27280be10a92aa92195023eb1bbf4a5d10c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-21

    file-utilities: return "Home" as a title for the home directory

    Make it consistent with the rest of the UI.
    https://bugzilla.gnome.org/show_bug.cgi?id=645136

M	libnautilus-private/nautilus-file-utilities.c

commit dac5908d505542362cc51c5c21e0b9220715395a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-21

    pathbar: don't unconditionally iterate over buttons when scrolling

    This should fix https://bugzilla.gnome.org/show_bug.cgi?id=645198

M	src/nautilus-pathbar.c

commit a2d928754e9b65ce9c7ac93127b61abdd7cbb2f4
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:	2011-03-20

    Updated Indonesian translation

M	po/id.po

commit 8129f1c78ac57aa96588228489860c315ef265c2
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-03-19

    Updated Latvian translation.

M	po/lv.po

commit 71548f90dfe368b2ce3396bef6d2099e3b800bdf
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:	2011-03-19

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit 83587589effec5b76a6dd7032f374db4135fae12
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-03-19

    Updated Hungarian translation

M	po/hu.po

commit 8094cacbdf5914f2a50c1a17cb93701890aafec3
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2011-03-17

    Updated Romanian translation

M	po/ro.po

commit 9d27856f2e62479eca0adae87f1cf6f1bf6cf92c
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2011-03-17

    Updated Romanian translation

M	po/ro.po

commit e2bfbbd6d8ae577bb16cd215a2d106dcc31f6d8a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-17

    view: use GTK_STYLE_CLASS_VIEW for NautilusView

    So that NautilusIconContainer also inherits the proper style class.

M	src/nautilus-view.c

commit 9c65f3b6675fb927a96a7dd52d6fec4eb700adce
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-17

    window: use GTK_STYLE_CLASS_SIDEBAR for the nautilus sidebar

M	configure.in
M	data/nautilus.css
M	src/nautilus-window.c

commit 32fdd13a6e92f9e36dc8476043c4b93f61a6eca9
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:	2011-03-17

    Updated Lithuanian translation.

M	po/lt.po

commit f70c2c981adb794bf996b077f2dcfa299d689e61
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-03-17

    [l10n] Updated German translation

M	po/de.po

commit 99d84db2ccc8b7cd998a6704cc34b83cbcac4760
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-15

    window-pane: use _split_view_off() to close the active pane with
    Ctrl+W

    This makes nautilus' behavior consistent with what happens when F3 is
    pressed.

M	src/nautilus-window-pane.c

commit 633929a88b8941a4b817bd34b27ce5d8fbe3a804
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-15

    css: theme the search bar and the cluebar with the proper colors

M	data/nautilus.css

commit 515610602463758c08d4ce5514219a83c3e05bfe
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-15

    search-bar: rework to make it more similar to the 3.0 mockups

    This involves rendering a background over the box, using symbolic
    icons
    and other goodness.

M	src/nautilus-search-bar.c
M	src/nautilus-toolbar.c

commit 319cda6e9430b4aa74e052ee41086d82fc5bb530
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-15

    window-slot: cleanup packing of extra widgets

    Don't pack them in a frame+eventbox, but just use the GtkBox.

M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h

commit d73ded51a677700ad76201851af255f5ba6192d3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-15

    x-content-bar: make NautilusXContentBar a GtkInfoBar

M	src/nautilus-x-content-bar.c
M	src/nautilus-x-content-bar.h

commit 3b3fe092c77b685516495ae8239d6b5aa7c37072
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-15

    trash-bar: make NautilusTrashBar a GtkInfoBar

M	src/nautilus-trash-bar.c
M	src/nautilus-trash-bar.h

commit a2df8af91ed91934c16a0a959c1e178b2849c46e
Author: Fran Diéguez <fran@openhost.es>
Date:	2011-03-15

    Updated Galician translations

M	po/gl.po

commit 45945cd45776a020b1f8ce5e61c0db7faa1895f4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-15

    window: add back the resize grip

    At the same time, add a bit more padding to the floating bar label, so
    that it won't be covered by the grip.
    Remove some margin at the bottom of the window too.

M	data/nautilus.css
M	src/nautilus-floating-bar.c
M	src/nautilus-window.c

commit ad8dd8389670d85e8afacb58dc7971cc2b81b9eb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-15

    window-slot: let the "Loading" floating bar appear only after
    a timeout

    It will appear only if loading takes more than 500ms.

M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h

commit 275744644c95cc039efae7029a94814b47274ff7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-15

    floating-bar: don't use a yellow color for the floating bar

    Make it also a bit shorter.

M	data/nautilus.css
M	src/nautilus-floating-bar.c

commit 00a9b3ae50db1cd609ee3eb4a556c851fc046906
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2011-03-13

    Updated Portuguese translation

M	po/pt.po

commit df4e4aa5d62e2ef23fdbf0a3ca09107e89d89ff6
Author: Åsmund Skjæveland <aasmunds@ulrik.uio.no>
Date:	2011-03-13

    Updated Norwegian Nynorsk translation.

M	po/nn.po

commit 55585048b94c492fa32a60359a14472da8a4f7c4
Author: Claude Paroz <claude@2xlibre.net>
Date:	2011-03-12

    Updated French translation

    Contributed by Gérard Baylard, Bruno Brouard and Claude Paroz.

M	po/fr.po

commit a3a69db247c58066fcd7ae9b3c6e596fa7f21060
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2011-03-12

    Updated British English translation

M	po/en_GB.po

commit 7536e18ed8fdf50274625837c022ce5ee843c340
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2011-03-11

    Bengali translation: Fix malformed format string

    Originally reported as
    https://bugzilla.redhat.com/show_bug.cgi?id=578086

    Related to commits a1a8f97c9dcd9fdbbbfdddcec7f7d8da85a68dfb and
    5b31e211ff20645c548949bd8d012b7bcaa39bf2

M	po/bn.po

commit b47b01d95f332f6a50157cb2d4940bd920455518
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-03-11

    Updated Polish translation

M	po/pl.po

commit 9cf0a0a1bde02fababd047cced3c36ffa6f9543e
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2011-03-11

    Updated Arabic translation

M	po/ar.po

commit c25ae0f18ca87c561178bd57b191fd13ec3edc38
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:	2011-03-10

    Updated Oriya Translation

M	po/or.po

commit 86bd3f63bcdf7cdfdc0ebb12104856f7d085510b
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2011-03-09

    Updated Slovenian translation

M	po/sl.po

commit 85e624e496ddcbea78826545308aac09541bbfde
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2011-03-09

    Updated Slovenian translation

M	po/sl.po

commit 3800f7c7957ac155d96b0b8605197fd7de8cd943
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-08

    css: make the backgorund of the floating bar button transparent

M	data/nautilus.css

commit e021dd0f9c73c4cbf6e8e00f1ca6863c99a7056c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-08

    toolbar: use a raised button for Search

M	src/nautilus-toolbar.c

commit eb340743b260def298ed64a45d2b6112f7c71589
Author: Joan Duran <jodufi@gmail.com>
Date:	2011-03-08

    Updated Catalan translation

M	po/ca.po

commit 30fca4b7b9afad5edb884ef7e6b8370fc88951ec
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-03-08

    Updated Norwegian bokmål translation

M	po/nb.po

commit 5b6d156f57ad630646c2c3e779d094b98766d529
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-07

    Release 2.91.91

M	NEWS
M	configure.in

commit 9465370aad15fe7b20923ad1009a5d3314edc621
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-07

    places: use iters to cycle items in the sidebar

M	src/nautilus-places-sidebar.c

commit ede178516796568e5d0b596cc720a3cb56dfaaf5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-07

    toolbar: set the primary-toolbar style class on the toolbar

M	src/nautilus-toolbar.c

commit 896138b17cf6bb8be87bfac3394af641972a364b
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2011-03-07

    Fixed a typo

M	po/it.po

commit 894fe97a070004ad3317fa59fa8cb20851c9ab81
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2011-03-06

    Updated Korean translation

M	po/ko.po

commit 96e53868862fb43b54b8e3f5cf9258615bc26fad
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2011-03-05

    Updated Slovenian translation

M	po/sl.po

commit 7af7225fce4ede640cf9eca3a2e11115bf542ff7
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-03-05

    Updated Vietnamese translation

M	po/vi.po

commit 0e20049361db4a0d8926e98702501392e98efdcd
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-03-05

    po/vi.po: import from Damned Lies

M	po/vi.po

commit 4359343f94d255929621fb4fa1f08b67ded4bf96
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-03

    list-view: fix expand/fill visibility of the column editor dialog

M	src/nautilus-list-view.c

commit ab4fb0cdee781120d35f041a2198f203da2678cd
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2011-03-02

    Uploaded Ukranian

M	po/uk.po

commit 7035f1c2d444b066e079abc50a8664bccf69fe05
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-03-01

    Updated Swedish translation

M	po/sv.po

commit 2ed8c3b4c3ac88996b6bbd961f9bc3fee6c14789
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2011-03-01

    Uploaded Ukranian

M	po/uk.po

commit 9b4ce4d88d5bc8374d218534f5ee616fdd64ef79
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2011-02-28

    Uploaded Ukranian

M	po/uk.po

commit f84f6578c5068fe3216387240420f41b2d00db41
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-28

    css: don't put toolbar style here

    It's in gnome-themes-standard until we found a more generic way of
    expressing it.

M	data/nautilus.css

commit ba262758489a726afbfcbfe60f1f0c79f20d179a
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-02-27

    Updated Latvian translation.

M	po/lv.po

commit d12544d94d11cfe403f0a4f2f82b0ff569a623d6
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-02-27

    Updated Hungarian translation

M	po/hu.po

commit 789d71e7edbc3f60668c305adb4da9bbdd94b4d6
Author: Stefano Teso <steso@src.gnome.org>
Date:	2011-02-26

    places-sidebar: skip section headers on keynav

    https://bugzilla.gnome.org/show_bug.cgi?id=643137

M	src/nautilus-places-sidebar.c

commit 089315b56f78113bd26d18bb40d0132b84954ebe
Author: Stefano Teso <steso@src.gnome.org>
Date:	2011-02-26

    typeahead-find: make sure the search widget is on-screen when
    maximized

    https://bugzilla.gnome.org/show_bug.cgi?id=642953

M	libnautilus-private/nautilus-icon-container.c

commit a5d4e41129e00461426312cdffa392b59ac30118
Author: Stefano Teso <steso@src.gnome.org>
Date:	2011-02-26

    bookmarks: bookmarked saved searches should use the saved-search icon

    https://bugzilla.gnome.org/show_bug.cgi?id=643057

M	libnautilus-private/nautilus-bookmark.c
M	libnautilus-private/nautilus-icon-names.h

commit 02446f2cdb990fabebdefaed339227d6f52a495e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-25

    icon-view: doesn't make sense to use g_timeout_add_seconds for preview

    https://bugzilla.gnome.org/show_bug.cgi?id=574033

M	src/nautilus-icon-view.c

commit 5e2edee2e8dc6b4eababdff993176d591cc2a6e6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-25

    list-view: make sure not to select the extension on rename

    Delay calling gtk_editable_select_region() until after
    gtk_tree_view_set_cursor()

    https://bugzilla.gnome.org/show_bug.cgi?id=627110

M	src/nautilus-list-view.c

commit a9515134c3bce4df1d1563340394b796ae40d183
Author: Stefano Teso <stefano.teso@gmail.com>
Date:	2011-02-25

    list-view: create folders in subdirectories when possible

    Don't always choose the tree root as parent when creating a new
    folder,
    but look at the current selection's directory.

    https://bugzilla.gnome.org/show_bug.cgi?id=330644

M	src/nautilus-list-view.c
M	src/nautilus-view.c
M	src/nautilus-view.h

commit 97b1ff2fa3b4d706969ab40d4bf17adad281e42f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-25

    list-view: unfreeze updates on focus out

    It's not really right, as GtkTreeView should always emit
    editing-canceled on the right renderer for us, but if you click away
    from the entry, it doesn't, so this is just a workaround until
    the GTK+
    bug is fixed.

M	src/nautilus-list-view.c

commit 3645b11f392c649455472bc1b3a8c8f581c37c74
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-25

    file: make sure not to pass g_utf8_collate() NULL strings

M	libnautilus-private/nautilus-file.c

commit e939b36481815dbdf4053dba070f17d02a1efc38
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-25

    desktop-file: remove obsolete x-directory/* mimetypes

    They got deprecated.

    https://bugzilla.gnome.org/show_bug.cgi?id=612694

M	data/nautilus.desktop.in.in

commit 50ee32a1b46f0e0dea68b57c72070247bad9b7f7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-25

    window-slot: use the actual view as relative-widget

    Instead of special-casing the scrolled window in the overlay code, we
    directly set the actual view as relative-widget from the slot.

M	src/nautilus-window-slot.c

commit 23aa30fec0da95b58a9336da58115a3a04a21eb4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-25

    overlay: sync with gedit upstream

    As one of my patches got rejected.

M	src/gedit-overlay.c

commit a2093ba1340334fa2733aa3ba2c00e7d1cfb683e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-25

    view: remove nautilus_view_get_widget()

    Having a function just to call a cast seems a bit weird...

M	src/nautilus-view.c
M	src/nautilus-view.h
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.c

commit 2632e266fbc794de5e912ac1f37dfaa8f4ed0904
Author: Rodrigo Moya <rodrigo@gnome-db.org>
Date:	2011-02-25

    Plug memory leak

M	libnautilus-private/nautilus-icon-info.c

commit f45d398de73c1eee924e55aadba96254d8091932
Author: Rodrigo Moya <rodrigo@gnome-db.org>
Date:	2011-02-24

    Guard against filename being NULL on nautilus_icon_info_lookup

M	libnautilus-private/nautilus-icon-info.c

commit 6c9cfec6cca8fc51049eac6c7677516b5d241677
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-24

    places-sidebar: use the widget type directly instead of defining
    a class

M	data/nautilus.css
M	src/nautilus-places-sidebar.c

commit 5df17020848a51d1211451274ae6816562d53503
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-24

    all: remove shadows from scrolled windows and add a bottom margin

    To better match the mockups

M	src/nautilus-places-sidebar.c
M	src/nautilus-view.c
M	src/nautilus-window.c

commit c024477bd59761cfa683117dafe47cd08fda3f52
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-24

    window-slot: adapt to overlay API changes

M	src/nautilus-window-slot.c

commit 2aa5c4844b3f4fe6b26c72d74ccfc9352a11f3f4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-24

    overlay: sync with upstream, and add a case for scrolled windows

M	src/gedit-overlay-child.c
M	src/gedit-overlay.c
M	src/gedit-overlay.h

commit b220d722a0748763ebe1370a49831c24d734f7f8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-24

    all: move the floating bar to NautilusWindowSlot

M	src/nautilus-floating-bar.h
M	src/nautilus-icon-view.c
M	src/nautilus-list-view.c
M	src/nautilus-view.c
M	src/nautilus-view.h
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h

commit d0706a08eefb73aa515cb445e57c0360637cce12
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-24

    places-sidebar: don't activate 'Rename' shortcut for non-bookmarks

M	src/nautilus-places-sidebar.c

commit d2c34101172415c63fe3c89e62ea1bf8bca15d9d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-24

    editable-label: only clear the selection if we change to insensitive

    This is borrowed from GtkEntry, and should properly fix
    https://bugzilla.gnome.org/show_bug.cgi?id=642766

M	eel/eel-editable-label.c

commit 8d9cb34aec31955874b59d7d90ca4a57c6ddbcf4
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-02-24

    Updated Norwegian bokmål translation.

M	po/nb.po

commit d6f2b28ea999a2d36d023c80dfd9fb4d7ffd83d6
Author: Aron Xu <aronxu@gnome.org>
Date:	2011-02-24

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit 18b496bc28a59987d161b5272244a808f5c06e2c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-23

    places-sidebar: discard special dirs if they are assigned to the home

    https://bugzilla.gnome.org/show_bug.cgi?id=643121

M	src/nautilus-places-sidebar.c

commit 24e447ed71d986f8806dfcc75a7d2c32cb47dbd0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-23

    tree-sidebar: cope with being shown in separate windows

    Use the same strategy as in NautilusPlacesSidebar to decide where new
    window should be opened.

M	src/nautilus-tree-sidebar.c

commit 187604bc871c9b09be29794713c5db211d075d48
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-23

    window: make sure to disconnect the sidebar changed id signal

    When the window is finalized.

M	src/nautilus-window.c

commit 5ae01f04d69f9e1d24cda75e9046aea4b4e96cd1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-23

    places-sidebar: respect middle-click for separate windows mode

    Make it consistent with the rest, i.e. close behind.
    This also fixes a crasher.

M	src/nautilus-places-sidebar.c

commit 0e6d9d7da5e2deac33d14261fbe9a22bbc7de192
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-23

    window-pane: don't open another window when toggling off the search

    When 'Open new windows in separate folders' is toggled.
    This is not yet complete, but fixes at least one case.

M	src/nautilus-window-pane.c

commit 29e8f4564400640cc19e0fd7753ea8b2bac9d555
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-23

    properties-window: add a border around the notebook

    This makes it visually consistent with other nautilus notebooks, and
    with e.g. the GNOME3 control-center.

M	src/nautilus-properties-window.c

commit 4b6ba5bbccb934b9c595003ea1218913dd33d0c9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-23

    view: disconnect the statusbar visibility signal handler on finalize

M	src/nautilus-view.c

commit b6c86952f816dc698fed3ebb91231cc9e1ea5745
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-02-23

    Updated Slovenian translation

M	po/sl.po

commit 75b7885bcd6e77bf16f7fa9d6bee44ac0c53ce94
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-02-23

    Updated Slovenian translation

M	po/sl.po

commit 20be3147adefe2a8e2f7d03ccebe791f09fd5060
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-02-23

    Updated Slovenian translation

M	po/sl.po

commit 3f9cc6132af4fb06b7b1467e9544c8853843183c
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2011-02-23

    Updated Bulgarian translation

M	po/bg.po

commit 415aef2af3e8a7491ee0605f5082a696640680f8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-22

    dbus-manager: install a DBus service file

M	data/Makefile.am
A	data/org.gnome.Nautilus.service.in

commit b76e3c666d1da08cc70bd09a293c2ed319861bcd
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-22

    dbus-manager: hold the GApplication for 5 seconds upon startup

    This is needed so that nautilus can be started as a DBus service with
    --no-default-window and be able to handle incoming method calls
    without
    quitting before receiving them.

M	libnautilus-private/nautilus-dbus-manager.c
M	libnautilus-private/nautilus-dbus-manager.h
M	src/nautilus-application.c

commit 25e74f522cd49af07b2be6b92cc3a7421a57f5fc
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-22

    Fix distcheck

M	po/POTFILES.in

commit 32f4f370a37eced91270202ed7ff02cd4db46d8d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-22

    Release 2.91.90.1

M	NEWS
M	configure.in

commit a0569367b029140ca15cdd5d0d78a3577c3d6d83
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-22

    module: make modules for extension that pull in ORBit resident

    ORBit installs atexit() handlers, which would get unloaded together
    with the
    module now that the main process doesn't depend on GConf anymore,
    causing
    nautilus to sefgault at exit.
    If we detect that an extension would pull in ORBit, we make the module
    resident to prevent that.

M	libnautilus-private/nautilus-module.c

commit 8ff66dc5aeb7c573ef3deb6100fa151e9f9349e9
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-02-22

    [l10n] Updated Estonian translation

M	po/et.po

commit c40521ffbc4e990e4633be41e730b28eec26f1f5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-21

    icon-info: remove unused code

M	libnautilus-private/nautilus-icon-info.c
M	libnautilus-private/nautilus-icon-info.h

commit 150b95ca0c668568e0e5d04701048d6f1fc1636b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-21

    zoom-control: remove unused NautilusZoomControl

M	src/Makefile.am
M	src/nautilus-window.c
D	src/nautilus-zoom-control.c
D	src/nautilus-zoom-control.h

commit ee701773633e2b5f2a70988ca16ace47d002e382
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2011-02-21

    Updated Italian translation

M	po/it.po

commit 50647b100ddb52f61c50f973d89f883d346442bb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-21

    Release 2.91.90

M	NEWS
M	configure.in

commit aea7f1f49601c34398f8b62b3650f7c3db8d1171
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-21

    all: fix some includes

M	src/nautilus-toolbar.c
M	src/nautilus-window-pane.c

commit b89a352e0d37193d00de7085ad4ef18f6f2d36a2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-21

    configure: depend on stable GTK+/GLib versions

M	configure.in

commit ead6bf5b5d80a0d4937d7b8f84dd2cdc53db73e4
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2011-02-21

    Updated Italian translation

M	po/it.po

commit 1cfe6c78c610c616873314e2fa76cb085116cf96
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-21

    tracker-engine: update to 0.10, using libtracker-sparql

    https://bugzilla.gnome.org/show_bug.cgi?id=642770

M	libnautilus-private/nautilus-search-engine-tracker.c

commit a8a5b8d8eae041e7ae10a553d0990fc7ee5dc3cd
Author: Stefano Teso <steso@src.gnome.org>
Date:	2011-02-21

    icon-container: fix setting the selection when renaming

    Closes: bgo #642766

M	libnautilus-private/nautilus-icon-container.c

commit 6dd4e0aed74bb7da6fc471ff6f032884f93643b5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-21

    application: remove the ConsoleKit listener

    I just moved it to the gnome-settings-daemon plugin where it should
    belong.

M	src/nautilus-application.c

commit a3f2a8814453860b1fb8d4c1aa9637011b46f7fb
Author: Stefano Teso <steso@src.gnome.org>
Date:	2011-02-21

    nautilus-view: Ignore scripts directory if it's a broken symlink

    Closes: bgo#633683

M	src/nautilus-view.c

commit 585e46b63b691ccc4a618ddc01b686954da287a3
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-02-21

    Updated Hebrew translation.

M	po/he.po

commit 527aa458d57036cb74c3f855cd1eb724da1e3ad6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-21

    window: remove another couple of unused defines

M	src/nautilus-window-private.h

commit 8ec1999f09ff40b6a1a8b511efbf36b692144503
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-21

    window: remove useless defines

M	src/nautilus-window-private.h

commit 9531e7cb106f161d8a43da7ca161fac8becd3de6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-21

    window: plug a leak

    Don't leak the GtkSizeGroup after we add widgets to it. Also, move
    it to
    the pane, where it should belong now.

M	src/nautilus-window-pane.c
M	src/nautilus-window-private.h
M	src/nautilus-window.c

commit 243a3f883f7b2969c11ddac8c6d46521ffa5ef4d
Author: A S Alam <aalam@users.sf.net>
Date:	2011-02-21

    update Punjabi Translation by A S Alam

M	po/pa.po

commit 945ff33b72928e13b2206ccb869f63420cd9de94
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-20

    window-menus: fix indentation

M	src/nautilus-window-menus.c

commit 322a3d0094082a32d357d0358174025c296a46dd
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-20

    window: fix behavior of the Search action

    Make the toolbar button active state consistent with the menu, and
    simplify the code handling it a bunch.

M	src/nautilus-shell-ui.xml
M	src/nautilus-window-menus.c
M	src/nautilus-window-pane.c
M	src/nautilus-window-pane.h
M	src/nautilus-window.c
M	src/nautilus-window.h

commit eb9a291ad09d77cd01131209f68beaa04ef45626
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-20

    navigation-state: bind "active" for toggle actions

    So that we can use this objet for "Search"

M	src/nautilus-navigation-state.c

commit 808332169bb8000c57d55e267d4abf4dcad3a481
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-02-20

    Added Spanish translation

M	po/es.po

commit 7a3360c812ac30858ca7281c3d34fd132c454f63
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-02-20

    Updated Slovenian translation

M	po/sl.po

commit 763109bb17cd326195ff44951977243a6e6712d1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-19

    file-operations: make sure not to show the dialog before calling
    _run()

    This had no noticeable effect before, but with gnome-shell's modal
    dialog animation, it causes the dialog flickering before being
    picked by
    the WM.

M	libnautilus-private/nautilus-file-operations.c

commit 01c61be847dbb30f7392794ad0fec6228e82904d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-19

    all: plug some memory leaks

M	src/gedit-overlay.c
M	src/nautilus-floating-bar.c

commit bdb71b79540e5a7265ff08bf4353dd580c32411a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-19

    overlay-child: make sure to intialize required fields

M	src/gedit-overlay-child.c

commit 89b84688b36a769478bd4593cceace6e2636c86c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-02-19

    Fix this after the window and spatial cleanups

M	po/POTFILES.in

commit e68968479783e0ff3e4f7c8b7391471d06597306
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-02-19

    Updated Norwegian bokmål translation.

M	po/nb.po

commit ddd59a578e403e815f76006477bf5eaea5b20c1e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-18

    window: accumulate saving the sidebar width in GSettings

    We don't want to hammer DConf with writes.

M	src/nautilus-window-private.h
M	src/nautilus-window.c

commit 56b249cc804bcea81d0308afe45ac2e5084dc6d7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-18

    floating-bar: ellipsize the description label

    Until we have a better way to truncate it at the right point when
    there's not enough space.

M	src/nautilus-floating-bar.c

commit 695d067571292c6475761e1ae4c453615f611a00
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-18

    overlay: fixup allocation in the overlay

    Give the children the right size they request, and make sure they
    don't
    get more space allocated than the width of their parent.

M	src/gedit-overlay-child.c
M	src/gedit-overlay.c

commit 1fd64c8188a513ec0321e2ff70225f9a7c52b3ad
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-18

    pathbar: cleanups

M	src/nautilus-pathbar.c

commit 7545af6c31ff45998167d008f3320a69d5531f7c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-18

    pathbar: clean up forward declarations and unused properties

    No real code change here.

M	src/nautilus-pathbar.c

commit 369eaac5796263e49dd0502aedc6d9137d160132
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-18

    pathbar: remove unused code

M	src/nautilus-pathbar.c
M	src/nautilus-pathbar.h

commit 36a47b4a7ea52c860818e0e8a4f795a365ba2e2c
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2011-02-18

    Uploaded Ukranian

M	po/uk.po

commit 2fde89de52f465051dbc85e3d00f57941275e4a7
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2011-02-18

    Uploaded Ukranian

M	po/uk.po

commit 6a11ecdde028a4972559491a3c0ec7799cc8c882
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-18

    icon-canvas-item: make the icon frame transparent when not prelit

    This fixes icons on the desktop appearing weird.

M	libnautilus-private/nautilus-icon-canvas-item.c

commit 1d3d4a1e954fcc15f2a9c7d933e7bc65c5330cc3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-18

    all: remove 'Tighter Layout' option

    It's just broken, and we already have icon view if we want something
    tighter.

M	libnautilus-private/nautilus-global-preferences.h
M	libnautilus-private/nautilus-icon-canvas-item.c
M	libnautilus-private/nautilus-icon-container.c
M	libnautilus-private/nautilus-icon-container.h
M	libnautilus-private/nautilus-metadata.c
M	libnautilus-private/nautilus-metadata.h
M	libnautilus-private/nautilus.convert
M	libnautilus-private/org.gnome.nautilus.gschema.xml.in
M	src/nautilus-actions.h
M	src/nautilus-convert-metadata.c
M	src/nautilus-file-management-properties.c
M	src/nautilus-file-management-properties.ui
M	src/nautilus-icon-view-ui.xml
M	src/nautilus-icon-view.c
M	src/nautilus-icon-view.h

commit 822b99ee1de297fbe78548a1a7fa96d1be737f72
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-18

    list-view: make sure not to activate items while chaining up

    The event activation is done entirely in our signal handler, and
    row-activated should only be used for the typeahead search box.

M	src/nautilus-list-view.c

commit 1988c7bc5feff1a2630b2603d558d1c376b12c9f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-18

    views: fix alternate locaiton opening somewhat

    It was broken after the last changes.
    Also, add some comments to clarify how things work.

M	src/nautilus-icon-view.c
M	src/nautilus-list-view.c
M	src/nautilus-window-manage-views.c

commit 491948284e453440798f14e29ba65737f44c5d46
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-18

    debug: add a debug flag for the icon view

M	libnautilus-private/nautilus-debug.c
M	libnautilus-private/nautilus-debug.h

commit 765d81d0b68e3b2d430b9ca0716a3f67607440df
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-02-18

    Change compact-view all-columns-have-same-width default to false

    This particular option is what makes the lables-on-the side part
    of compact view useful (and compact) over the normal icon view.
    Having it off by default is just weird.

M	libnautilus-private/org.gnome.nautilus.gschema.xml.in

commit 2d904c778ce5b30649c4789f35fcd3ea44e7fa59
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-02-18

    Remove debug spew from previous commit

M	src/nautilus-window-manage-views.c

commit e5f4a1f0fe63b324cc62e94a46599b2e187b1121
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    window-manage-views: initialize a variable

M	src/nautilus-window-manage-views.c

commit bdc7f2172f9e8b1c58d3f8a8d90ae157702dde3e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    window-manage-views: fix an oversight in previous commit

M	src/nautilus-window-manage-views.c

commit a58eb87e294c02ec61668ef6d02d701626ef8b98
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    window-manage-views: don't create two windows when opening in new win

    We were creating two windows at startup if the 'Open in different
    windows' option was toggled on.

M	src/nautilus-window-manage-views.c

commit 936a1749bb79217decc47ec2e12c7f3c40823f97
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    window: fix some missing signal handlers/overrides

M	src/nautilus-window.c

commit cff594aeba0cb62f3316eb8a14114091ca4c6d11
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    window: cleanup header

M	src/nautilus-window-private.h
M	src/nautilus-window.c
M	src/nautilus-window.h

commit f57a958039400b38897bf7ad5cc2f2e686921624
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    location-dialog: remove NautilusLocationDialog

    The only user was NautilusSpatialWindow

M	src/Makefile.am
D	src/nautilus-location-dialog.c
D	src/nautilus-location-dialog.h

commit b1589b8c22baa2d9508aabe96fc8bafd99bcdb71
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    all: fix the desktop window without spatial mode

    Basically disable all the window chrome for the desktop window.

M	src/nautilus-desktop-window.c
M	src/nautilus-window-pane.c
M	src/nautilus-window-private.h
M	src/nautilus-window.c
M	src/nautilus-window.h

commit 4bf81e0d4883b9b6a6dfab120b096bea26a46a0a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    window: merge the navigation window XML into the shell XML

    There's no such distinction anymore.

M	src/Makefile.am
D	src/nautilus-navigation-window-ui.xml
M	src/nautilus-shell-ui.xml
M	src/nautilus-window-menus.c

commit df516e1f09ded17bea6a4fc4fd8b974f61e799b4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    all: merge NautilusNavigationWindow into NautilusWindow

M	src/Makefile.am
M	src/nautilus-application.c
M	src/nautilus-application.h
M	src/nautilus-bookmarks-window.c
M	src/nautilus-connect-server-dialog-nonmain.c
M	src/nautilus-desktop-window.c
M	src/nautilus-desktop-window.h
M	src/nautilus-icon-view.c
M	src/nautilus-location-bar.c
M	src/nautilus-location-bar.h
M	src/nautilus-mime-actions.c
M	src/nautilus-navigation-action.c
D	src/nautilus-navigation-window-menus.c
D	src/nautilus-navigation-window.c
D	src/nautilus-navigation-window.h
M	src/nautilus-notebook.c
M	src/nautilus-places-sidebar.c
M	src/nautilus-view.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-manage-views.h
M	src/nautilus-window-menus.c
M	src/nautilus-window-pane.c
M	src/nautilus-window-private.h
M	src/nautilus-window.c
M	src/nautilus-window.h

commit 4cf05a8c91bda94aac6d403947cbb402a68019d2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    window: fix class casting madness

M	src/nautilus-window.c

commit 9af483dbbea8fc6fc41f4bc726522d7583ccf677
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    all: merge NautilusNavigationWindowSlot into NautilusWindowSlot

M	src/Makefile.am
M	src/nautilus-application.c
M	src/nautilus-navigation-action.c
D	src/nautilus-navigation-window-slot.c
D	src/nautilus-navigation-window-slot.h
M	src/nautilus-navigation-window.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-pane.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h
M	src/nautilus-window.c

commit 238bc1452138e1aae44dcc95121b749ab4d805d0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    window-pane: remove useless class vfuncs

M	src/nautilus-window-pane.h

commit 67384aa0d21e90816d5ee084b56bb43b1e94af60
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    all: merge NautilusNavigationWindowPane into NautilusWindowPane

M	src/Makefile.am
M	src/nautilus-location-bar.c
M	src/nautilus-location-bar.h
M	src/nautilus-navigation-window-menus.c
D	src/nautilus-navigation-window-pane.c
D	src/nautilus-navigation-window-pane.h
M	src/nautilus-navigation-window-slot.c
M	src/nautilus-navigation-window.c
M	src/nautilus-notebook.c
M	src/nautilus-toolbar.h
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-pane.c
M	src/nautilus-window-pane.h
M	src/nautilus-window.c

commit 0e73140437c97c23b480f137ce8c88113900a336
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    all: assume all windows are navigation windows

M	src/nautilus-application.c
M	src/nautilus-bookmarks-window.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-pane.c
M	src/nautilus-window.c

commit b6b63e35792fd50cbe71bf87e44d5233cd879b3d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    all: remove NautilusSpatialWindow

M	src/Makefile.am
M	src/nautilus-bookmarks-window.c
M	src/nautilus-desktop-window.h
M	src/nautilus-location-dialog.c
D	src/nautilus-spatial-window-ui.xml
D	src/nautilus-spatial-window.c
D	src/nautilus-spatial-window.h
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-pane.c
M	src/nautilus-window-private.h
M	src/nautilus-window.c

commit 9d70e3e2a0b8af6eef1a10749a985896ba449e37
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    desktop-window: make NautilusDesktopWindow a navigation window

    We still have to fix sidebar/toolbar visibility though.

M	src/nautilus-desktop-window.c
M	src/nautilus-desktop-window.h

commit 073e1f9454d52523837a3a2073d710206c90a808
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    all: remove spatial windows methods from NautilusApplication

M	src/nautilus-application.c
M	src/nautilus-application.h
M	src/nautilus-bookmarks-window.c
M	src/nautilus-connect-server-dialog-nonmain.c
M	src/nautilus-navigation-window-menus.c
M	src/nautilus-navigation-window-ui.xml
M	src/nautilus-navigation-window.c
M	src/nautilus-spatial-window.c

commit edc5310062e8617727423e7508951de1abe0b1b9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    all: remove NautilusWindowOpenMode enumeration

    The mode is now always decided by the GSettings preference.

M	src/nautilus-icon-view.c
M	src/nautilus-list-view.c
M	src/nautilus-mime-actions.c
M	src/nautilus-mime-actions.h
M	src/nautilus-navigation-window-pane.c
M	src/nautilus-places-sidebar.c
M	src/nautilus-spatial-window.c
M	src/nautilus-tree-sidebar.c
M	src/nautilus-view.c
M	src/nautilus-view.h
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h
M	src/nautilus-window-types.h

commit e94fe49ef856a4658fd3fcbb228b78bb0d7b0657
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-02-17

    Don't show a desktop target in copy/move to if desktop is not shown

M	src/nautilus-view.c

commit e74376ee27a232e559a3ef98918f0742d6fa376a
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-02-17

    Don't show desktop in sidebar if desktop is not visible or if home
    is desktop

    By default there is no more desktop anymore, so its kinda weird to
    have it
    highly visible in the ui, as there should be nothing there.

M	src/nautilus-places-sidebar.c

commit 4298e522e25ea5075090822a5497164051373a4b
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-02-17

    Disable the status bar by default in new windows

M	libnautilus-private/org.gnome.nautilus.gschema.xml.in

commit 055b16f45c4d3c7b5b543df5b8457702f2d3164e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    window-bookmarks: make sure we get an icon for bookmarks in the menu

M	src/nautilus-window-bookmarks.c

commit e978429c15a5a6d99c0dfeecb2ce889d1a6d0529
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-17

    search-bar: make the search bar a regular GtkBox

M	src/nautilus-search-bar.c
M	src/nautilus-search-bar.h

commit c4060407ef76d2566d02cd6dacf06381585ace17
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    all: set some junctions to better fit the mockup

M	src/nautilus-places-sidebar.c
M	src/nautilus-view.c

commit d9640b96ef746cbfe5de6ddd21ae06052aa33fa8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    navigation-window: fix text setting/unsetting on Search button

M	src/nautilus-navigation-window.c

commit 46b297a523d7f679891299d2a6a4ccac03927ed1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    eel: remove unused method

M	eel/eel-gtk-extensions.c
M	eel/eel-gtk-extensions.h

commit 6acaf5d7ede7054a258f555331358054e1835813
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    window-menus: remove sneaky code for middle-click toolbar actions

    We support it directly where we already care now.

M	src/nautilus-window-menus.c

commit 6fa4065d55ffa792105576fd2b99ead5913b36f0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    navigation-window: don't create custom actions for the menu items

    We can use normal actions for those, and use the custom actions in the
    toolbar, as we already do.

M	src/nautilus-navigation-window-menus.c

commit b644be6ed4f7da02a700a2f74401c4f5273dca46
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    navigation-window: remvoe useless Search action from the nav group

M	src/nautilus-navigation-window-menus.c

commit 0e168f61a0012127ee0c40ef642b0818471212b7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    all: remove NautilusViewAsAction

    The rationale being the same as for NautilusZoomAction

M	src/Makefile.am
M	src/nautilus-navigation-window-menus.c
D	src/nautilus-view-as-action.c
D	src/nautilus-view-as-action.h

commit 38dea32b3da5610990348be37c3f9454cec54773
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    all: remove NautilusZoomAction

    Now that we don't use it on the toolbar anymore, it's useless to keep
    around.

M	src/Makefile.am
M	src/nautilus-navigation-window-menus.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-menus.c
M	src/nautilus-window-private.h
M	src/nautilus-window.c
D	src/nautilus-zoom-action.c
D	src/nautilus-zoom-action.h

commit d83173021f5adc99b5eec468e0c4d5ddfeed4218
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    window: just use nautilus_view_set_is_active()

    Don't roundtrip through NautilusWindowSlot, as that's what it would do
    anyway.

M	src/nautilus-window-pane.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h
M	src/nautilus-window.c

commit a08625badd19790faca002f1fd6c7049f2d680ba
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    window: active_pane might be NULL if we're destroying the window

M	src/nautilus-window.c

commit a74eac5f4446928cfa00ead53f972f7de678b914
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    navigation-window-pane: don't bother always setting the active pane

    The toolbar is insensitive when not active anyway, so this is useless.

M	src/nautilus-navigation-window-pane.c

commit 40bfe945c48bc368c11be4341a6c3f27b5543960
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    navigation-window-pane: cleanup the class a bit

M	src/nautilus-navigation-window-pane.c
M	src/nautilus-navigation-window.c

commit de4b00057e06fdc675d640c65c9a459f9fdb2725
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    navigation-window: integrate the back/forward actions with the state

    So that the current back.forward state propagates to menus.

M	src/nautilus-navigation-window-menus.c
M	src/nautilus-navigation-window-pane.c
M	src/nautilus-navigation-window-pane.h
M	src/nautilus-navigation-window.c
M	src/nautilus-window-private.h

commit d6df8a9d7bc4b902de76c22504f2fa63557d7985
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    navigation-state: add NautilusNavigationState

M	src/Makefile.am
A	src/nautilus-navigation-state.c
A	src/nautilus-navigation-state.h

commit 0c60fd28a1852a101caef1e4cd783b26012cd7fc
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    toolbar: make sure to hold a ref to the action group

M	src/nautilus-toolbar.c

commit 698f109a70c063d47b4ff4adeec78724f674fe6d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    navigation-window: little cleanup

M	src/nautilus-navigation-window-menus.c
M	src/nautilus-navigation-window-pane.h

commit e18dddb0f6ff0a91e25929b667687b87c8d20ee5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    window-pane: make sure we set another pane as active when closing

M	src/nautilus-window-pane.c

commit 3634db080bcf57534b47860908370da5d5cdfad9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    window-slot: move window_slot_close() to nautilus-window-slot.c

    Why on earth should it be somewhere else?

M	src/nautilus-application.c
M	src/nautilus-navigation-window-pane.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-menus.c
M	src/nautilus-window-slot.h
M	src/nautilus-window.c

commit 610b14e6c85d16d519a0c9665ada09b289d21de7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    window-pane: move code around

    Makes things more readable.

M	src/nautilus-window-pane.c
M	src/nautilus-window-pane.h

commit a0e572e833c0e27c147d99094dc5655297a38be5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    location-bar: remove manual API for setting insensitive widgets

    It's not needed anymore

M	src/nautilus-location-bar.c
M	src/nautilus-location-bar.h

commit dd6b7f734252fb9a3813be9856e6c8a44c9bc01a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    pathbar: remove hackish API

M	src/nautilus-pathbar.c
M	src/nautilus-pathbar.h

commit 79c27eb5fbe998a0ed2f79541b4487db5f575958
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-16

    navigation-window-pane: make the whole toolbar insensitive when
    inactive

M	src/nautilus-navigation-window-pane.c

commit d2c02297befb39526408d938b46cd8269d9d8549
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    window: remove some other useless code

M	src/nautilus-spatial-window.c
M	src/nautilus-window-private.h
M	src/nautilus-window.c

commit 63d5316f6bf85e41bc5be76d551a19c55ab07957
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    window: remove unused code

M	src/nautilus-window.c
M	src/nautilus-window.h

commit 476d462bce0bce5fdc367daea3e14be8603f5c3d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    all: remove the concept of global history list

    It's not that useful now that nautilus is not a long running
    application
    anymore.

M	src/nautilus-navigation-window-menus.c
M	src/nautilus-navigation-window.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-private.h
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h
M	src/nautilus-window.c

commit 8974c917ecb202a0dad4871c79dc8d7306e28feb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    window-menus: move bookmark-related menu code where it belongs

M	src/nautilus-window-bookmarks.c
M	src/nautilus-window-menus.c

commit 7309d5576f28de33e9a5e5653037264110893490
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    ui-utilities: centralize a helper function

M	libnautilus-private/nautilus-ui-utilities.c
M	libnautilus-private/nautilus-ui-utilities.h
M	src/nautilus-navigation-window-menus.c
M	src/nautilus-window-menus.c

commit 1755d56bdfefabf0b764aa3531e93f8fb18d73b0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    window-pane: remove active_slots madness

    We can't have more than one active slot at the same time anyway.

M	src/nautilus-window-pane.c
M	src/nautilus-window-pane.h
M	src/nautilus-window.c

commit 3a27963142a0ef942631f88f2576f8bc29076898
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    navigation-window-pane: cleanup header

M	src/nautilus-navigation-window-pane.c
M	src/nautilus-navigation-window-pane.h

commit c4d48d522dccb915041c9521789a47d2bea0e1e4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    window: cleanup window_pane_zoom madness

M	src/nautilus-window-pane.c
M	src/nautilus-window-pane.h
M	src/nautilus-window.c

commit 75f4f95bed048d955cabd7e521b6cc78182a0903
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    search-bar: simplify boilerplate code

M	src/nautilus-search-bar.c

commit 28afe6fde1d12083b915f0040c84157ebd461df7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    navigation-window: set/unset text on 'Search' according to split mode

M	src/nautilus-navigation-window.c

commit 3e0fa2ef6166160131f4d0051e3ac0c065be52e0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    view: use the right label if we're searching

M	src/nautilus-view.c

commit 600352c410a57214cc8fbb9789cf6b43dde55388
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    navigation-window: use g_settings_bind() a little more

M	src/nautilus-navigation-window-menus.c
M	src/nautilus-navigation-window.c
M	src/nautilus-navigation-window.h

commit d05c85a0808c48b987dbc438538530f8506d9dfd
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    style: add some junction properties

M	src/nautilus-toolbar.c
M	src/nautilus-view.c

commit 193f850cd11d909a0af9e95ec0dea7ad91c62160
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    ui-utlities: remove unused function

M	libnautilus-private/nautilus-ui-utilities.c
M	libnautilus-private/nautilus-ui-utilities.h

commit 6ebdfd9b5477178c9ab28c19e270b9dc4a53d6df
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    window: don't care looking for toolbar extension items

    As we removed them.

M	src/Makefile.am
M	src/nautilus-navigation-window-slot.c
M	src/nautilus-window-manage-views.c
D	src/nautilus-window-toolbars.c

commit d3cee086e7be525046c8a16a08b15bfa996871fa
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    libnautilus-extension: remove the ability to add toolbar items

    We want to fully control our toolbar now.

M	configure.in
M	libnautilus-extension/nautilus-menu-provider.c
M	libnautilus-extension/nautilus-menu-provider.h

commit 417bb5c31758a3b321fbac0d53402bed1034c6db
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    navigation-window: use g_settings_bind() for statusbar visibility

M	src/nautilus-navigation-window-menus.c
M	src/nautilus-navigation-window.c
M	src/nautilus-navigation-window.h

commit 1373f01db2180f080e1d7b02e1655fecb33c21f2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    toolbar: fix toolbar with split pane

    The way we used to instantiate the toolbar, from the navigation window
    UIManager, did not work fine in the new UI design, as we have
    a toolbar
    for each pane now; so we must instantiate a new UIManager for
    each pane,
    and add to it the navigation action group to fetch actions from.

M	src/Makefile.am
M	src/nautilus-location-bar.c
M	src/nautilus-location-bar.h
M	src/nautilus-navigation-window-pane.c
M	src/nautilus-navigation-window-ui.xml
A	src/nautilus-toolbar-ui.xml
M	src/nautilus-toolbar.c
M	src/nautilus-toolbar.h

commit 7131487c8bebbbad075b238ec03934a78cf233d9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    places-sidebar: use a symbolic icon for eject

M	src/nautilus-places-sidebar.c

commit a572b7355b12a99083b7489bf991a8f929b1a80a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-15

    view: accumulate floating bar status setting in a timeout

    We use half of the double-click-time as a good heuristic.

M	src/nautilus-view.c

commit 5a21e22cb0603a77d0a8bf89f6197c799df7ba4d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    css: theme things a bit more

M	data/nautilus.css

commit caf3233bfc9e7a6e4cd4ed41245ca5d02fdd46e0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    window: hide resize grip

M	src/nautilus-window.c

commit acd688037d2a8ccf675526a46ee1d8180301cedd
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    view: use the floating bar as a temporary statusbar if it's off

    We use a slightly different status message in this case, where
    we don't
    care about free space on the volume.

M	src/nautilus-view.c

commit dc80c71c1a742e0134401e765652672a71e46809
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    view: always create the floating bar in _init()

    And show/hide it and its components according to what we're currently
    doing.

M	src/nautilus-view.c

commit b30c9ad791961a6cbf5622c1e3c34b8a088c0439
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    floating-bar: add _cleanup_actions()

M	src/nautilus-floating-bar.c
M	src/nautilus-floating-bar.h

commit b75521b56f24bffa320ad7bb5bc61be6fa12cb96
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    floating-bar: add a bit more whitespace around the label

M	src/nautilus-floating-bar.c

commit b86054a34b9933180d9e847048a26d712505b04a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    sq iintegrate with view

M	src/nautilus-view.c

commit da3905c073456129874867df1572c8586a9a1f00
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    sq look like

M	data/nautilus.css
M	src/nautilus-floating-bar.c

commit d44378ee0adf944bb13a987e4aa79abf1b15693e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    icon-view: cleanup of supports_* properties

M	src/nautilus-desktop-icon-view.c
M	src/nautilus-icon-view.c
M	src/nautilus-icon-view.h

commit 621106fd68a9e2d86f5e62876fd3e2844c2d85ac
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    view: refactor supports_zooming into a property

M	src/nautilus-desktop-icon-view.c
M	src/nautilus-view.c
M	src/nautilus-view.h

commit 8544bdb09511cff7edc0382009e6ca0d1f607cd6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    desktop-icon-view: adapt the desktop icon view to recent changes

M	src/nautilus-desktop-icon-view.c
M	src/nautilus-icon-view.c
M	src/nautilus-icon-view.h

commit 246d7177acf8fa2ddec512e96310f5e31889cfd5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    view: add a 'show-floating-bar' property for classes to override

    So we can disable it on the Desktop.
    Also, cleanup the _class_init() code a bit while we're here.

M	src/nautilus-view.c

commit fec9449efc444e1dc25eeebf474a59f3aa16b75d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    view: hook up the overlay in the view

M	src/nautilus-icon-view.c
M	src/nautilus-list-view.c
M	src/nautilus-view.c
M	src/nautilus-view.h

commit db0c274ffaa2d4d95329716cad8b5af319fa9936
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    floating-bar: make it more similar to the mockups

M	data/nautilus.css
M	src/nautilus-floating-bar.c

commit 8728a440f1fb9e661d5553b30e60f57f5460007d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    floating-bar: make the class more flexible

    - add dialog-like actions
    - add show/hide spinner

M	src/nautilus-floating-bar.c
M	src/nautilus-floating-bar.h

commit bcec4c4ecf1b77d7e803f4e84689c6e3b1413fcf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    floating-bar: add NautilusFloatingBar

M	src/Makefile.am
A	src/nautilus-floating-bar.c
A	src/nautilus-floating-bar.h

commit 43f310d0c2ffa2c99c21b332650a9a86b9adc0ab
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    squash overlay

M	src/gedit-overlay.c

commit 5ca133a198326a5aac65c3ef3ddca9af2424bdf5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-14

    overlay: update GeditOverlay from upstream

M	src/gedit-overlay.c

commit c16127a438ff9654cbd63dbbc3859dc9916d0160
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-11

    overlay: borrow GeditOverlay implementation from gedit

M	src/Makefile.am
A	src/gedit-overlay-child.c
A	src/gedit-overlay-child.h
A	src/gedit-overlay.c
A	src/gedit-overlay.h

commit f5e17ca2b9e27437963155c459f0584eccc45deb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-11

    icon-view-container: remove useless dispose impl

M	src/nautilus-icon-view-container.c

commit f718677e60eafcb4214ef8d4a9831fd2e597e5d0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-11

    view: don't emit the clear signal

M	src/nautilus-view.c

commit 24f1f12a7092312af689c49b9f57d888ce9b6b8c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-11

    selection-canvas-item: add getter for 'width-pixels'

M	libnautilus-private/nautilus-selection-canvas-item.c

commit 79c9f9e854284c35fc8485efed4850787799a1cf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-11

    css: style the floating bar according to the mockups

M	data/nautilus.css

commit c27b221329aedbe9b18c6bf02a49193475390a2d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-11

    navigation-window: use a symbolic icon for the search button

M	src/nautilus-navigation-window-menus.c

commit b4f5d1a9eb4d1389a1c198bb16a28ca35bdf5f60
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-11

    navigation-window: remove spinner code

M	src/nautilus-navigation-window.c
M	src/nautilus-window-toolbars.c

commit 42f53017794f288a7c8709b297f0f6de1c368e94
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-11

    selection-canvas-item: make fade-out time configurable

M	libnautilus-private/nautilus-icon-container.c
M	libnautilus-private/nautilus-selection-canvas-item.c
M	libnautilus-private/nautilus-selection-canvas-item.h

commit 5b3208302e2bb5a3d8f2f68ac785a4aa64e8b8a6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-11

    selection-canvas-item: make sure the item is destroyed after
    fading out

M	libnautilus-private/nautilus-selection-canvas-item.c

commit e16f5d44fa67e2222f3a3ba30842e5697d76078f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-11

    icon-container: only use icon elements to calculate layout bounds

    Canvas items like e.g. a NautilusFloatingBarItem do not add up to the
    layout bounds calculation.

M	libnautilus-private/nautilus-icon-container.c

commit 3c749cf9da882043cc5a5cb938f8831831dec768
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-11

    selection-canvas-item: remove useless Xrandr code which does nothing

    This code doesn't seem to actually do anything

M	configure.in
M	libnautilus-private/nautilus-selection-canvas-item.c

commit 854d310d34de8c45a43d7b94755fde45de2540fa
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-10

    navigation-window: cleanup cast madness

M	src/nautilus-navigation-window.c

commit f84f5bb0379b0eea4a9e4e1df72f3038587269eb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-10

    navigation-window: ensure toolbar search button toggles as expected

M	src/nautilus-navigation-window-pane.c
M	src/nautilus-navigation-window.c

commit d02d193409f53d11bb68ea97683ddc2dc83a088a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-10

    window-menus: set is-important to 'Search'

M	src/nautilus-navigation-window-menus.c

commit ec87bd5216871dc2cc8c539b51f45be4096bcd2f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-10

    navigation-window: remove commented out code

M	src/nautilus-navigation-window.c

commit f269eb0f1ff68c1f2ede2c8533a3764cafa11cf8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-10

    window-menus: remove is-important from back/forward nav actions

M	src/nautilus-navigation-window-menus.c

commit 67946b38ce482201e0da7dbf6e955e06038fa2c9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-10

    toolbar: build the toolbar and the location bar with a GtkUIManager

M	src/nautilus-location-bar.c
M	src/nautilus-location-bar.h
M	src/nautilus-navigation-window-pane.c
M	src/nautilus-navigation-window-ui.xml
M	src/nautilus-toolbar.c
M	src/nautilus-toolbar.h

commit ba531b1184310455127fa06691f3722052a2eb6c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-10

    window-menus: merge the UI from XML while initializing actions

    Because we need it to be ready when setting up the window pane

M	src/nautilus-navigation-window-menus.c

commit 80ea58e844365d0bb097436ed8c0359e07cfd793
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-10

    navigation-window: initialize actions before setting up the pane

    This is needed so that the pane can use those actions to build the
    toolbar. We also have to remove the code that updates split view
    actions from _initialize_actions(), as it requires the pane is
    realized.
    It should not be much of an issue, as that code is called when loading
    an URI anyway (and so it is called afterwards when loading the
    window).

M	src/nautilus-navigation-window-menus.c
M	src/nautilus-navigation-window.c

commit 5756ac82bab3a63708544aeef47ee5b0e9b508da
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-10

    navigation-action: do not use a GtkMenuToolButton

    As it always has dropdown arrows, which we don't want to see.
    Make it a Firefox-like button instead, where you can either right
    click
    or keep the mouse button pressed for an amount of time to activate the
    context menu.

M	src/nautilus-navigation-action.c

commit 7363013201ec2950958db529ea96c0f2442b3c53
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-09

    all: remove unused GSettings keys

M	libnautilus-private/nautilus-global-preferences.h
M	src/nautilus-file-management-properties.c

commit 66c46dd6d2cdbaeae38e9b42b083c17ebf3ed65d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-09

    location-bar: use dash and not underscore in signal name

M	src/nautilus-location-bar.c

commit 0ea4ca0709c361a4e2adf5e061108abf5c7017e3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-09

    navigation-window-menus: use g_settings_bind() for toolbar visibility

    This also reduces the code complexity by a fair bit

M	src/nautilus-navigation-window-menus.c

commit 47958798846c8bbf85f2e28abc9b66d8266e890f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-09

    navigation-window: comment out old toolbar code for now

M	src/nautilus-navigation-window-ui.xml
M	src/nautilus-navigation-window.c

commit 211dda1ded746708019b11dd497dde21adfb8c4d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-09

    navigation-window: cope with NautilusNavigationWindowPane changes

M	src/nautilus-navigation-window.c

commit 1a95b0117e095885fc6ec4c3903c909c4f48f377
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-09

    slot: remove NautilusBarMode

M	src/nautilus-navigation-window-slot.h

commit ff264ed954842d933c9fa5dcd6d8b48366ce60c6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-09

    navigation-window-pane: rework to make use of NautilusToolbar

M	src/nautilus-navigation-window-pane.c
M	src/nautilus-navigation-window-pane.h

commit 36e9be912735ce02929aaace8fb618e31bb91b59
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-09

    navigation-window: don't use search_bar_is_showing()

    NautilusToolbar is smart enough to take care of visibility alone.

M	src/nautilus-navigation-window.c

commit 865556e2e2073c41f687a4752571bfdf593deeb3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-09

    navigation-window: don't tirgger toolbar visibility with GSettings

    It's done internally by NautilusToolbar

M	src/nautilus-navigation-window.c

commit b34fb9648fcd58f17e09590e2dc9e0dae8af3757
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-09

    navigation-window: remove methods to toggle toolbar visibility

    This will be done automatically by NautilusToolbar and inside the
    methods to
    trigger temporary visibility.

M	src/nautilus-navigation-window.c
M	src/nautilus-navigation-window.h

commit a56b468038964ba6ceea5efae74b1520d8e2429a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-09

    window-toolbars: clean up includes

M	src/nautilus-window-toolbars.c

commit bd36e2d04baeeeeafc2fcf2f00383fbc367de735
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-09

    toolbar: add NautilusToolbar

M	src/Makefile.am
A	src/nautilus-toolbar.c
A	src/nautilus-toolbar.h

commit ca1fa0c2b05edd8e76bb6314a7cb7c1adc4f3319
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-08

    navigation-bar: remove useless abstract class

    Merge the useful pieces into NautilusLocationBar itself, which is the
    only implementor anyway.

M	src/Makefile.am
M	src/nautilus-location-bar.c
M	src/nautilus-location-bar.h
D	src/nautilus-navigation-bar.c
D	src/nautilus-navigation-bar.h
M	src/nautilus-navigation-window-pane.c
M	src/nautilus-navigation-window.c

commit 6f0a2036197cf03095b0a775c35983bc42885fb1
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-02-17

    Updated Norwegian bokmål translation.

M	po/nb.po

commit dde08b0914b1ec42ecfbbbee47673e8fe3975319
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2011-02-17

    Updated Gujarati Translations

M	po/gu.po

commit f8bea223f63eb0ed62ddf22062c94d1c76fea234
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2011-02-17

    Updated Bulgarian translation

M	po/bg.po

commit 8f9dda634d5143dda92a8bf987ca083225ab174c
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-02-13

    [l10n] Updated German translation

M	po/de.po

commit ae6122fb8212e56f2c5a3afad5b84d532ed3ffc1
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2011-02-13

    Updated Korean translation

M	po/ko.po

commit 17323012e2ebc3b65be673a7524e021f84434810
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-02-12

    Updated Hebrew translation.

M	po/he.po

commit b0760d0c50aea36ab95a81794f35b739c3ab08f5
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2011-02-11

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 06e1c2822bc543566eb71ea6f6208a3c82da67fe
Author: Mahyar Moghimi <mahyar.moqimi@gmail.com>
Date:	2011-02-10

    Updating Persian Translation

M	po/fa.po

commit a425e4ed04d0323e1770ca4889affc4564c66a05
Author: Mahyar Moghimi <mahyar.moqimi@gmail.com>
Date:	2011-02-10

    Updating Persian Translation

M	po/fa.po

commit 20df7410f143960c206efce19e0f404df3265c93
Author: Mahyar Moghimi <mahyar.moqimi@gmail.com>
Date:	2011-02-10

    Updating Persian Translation

M	po/fa.po

commit 917a3e2097f52d2e8223011b672dffadc6674472
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-08

    gsettings: rename our gschema path to /org/gnome/nautilus

M	libnautilus-private/org.gnome.nautilus.gschema.xml.in

commit fbabd8e4f13fb7312f3921f3a1633b586a4b048c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-08

    editable-label: chain up in style_updated()

M	eel/eel-editable-label.c

commit 4e47a409e990418f541ec9c5f5b5e1567eb04297
Author: Alexander Larsson <alexl@redhat.com>
Date:	2011-02-07

    Avoid spew in the common case of non-existing desktop metadata file

M	libnautilus-private/nautilus-desktop-metadata.c

commit 98feec44b9d93fc029e95b682ec29eb104c60320
Author: Craig Keogh <cskeogh@adam.com.au>
Date:	2011-02-06

    Remove configure.in ACLOCAL_FLAGS, now in Makefile.am (GNOME bug
    641629)

M	configure.in

commit 43573325a03536a93869f0a080dc0b2257e7e258
Author: Craig Keogh <cskeogh@adam.com.au>
Date:	2011-02-06

    Honor aclocal flags (GNOME bug 641629)

M	Makefile.am

commit 01e5b514d9155e73448365d5f994a967da2d58f2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-07

    pathbar: use "Home" for the home button, instead of the username

M	src/nautilus-pathbar.c

commit df482adbbdb62f422f9c3eabb5aa1ac7a638e700
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-02-06

    Updated Norwegian bokmål translation.

M	po/nb.po

commit ed109037524dec6dbf11b4a840eb9b4ea82c9e2f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-02-06

    Updated Galician translations

M	po/gl.po

commit c926b072165b822af8dfd6f5d8a413809bb6b541
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-05

    bookmark: apply name and custom-name during construction

M	libnautilus-private/nautilus-bookmark.c

commit 8233aadcdd5dcf57d66c7c70df4e507ed32020ed
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-02-05

    [l10n] Updated Estonian translation

M	po/et.po

commit 52d148c29a931ffaee715f714e7fd507901f7054
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-02-05

    Updated Spanish translation

M	po/es.po

commit 21527ca0cdfc3bb4fa2bba86363ffd2b8a795fd1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-02-05

    Updated Spanish translation

M	po/es.po

commit eb69bfd91cca98f40f1c60f1198224c6b0e9ac61
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-02-05

    [l10n] Updated Estonian translation

M	po/et.po

commit 842a639da7450449877a31f1b0a52188c737b6c6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-04

    i18n: fix POTFILES.in

M	po/POTFILES.in

commit 9e5a32831826ad609f8ad5315e5b6f72bda5c51f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-04

    Release 2.91.9

M	NEWS
M	configure.in

commit 82fb99a34a6c27f6881e0a049d9882756b615f42
Author: Stefano Teso <stefano.teso@gmail.com>
Date:	2011-02-04

    location-entry: fix auto-complete for non-local URIs

    https://bugzilla.gnome.org/show_bug.cgi?id=635333

M	src/nautilus-location-entry.c

commit 1212e12456347da601a77de013082fd1beac8463
Author: Stefano Teso <stefano.teso@gmail.com>
Date:	2011-02-04

    query: don't crash with empty .savedSearch files

    Be more robust against empty .savedSearch files.

    https://bugzilla.gnome.org/show_bug.cgi?id=601205

M	libnautilus-private/nautilus-query.c

commit 8f5d29b21b2ab82250bf516f9263aa473dfd64f1
Author: Stefano Teso <stefano.teso@gmail.com>
Date:	2011-02-04

    bookmark: don't make the name/custom-name props construct-only

    This was probably a typo from the refactoring of the object.

    https://bugzilla.gnome.org/show_bug.cgi?id=641484

M	libnautilus-private/nautilus-bookmark.c

commit 59d7af27e1d62e01108058088c5f9faf980832b3
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2011-02-04

    Updated Arabic translation

M	po/ar.po

commit 41de4e52b43c8ed5c9118860dac7caa303ebbc5b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-04

    list-view: add a FIXME comment

M	src/nautilus-list-view.c

commit 4f17fb7db7b8736ebb4fe82ddb1c279777847730
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-04

    list-view: workaround a GtkTreeView regression

    See https://bugzilla.gnome.org/show_bug.cgi?id=641518 for details

M	src/nautilus-list-view.c

commit f324265d1795a7d23af3ece0e48ce9479e1e5bb5
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2011-02-04

    Updated Italian translation

M	po/it.po

commit c2bcaeb0da84d5759571e365a3a5e71e48d70952
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2011-02-03

    connect-server-dialog: add missing mnemonics and use proper
    capitalization

M	src/nautilus-connect-server-dialog.c

commit 5c89e3157752fa9311f0ca5e2310885187270ac8
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-02-04

    Updated Hebrew translation.

M	po/he.po

commit 11cc68cbcc154f7e84975861b26c177ae92547aa
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-03

    progress-ui: add a notification when all transfer complete

M	src/nautilus-progress-ui-handler.c

commit 046927432a01f7a4bb7a4dc9c96005548950ca79
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-03

    progress-ui: add a "Show Details" action to the notification

M	src/nautilus-progress-ui-handler.c

commit 8536b7134f75f23c044772d583402bbe1ebf6174
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-03

    progress-ui: first cut implemneting file ops progress with
    notifications

M	configure.in
M	src/nautilus-application.c
M	src/nautilus-progress-ui-handler.c

commit b9fe2ecb4894895e063c4cbda5f62b7ad54b7449
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-02

    progress-info: split UI of NautilusProgressInfo into its own object

M	libnautilus-private/nautilus-progress-info.c
M	src/Makefile.am
A	src/nautilus-progress-info-widget.c
A	src/nautilus-progress-info-widget.h
M	src/nautilus-progress-ui-handler.c

commit adab8f5fe5681dcb06be4d6fbaa674624b49b6b5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-02

    progress-info: add NautilusProgressUIHandler

    It will take care of the various states of file operation progress'
    user
    interface.

M	src/Makefile.am
M	src/nautilus-application.c
A	src/nautilus-progress-ui-handler.c
A	src/nautilus-progress-ui-handler.h

commit a0f89473830575ae39a568608bc58f3f92c6f4a4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-01

    progress-info: split progress information notify into a new manager

M	libnautilus-private/Makefile.am
A	libnautilus-private/nautilus-progress-info-manager.c
A	libnautilus-private/nautilus-progress-info-manager.h
M	libnautilus-private/nautilus-progress-info.c
M	libnautilus-private/nautilus-ui-utilities.c
M	libnautilus-private/nautilus-ui-utilities.h
M	src/nautilus-application.c
M	src/nautilus-application.h
M	test/test-copy.c

commit 2a86f1c60ba847951145ea3570bcf4e7a26a18f1
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-02-03

    Updated Galician translations

M	po/gl.po

commit bfece2283aacd609ce3466b6f27539b03f215e8e
Author: Mattias Põldaru <mahfiaz gmail com>
Date:	2011-02-03

    [l10n] Updated Estonian translation

M	po/et.po

commit 52b59769ea4944eaebdef26c271b8c1c45aa0493
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-02-02

    Updated Swedish translation

M	po/sv.po

commit eb6a4a8eaea16b6fa4d377b759e306016073d2fe
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-02

    Use Files as launcher name

    https://bugzilla.gnome.org/show_bug.cgi?id=641256

M	data/nautilus.desktop.in.in

commit a293b96241714a8d07e2b8aecd34ce61aff117ad
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-01

    eel: remove unused eel-canvas-util

M	eel/Makefile.am
D	eel/eel-canvas-util.c
D	eel/eel-canvas-util.h
M	libnautilus-private/nautilus-icon-canvas-item.c

commit 2870f8f8ef38350451ddf36dfc704b2a0e66c616
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-01

    selection-canvas-item: fix copyright header

    I copied it from the wrong file.

M	libnautilus-private/nautilus-selection-canvas-item.c
M	libnautilus-private/nautilus-selection-canvas-item.h

commit 6b03a56dbd932de2b274bf61f78ae12f4ed7da0b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-01

    icon-container: use the fade out effect for rubberbanding

M	libnautilus-private/nautilus-icon-container.c

commit bd30e3d0670e437c55e82b544565a539331154d5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-01

    selection-canvas-item: implement a fade out effect

M	libnautilus-private/nautilus-selection-canvas-item.c
M	libnautilus-private/nautilus-selection-canvas-item.h

commit b13969228d4d96c3ff677090e888f2aa9d026083
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-01

    selection-canvas-item: simplify GObject properties

M	libnautilus-private/nautilus-selection-canvas-item.c
M	libnautilus-private/nautilus-selection-canvas-item.h

commit 8853b7bf92271ff093803ccdfb3079512d12149d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-01

    Move EelRectCanvasItem to its own object in libnautilus-private/

    eel-canvas-rect-ellipse has quite some unused code that make it
    hard to
    modify.

M	eel/Makefile.am
D	eel/eel-canvas-rect-ellipse.c
D	eel/eel-canvas-rect-ellipse.h
M	libnautilus-private/Makefile.am
M	libnautilus-private/nautilus-icon-container.c
M	libnautilus-private/nautilus-icon-dnd.c
A	libnautilus-private/nautilus-selection-canvas-item.c
A	libnautilus-private/nautilus-selection-canvas-item.h

commit 67687dd50433d620ddd931d983462ca131dd48bb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-01

    desktop-metadata: initialize a variable

M	libnautilus-private/nautilus-desktop-metadata.c

commit 513e94c31e22d340888b139c50c43b6f2d037703
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-01

    desktop-metadata: append a terminator for single-length strv values

    This is needed so that we can differentiate between single-length strv
    and regular string values when reading them back from the keyfile,
    which
    does not store the type of its values. This way, we make sure that we
    always respect the actual metadata type in GFileInfo.

M	libnautilus-private/nautilus-desktop-metadata.c

commit 25754a54bb0889187d9b5cb45e6c32ae9321f038
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-01

    desktop-metadata: group multiple desktop metadata saving calls

M	libnautilus-private/nautilus-desktop-metadata.c

commit aa552113606e24d331c6c62de0f5406351600d7f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-31

    Release 2.91.8

M	NEWS
M	configure.in

commit 3f55f369c00044a3d93c6bb10aa9e7c025548d5d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-31

    build: remove GConf dependency altogether

M	configure.in

commit 4227f0b1708d36d464ffce207c75b429bec1917b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-31

    convert-metadata: don't migrate the desktop metadata to GConf

M	src/nautilus-convert-metadata.c

commit 389789e8f102f794780a2842e9506dc23ddd6a08
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-31

    preferences: don't use GConfClient anymore

M	libnautilus-private/nautilus-global-preferences.c
M	libnautilus-private/nautilus-global-preferences.h

commit 632bf39a23e5457d76540063eff69b36e36459d0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-31

    desktop-metadata: use a keyfile instead of GConf to store it

M	libnautilus-private/Makefile.am
M	libnautilus-private/nautilus-desktop-directory-file.c
M	libnautilus-private/nautilus-desktop-directory-file.h
M	libnautilus-private/nautilus-desktop-icon-file.c
A	libnautilus-private/nautilus-desktop-metadata.c
A	libnautilus-private/nautilus-desktop-metadata.h
M	libnautilus-private/nautilus-metadata.h

commit c62a8ff91596da4d14b56a52400baa52e05c2ccc
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-31

    desktop-directory-file: don't use eel boilerplate

M	libnautilus-private/nautilus-desktop-directory-file.c

commit 3d0dc4d6d763c70630e82f5a5c69a6745af70866
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-01-31

    Fix a mistranslation

M	po/hu.po

commit 678c5216ebe3987b7b268d27fc0af78f09e58d94
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-30

    sort-order: resync sort order property with NautilusFileSortType

    This makes the sorting preference reliably work again.

M	libnautilus-private/nautilus-file.c
M	libnautilus-private/nautilus-file.h
M	libnautilus-private/org.gnome.nautilus.gschema.xml.in
M	src/nautilus-file-management-properties.c
M	src/nautilus-file-management-properties.ui

commit 6a6c18d4d62adc14cfc41769ab5ce37793d51c16
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-30

    icon-view: save sort metadata only when the user explicitly changes it

M	src/nautilus-icon-view.c

commit c1fa2a49e02552a2fb334f7cb766a32f0c201ad1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-30

    eel: remove eel_g_settings_add_auto_* functions

M	eel/eel-glib-extensions.c
M	eel/eel-glib-extensions.h

commit 253345f0841a38fcf02023bc2acd8bdc26842160
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-30

    all: don't use eel_g_settings_add_auto_* methods

    It makes no sense to use caching now with GSettings, as lookup
    operations are fast enough.

M	libnautilus-private/nautilus-file.c
M	libnautilus-private/nautilus-icon-canvas-item.c
M	libnautilus-private/nautilus-thumbnails.c
M	src/nautilus-desktop-icon-view.c
M	src/nautilus-icon-view.c
M	src/nautilus-list-view.c

commit e14351baf9f252a57395f2982e05ccecc504d646
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-30

    icon-view: move desktop view's get_view_id to a proper implementation

    Instead of hardcoding IS_DESKTOP_ICON_VIEW() checks in the parent
    class.

M	src/nautilus-desktop-icon-view.c
M	src/nautilus-icon-view.c

commit fdf30fd8c54c25e952ecc313af6d5325cf062452
Author: A S Alam <aalam@users.sf.net>
Date:	2011-01-29

    update Punjabi Translation by A S Alam

M	po/pa.po

commit b97ee5da0bb1ab6ad4cc0f2a1d795ee7f64b5ec5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-28

    Update MAINTAINERS and DOAP files

M	MAINTAINERS
M	nautilus.doap

commit 454b2caf1ba89a62321486db10c87e63217031b8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-28

    application: don't call mount_removed_callback() on pre-unmount

    The unmount process follows this flow:
    - pre-unmount is emitted
    - GIO performs checks to see whether the volume is safe to unmount,
    and
      spawns GtkMountOperation dialogues accordingly
    - if everything is fine, the unmount signal is emitted

    So, it's wrong to close or redirect windows from pre-unmount, as the
    mount could actually not be unmounted after that.

M	src/nautilus-application.c

commit 35bf6c86b53b68a61389f270aa0ce1ff2715ff7c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-27

    Clean up our desktop file (#640687)

    - remove the 'System' category
    - remove autostart interactions with gnome-session

M	data/nautilus.desktop.in.in

commit e7b6fd0e59ec49fbe6216c157eea2a92b384d39e
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2011-01-27

    Clarify the reason for recent nautilus_file_peek_display_name()
    workaround

M	libnautilus-private/nautilus-file.c

commit 8f6245a80cfd571274813fe4d5d950769d02bfba
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2011-01-27

    Prevent a crash in nautilus_file_peek_display_name() on invalid
    NautilusFile

    This is more a workaround only, expect assert failures at other
    places when something bad happens. There's a race condition somewhere,
    this patch only prevents immediate crash.

    Patch by Marcus Husar <marcus.husar@rose.uni-heidelberg.de>

    https://bugzilla.gnome.org/show_bug.cgi?id=602500

M	libnautilus-private/nautilus-file.c

commit fd03c910a73ba18459e68baaf15e8dd295acd5c1
Author: Stefano Teso <stefano.teso@gmail.com>
Date:	2011-01-26

    places-sidebar: allow keyboard navigation with Enter/Space (#637768)

M	src/nautilus-places-sidebar.c

commit 4f4c07b1f9964d437f70c89d94e9585429a69f91
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-01-27

    Get Galician translations back from wrong commit

M	po/gl.po

commit dace8ba5c2068e80bb9d99a1370f0c1a989fb72a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-01-27

    QA of Galician translations

M	po/gl.po

commit 17793d3bb90dbde51c95f73867bf75d6546cf88f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-01-27

    QA of Galician translations

M	po/gl.po

commit a63aaa68f14bec6507d36e856a4ed79d969b1be3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-25

    desktop-background: make sure to hold a ref in the 'changed' idle

    Otherwise we might end up accessing object fields after it was
    destroyed.

    https://bugzilla.gnome.org/show_bug.cgi?id=640420

M	libnautilus-private/nautilus-desktop-background.c

commit 6d079cc40ab1dfab5b7d60cac44b655d4d243f3d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-24

    editable-label: fix some drawing regressions

    Also, remove the copy/pasted gtkpango code again, as we can have a
    better rendering without it.

M	eel/eel-editable-label.c

commit d4230de8667764e02dbb966b5d806ff78ced2fd5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-24

    all: silence new warnings from GCC 4.6

    GCC 4.6 introduced a new warning about variables declared and
    initialized, but not really used in the function body. Remove all of
    these occurrences to build cleanly.

M	eel/eel-canvas-rect-ellipse.c
M	eel/eel-canvas.c
M	libnautilus-private/nautilus-clipboard.c
M	libnautilus-private/nautilus-desktop-icon-file.c
M	libnautilus-private/nautilus-directory-async.c
M	libnautilus-private/nautilus-directory.c
M	libnautilus-private/nautilus-entry.c
M	libnautilus-private/nautilus-file-conflict-dialog.c
M	libnautilus-private/nautilus-file-operations.c
M	libnautilus-private/nautilus-icon-canvas-item.c
M	libnautilus-private/nautilus-icon-container.c
M	libnautilus-private/nautilus-icon-dnd.c
M	libnautilus-private/nautilus-saved-search-file.c
M	libnautilus-private/nautilus-search-directory-file.c
M	libnautilus-private/nautilus-vfs-directory.c
M	libnautilus-private/nautilus-vfs-file.c
M	nautilus-sendto-extension/nautilus-nste.c
M	src/nautilus-application.c
M	src/nautilus-connect-server-dialog-nonmain.c
M	src/nautilus-connect-server-dialog.c
M	src/nautilus-icon-view.c
M	src/nautilus-list-view.c
M	src/nautilus-main.c
M	src/nautilus-navigation-window-slot.c
M	src/nautilus-navigation-window.c
M	src/nautilus-pathbar.c
M	src/nautilus-places-sidebar.c
M	src/nautilus-properties-window.c
M	src/nautilus-query-editor.c
M	src/nautilus-tree-sidebar-model.c
M	src/nautilus-tree-sidebar.c
M	src/nautilus-view.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window.c

commit 155cc03271fd7db1da4af7d60dcedfe8acdc2900
Author: Funda Wang <fundawang@gmail.com>
Date:	2011-01-23

    Updated zh_CN translation.

M	po/zh_CN.po

commit 7e47ccdee2c8be8b16fad0da3320141f27596bfa
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-01-22

    Fix typo (G_TYPE_INSTANCE_CHECK_TYPE -> G_TYPE_CHECK_INSTANCE_TYPE)

M	libnautilus-private/nautilus-mime-application-chooser.h
M	libnautilus-private/nautilus-module.c
M	libnautilus-private/nautilus-tree-view-drag-dest.h
M	src/nautilus-connect-server-dialog.h
M	src/nautilus-connect-server-operation.h
M	src/nautilus-location-dialog.h

commit 0b4bb326cae5d8df888192f4c763211dff9e7f97
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2011-01-22

    Updated Esperanto translation

M	po/eo.po

commit 9f539e6fa5d2832b9b4788c338bbce66f81971f9
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2011-01-21

    Updated Bulgarian translation

M	po/bg.po

commit 187dc50c76da193f46aa7cb856a4ce1ea964b023
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2011-01-20

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 484c9a1bacd254795703c014a170b5801a1f3104
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-20

    eel: remove eel-gdk-pixbuf-extensions

M	eel/Makefile.am
D	eel/eel-gdk-pixbuf-extensions.c
D	eel/eel-gdk-pixbuf-extensions.h

commit 129d90ebcd83efd7d7f2ebc75c77922bd9771b9d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-20

    all: remove unused includes of eel-gdk-pixbuf-extensions

M	eel/eel-gtk-extensions.c
M	eel/eel.h
M	libnautilus-private/nautilus-bookmark.c
M	libnautilus-private/nautilus-icon-canvas-item.c
M	libnautilus-private/nautilus-icon-container.c
M	libnautilus-private/nautilus-icon-dnd.c
M	libnautilus-private/nautilus-thumbnails.c
M	src/nautilus-properties-window.c

commit 83a83e3a2200127889c9979240049124b7e9a182
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-20

    icon-info: use gdk_pixbuf_new_from_stream_at_scale()

M	libnautilus-private/nautilus-icon-info.c

commit 2103a49026fd1c406f2607ef7d070b3081835982
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-20

    icon-canvas-item: simplify the code a bit

M	libnautilus-private/nautilus-icon-canvas-item.c

commit f58a70a92a83f8979f43ed84fd79d9b764e6d7c6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-20

    eel: remove unused eel_pixbuf_render()

M	eel/eel-gdk-pixbuf-extensions.c
M	eel/eel-gdk-pixbuf-extensions.h

commit 8b13a044cc226cf1347831ef566938a24aa5f9a1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-20

    general: use eel_create_spotlight_pixbuf()

M	src/nautilus-list-model.c
M	src/nautilus-places-sidebar.c
M	src/nautilus-tree-sidebar-model.c

commit 09f0b79d854b00469410e2466897df6db5b4d51d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-20

    icon-canvas-item: remove an useless snippet of drawing code

M	libnautilus-private/nautilus-icon-canvas-item.c

commit a083fa0d0bbd99f1b74d28af305efeb71859e775
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-20

    icon-container: hook to style_updated instead of style_set

M	libnautilus-private/nautilus-icon-container.c

commit e652eb079514451313a67408c1cc3c8188ae0161
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-20

    icon-container: remove unused style properties

M	libnautilus-private/nautilus-icon-container.c
M	libnautilus-private/nautilus-icon-private.h

commit a1fa4eaa03493d6b69c5e79db296a83532974f63
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-20

    icon-canvas-item: use eel_create_spotlight_pixbuf()

    Instead of passing eel_pixbuf_render() always the same values

M	libnautilus-private/nautilus-icon-canvas-item.c

commit 207a2499a3f19b194acb93925084bbd7800fe0bc
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-20

    css: move the style properties from adwaita here

M	data/nautilus.css

commit 2a1fbaf839fc7eaae505e3534acd317e9dd47b1b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-19

    canvas: fix an ACTIVE -> NORMAL typo from GtkStyleContext conversion

M	eel/eel-canvas.c

commit d0d90599476e4f21d3e07fd670b6c18b6ba06794
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-19

    icon-container: fix a couple of ACTIVE -> NORMAL typos

M	libnautilus-private/nautilus-icon-container.c

commit e2ca42cac78cb0287a1bbb73030e7bba8b171970
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-19

    icon-container: remove useless theming properties

M	libnautilus-private/nautilus-icon-canvas-item.c
M	libnautilus-private/nautilus-icon-container.c

commit 5bfc3e50c91c4c6fc129e9383e3f2f20a87be0cf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-19

    views: use proper background color for inactive panes

M	libnautilus-private/nautilus-icon-container.c
M	src/nautilus-list-view.c

commit d55ca5df614a56f3d9750df1fbcfcca155dce0b4
Author: Marios Zindilis <m.zindilis@dmajor.org>
Date:	2011-01-19

    Updated Greek translation

M	po/el.po

commit bd179dad12aa8175ed7e02f9421c0d1ed125bd2a
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:	2011-01-18

    Updated Ukrainian translation

M	po/uk.po

commit 9eee9ff6ca3e93d5d363725282d8ba393a1e6d01
Author: Markus T. Vartiainen <mtvartia@gmail.com>
Date:	2011-01-18

    list-view: jump to parent with left key on collapsed rows (#639688)

M	src/nautilus-list-view.c

commit c6fa6b2062a1adf3e4945824048b3771edb35ebe
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-18

    places-sidebar: plug a leak and cleanup code a bit

M	src/nautilus-places-sidebar.c

commit f394ce8c052dd65c8343106964ba4431d97d261c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-18

    icon-container: plug a memory leak

M	libnautilus-private/nautilus-icon-container.c

commit 8f15b28dd7afdd1a5c5b9c0d54c05d978a10461a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-18

    eel: plug some leaks in gsettings helpers

M	eel/eel-glib-extensions.c

commit 04d3aa67294f300f3b0bd927be5f45666260c5d3
Author: Nicolò Chieffo <84yelo3@gmail.com>
Date:	2011-01-17

    progress-info: use a symbolic icon for the notification area (#596568)

M	libnautilus-private/nautilus-progress-info.c

commit 12c3841911b47e1496d8c8fea2429cf3ca4bf8d0
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-01-17

    [l10n] Updated Estonian translation

M	po/et.po

commit 9e016ee923a2625ebd4d66cf18f3a6d2c903e6c8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-17

    progress-info: tie the application life to the whole file operation

    And not to the progress widget only, as that
    - starts hidden for the first seconds
    - is not destroyed when the operation finishes, but only hidden

    Using g_application_hold/release with the progress operation lifetime
    seems like a better way to deal with the app lifecycle.

M	libnautilus-private/nautilus-progress-info.c

commit a11b54d5752d9792f9af05942901396330688cf7
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-01-16

    [l10n] Updated Estonian translation

M	po/et.po

commit 7cbc6f2ee4f85f6923bf56b4891f91c04edaae31
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-01-16

    Updated Spanish translation

M	po/es.po

commit 8efb55bc266f8b471059b9bc83de19f4085fef48
Author: Xan Lopez <xan@gnome.org>
Date:	2011-01-16

    places-sidebar: remove unused variable

    It was being freed uninitialized, which caused a warning (and a build
    failure with -Werror).

M	src/nautilus-places-sidebar.c

commit fcd8981ef68dd351910539302965476a66f0218f
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-01-14

    [l10n] Updated Estonian translation

M	po/et.po

commit bf5d259288868a70258e63960ddc0eabe96bf9c8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-14

    application: don't quit if there are pending file operations

    Now that we're a single-window application, this has become much more
    relevant.

M	libnautilus-private/nautilus-progress-info.c
M	libnautilus-private/nautilus-ui-utilities.c
M	libnautilus-private/nautilus-ui-utilities.h
M	src/nautilus-application.c

commit f4637ff4481ee6d7d1e0453a5bd3ec4ac9dca17d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-14

    bookmark: don't call into nautilus_file methods unconditionally

    As NautilusBookmark's file might be NULL in some cases.

M	libnautilus-private/nautilus-bookmark.c

commit c55ddd80f16e56a366fe9e746c3632521d10f042
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-14

    bookmark-list: avoid setting the bookmark icon by hand

    When creating a bookmark from the GTK+ list, otherwise we end up
    overriding NautilusBookmark's special casing when reloading the list

M	src/nautilus-bookmark-list.c

commit c637811c268abdecae3a3720b1f77fc7fe5bcd6a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-14

    bookmark: add debug messages

M	libnautilus-private/nautilus-bookmark.c
M	libnautilus-private/nautilus-debug.c
M	libnautilus-private/nautilus-debug.h

commit ce44fecb484ff1d6ae069446e3296f223b247c87
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-01-14

    Updated Galician translations

M	po/gl.po

commit 35a9e17696c0ff126a327f61046ab9e662a1738d
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-01-13

    [l10n] Updated Estonian translation

M	po/et.po

commit ae1e300376b3479e14045892caa720dd3903a89c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-12

    window-manage-views: re-add an accidentally removed snipped of code

M	src/nautilus-window-manage-views.c

commit d4df96c1e5c6bde62fd55dab1cbaae8a57f2b92e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-12

    all: use new NautilusBookmark API

M	src/nautilus-bookmark-list.c
M	src/nautilus-bookmark-list.h
M	src/nautilus-bookmarks-window.c
M	src/nautilus-places-sidebar.c
M	src/nautilus-window-bookmarks.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-menus.c
M	src/nautilus-window-slot.c

commit 3aa0396da2014b35f0ef21dffd29e4953667ceb2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-12

    all: use nautilus_bookmark_get_gicon()

M	libnautilus-private/nautilus-ui-utilities.c
M	src/nautilus-bookmarks-window.c
M	src/nautilus-window-menus.c

commit f6850158283858aae24ed3f1982341bc1b587d28
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-12

    file-utilities: make compute_title_for_location() return the basename

    As a last-resort fallback.

M	libnautilus-private/nautilus-file-utilities.c

commit 7cbd07aa15a3c099dfd69ab7cdcfd3dcbea38b51
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-12

    file: remove unused code

M	libnautilus-private/nautilus-file.c
M	libnautilus-private/nautilus-file.h
M	src/nautilus-pathbar.c

commit f1c782c13dd675bafffb2a4d85900da52be88f3f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-12

    file: make nautilus_file_get_gicon() return custom icons too

M	libnautilus-private/nautilus-file.c

commit ef5ebfe5db767a2f703e1f5cc57f6ab829d5499a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-12

    bookmark: refactor the object

    - add properties for location, name, custom name and icon
    - make the code less convoluted, removing the appearance-changed
    signal
    - remove _get_pixbuf(), _get_icon() should be used instead

M	libnautilus-private/nautilus-bookmark.c
M	libnautilus-private/nautilus-bookmark.h

commit 8057f745fe1e741c8f2a3756efebc7c7e15cbf68
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2011-01-12

    Updated Arabic translation

M	po/ar.po

commit 906cea0bc4b2deac177e417551109b8319ee78cd
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-01-11

    Updated Hebrew translation.

M	po/he.po

commit 31461f9f4782b0df89a14812c252addaa7d6e983
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    mime-actions: update the filtered out desktop files for folders

M	src/nautilus-mime-actions.c

commit a22f2501c8c00f16150d1de98d7039063a4e002a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    desktop-files: cleanup desktop files installed by nautilus

    In the 3.0 world, nautilus doesn't have to install a hundred of
    desktop
    files, as it's just a regular application.
    Tweak the default desktop file to make it suitable for being the only
    one, and remove the others.

M	configure.in
M	data/Makefile.am
D	data/nautilus-browser.desktop.in.in
D	data/nautilus-computer.desktop.in.in
D	data/nautilus-folder-handler.desktop.in.in
D	data/nautilus-home.desktop.in.in
M	data/nautilus.desktop.in.in
M	po/POTFILES.in
M	src/Makefile.am
D	src/network-scheme.desktop.in

commit f2533adf30822d3839b67c5f81e410b5e212f7a7
Author: Maciej Piechotka <uzytkownik2@gmail.com>
Date:	2011-01-11

    Fix handling of AM_CONDITIONAL

M	configure.in

commit 395ba0fd8f679e6e2674eb0ce5976638edb9d979
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    window: remove unused and confusing code

M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h
M	src/nautilus-window.c
M	src/nautilus-window.h

commit 48ac967bff48e7e4a38c96859ebfd2f522179fa3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    desktop-window: implement the right method for setting window title

    https://bugzilla.gnome.org/show_bug.cgi?id=555425

M	src/nautilus-desktop-window.c

commit f9cb9e158b365ef3d1ed27cfa0ae138f367bd42a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    i18n: update POTFILES.in

M	po/POTFILES.in

commit 9367d11d3a00d5192174f744eeea9e395fcd501a
Merge: 6430fd4 b13efe1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    Merge branch 'refactor'

commit b13efe1653ea1932bba8c3f3555729d34a21412c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    empty-view: fix it to make it work again with current architecture

M	src/Makefile.am
M	src/nautilus-application.c
M	src/nautilus-empty-view.c
M	src/nautilus-empty-view.h

commit d5c9bae1381cb1f322d5ee3e0efbb27e06154574
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    Move other files away from src/file-manager

M	configure.in
M	src/Makefile.am
D	src/file-manager/Makefile.am
R100	src/file-manager/nautilus-desktop-icon-view-ui.xml
src/nautilus-desktop-icon-view-ui.xml
R100	src/file-manager/nautilus-directory-view-ui.xml
src/nautilus-directory-view-ui.xml
R100	src/file-manager/fm-empty-view.c	src/nautilus-empty-view.c
R100	src/file-manager/fm-empty-view.h	src/nautilus-empty-view.h
R100	src/file-manager/nautilus-icon-view-ui.xml
src/nautilus-icon-view-ui.xml
R100	src/file-manager/nautilus-list-view-ui.xml
src/nautilus-list-view-ui.xml

commit 70b1acf6b0d4ef68903445d4198e78c5ea4807e5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    Finish renaming fm_* -> nautilus_*

M	src/nautilus-actions.h
M	src/nautilus-desktop-icon-view.c
M	src/nautilus-desktop-item-properties.c
M	src/nautilus-desktop-item-properties.h
M	src/nautilus-error-reporting.c
M	src/nautilus-error-reporting.h
M	src/nautilus-icon-view.c
M	src/nautilus-list-view.c
M	src/nautilus-properties-window.c
M	src/nautilus-view.c

commit e0538b42e65601d9ebee5beffaefebb3e425672e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    properties-window: move FMPropertiesWindow to NautilusPropertiesWindow

M	src/Makefile.am
M	src/file-manager/Makefile.am
D	src/file-manager/fm-properties-window.h
R099	src/file-manager/fm-ditem-page.c
src/nautilus-desktop-item-properties.c
R100	src/file-manager/fm-ditem-page.h
src/nautilus-desktop-item-properties.h
R093	src/file-manager/fm-properties-window.c
src/nautilus-properties-window.c
A	src/nautilus-properties-window.h
M	src/nautilus-tree-sidebar.c
M	src/nautilus-view.c

commit 690909b8eb0b346d76b28da03c9228494e700db6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    Rename FMListModel/View -> NautilusListModel/View

    And move them outside of src/file-manager

M	src/Makefile.am
M	src/file-manager/Makefile.am
D	src/file-manager/fm-list-model.h
M	src/nautilus-application.c
R072	src/file-manager/fm-list-model.c	src/nautilus-list-model.c
A	src/nautilus-list-model.h
R100	src/file-manager/fm-list-view-private.h
src/nautilus-list-view-private.h
R080	src/file-manager/fm-list-view.c src/nautilus-list-view.c
R052	src/file-manager/fm-list-view.h src/nautilus-list-view.h
M	src/nautilus-view.c

commit 757a5acffc9e4ac7bdbd0dcfb5eaa1f64da8a471
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    icon-view-container: rename FMIconContainer ->
    NautilusIconViewContainer

M	src/nautilus-desktop-icon-view.c
M	src/nautilus-icon-view-container.c
M	src/nautilus-icon-view-container.h
M	src/nautilus-icon-view.c

commit ba4c8ef658f4f3e9e46d6cae12d84f06cf0a14b2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    desktop-icon-view: rename FMDesktopIconView -> NautilusDesktopIconView

M	src/nautilus-application.c
M	src/nautilus-desktop-icon-view.c
M	src/nautilus-desktop-icon-view.h
M	src/nautilus-icon-view.c
M	src/nautilus-view-dnd.c
M	src/nautilus-view.c

commit bb124418d4c131b03772acc64be3acf91903e9fb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    icon-view: rename FMIconView -> NautilusIconView

M	src/nautilus-application.c
M	src/nautilus-desktop-icon-view.c
M	src/nautilus-desktop-icon-view.h
M	src/nautilus-icon-view-container.c
M	src/nautilus-icon-view-container.h
M	src/nautilus-icon-view.c
M	src/nautilus-icon-view.h

commit b20ff7a5cd1d9304c5716433de1958faedccefde
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    Move icon views outside of src/file-manager

    Part of the final step towards removing src/file-manager completely;
    only code shuffling around, not any real code change.

M	src/Makefile.am
M	src/file-manager/Makefile.am
D	src/file-manager/fm-actions.h
M	src/file-manager/fm-list-view.c
M	src/file-manager/fm-properties-window.c
M	src/nautilus-actions.h
M	src/nautilus-application.c
R100	src/file-manager/nautilus-audio-mime-types.h
src/nautilus-audio-mime-types.h
R099	src/file-manager/fm-desktop-icon-view.c
src/nautilus-desktop-icon-view.c
R098	src/file-manager/fm-desktop-icon-view.h
src/nautilus-desktop-icon-view.h
R099	src/file-manager/fm-error-reporting.c
src/nautilus-error-reporting.c
R100	src/file-manager/fm-error-reporting.h
src/nautilus-error-reporting.h
R099	src/file-manager/fm-icon-container.c
src/nautilus-icon-view-container.c
R098	src/file-manager/fm-icon-container.h
src/nautilus-icon-view-container.h
R099	src/file-manager/fm-icon-view.c src/nautilus-icon-view.c
R100	src/file-manager/fm-icon-view.h src/nautilus-icon-view.h
M	src/nautilus-view-dnd.c
M	src/nautilus-view.c

commit e1ca0591f0588d114249361c624f467126b323c9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    view: drop FMDirectoryView name

    Big code rename/indent fix, no actual code change here.

M	src/file-manager/fm-desktop-icon-view.c
M	src/file-manager/fm-icon-container.c
M	src/file-manager/fm-icon-view.c
M	src/file-manager/fm-icon-view.h
M	src/file-manager/fm-list-view.c
M	src/file-manager/fm-list-view.h
M	src/nautilus-view-dnd.c
M	src/nautilus-view.c
M	src/nautilus-view.h

commit 00578e62066c1c5dadf4a0080dcb56c215334619
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-01

    view: remove useless virtual method

M	src/nautilus-view.c
M	src/nautilus-view.h

commit 8d726bab91c50d42edcb7e9a0e4107b6b0277ade
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-01

    view: move icon-view-only preferences to FMIconView

    Instead of using virtual methods

M	src/file-manager/fm-icon-view.c
M	src/nautilus-view.c
M	src/nautilus-view.h

commit 9ab314c1dd30dc2d30fc46a62e2d31059c4c340a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-31

    view: remove emblems_changed code

    This hack should not be required anymore now that we don't have user
    emblems.
    Other emblems should be taken care of by the normal NautilusFile's
    changed signal.

M	src/file-manager/fm-icon-view.c
M	src/file-manager/fm-list-view.c
M	src/nautilus-view.c
M	src/nautilus-view.h

commit d7de8e23fbe75e4a6ecbaf729affc9cbab9e08a3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-31

    signaller: remove unused emblems-changed signal

M	libnautilus-private/nautilus-signaller.c

commit 5e57025a405e4ccbdd7a4ff51fa48d7eb4fb3671
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-31

    view: remove useless virtual methods

    No need for some internal methods to be virtual if they're never
    overridden.
    Also, some of this code does nothing.

M	src/file-manager/fm-icon-container.c
M	src/nautilus-view.c
M	src/nautilus-view.h

commit 9b29835c04fcaae84760a328a6cc70705c214506
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-31

    places-sidebar: remove "Format..." action code

M	src/nautilus-places-sidebar.c

commit e4975471d233f1217bca48fae17519a285336645
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-31

    view: remove commented out "Format..." action code

M	src/file-manager/fm-actions.h
M	src/file-manager/nautilus-directory-view-ui.xml
M	src/nautilus-view.c

commit d0985e6d5ed7f6732bb4ee4b836192852adface2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-31

    view: remove unused flush_added_files signal

M	src/file-manager/fm-icon-view.c
M	src/nautilus-view.c
M	src/nautilus-view.h

commit 7a4af383a2cb0e0257213e0e21f62e6cc82a7e58
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-31

    view: don't check for allow_moves in the view superclass

    The property is only used by the icon view, so it's better to move the
    check there.

M	src/file-manager/fm-icon-view.c
M	src/nautilus-view.c
M	src/nautilus-view.h

commit be2d9bba9864f2834a57b608d47140f1e20eca66
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-29

    view: make nautilus_view_load_location() consistent with its name

M	src/nautilus-view.c
M	src/nautilus-view.h
M	src/nautilus-window-manage-views.c

commit 69c2c9f8c5855a7993f23998cff3ce3eab87fd45
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-29

    view: use NautilusFile objects for the view selection

    Use them in a consistent way, so to cleanup the previous
    GFile/NautilusFile confusion.

M	src/file-manager/fm-desktop-icon-view.c
M	src/file-manager/fm-icon-view.c
M	src/file-manager/fm-list-view.c
M	src/nautilus-spatial-window.c
M	src/nautilus-trash-bar.c
M	src/nautilus-view.c
M	src/nautilus-view.h
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h

commit eb178062ec31bf6a877e5bc61f697f85a3f927fe
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-29

    spatial-window: don't unref the main loop we're about to destroy

M	src/nautilus-spatial-window.c

commit ac1fbbba66c61d61c4469949b925862fa3c6600b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-29

    window: remove unused code

M	src/nautilus-window-slot.h
M	src/nautilus-window.c
M	src/nautilus-window.h

commit 57c8b0416135ee3b5c1315b3419269d20ced233c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-29

    view: split DnD code into its own module

    And use new method names in other classes

M	src/Makefile.am
M	src/file-manager/fm-icon-view.c
M	src/file-manager/fm-list-view.c
A	src/nautilus-view-dnd.c
A	src/nautilus-view-dnd.h
M	src/nautilus-view.c
M	src/nautilus-view.h
M	src/nautilus-window-slot-dnd.c

commit 1f734cce8b243e2c1c1fd40491ab4e38c0eb65cd
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-29

    view: reduce visibility of some methods

    No need for them to stay public.
    Remove some useless prototypes and reorder virtual methods,
    while we're
    at it.

M	src/file-manager/fm-icon-view.c
M	src/nautilus-view.c
M	src/nautilus-view.h

commit 4c20fa07d8a587ebe8de820a0206aa8a75edc5d8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-29

    window: remove nautilus_window_get_selection[_count]

    No need to duplicate selection handling between view and window.

M	src/nautilus-trash-bar.c
M	src/nautilus-trash-bar.h
M	src/nautilus-view.c
M	src/nautilus-view.h
M	src/nautilus-window-manage-views.c
M	src/nautilus-window.c
M	src/nautilus-window.h

commit dedd9e11ec6ff499b82bdb7a9b9bde7927066560
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-29

    Rework architecture of NautilusView/FMDirectoryView

    As a second step after ff5c759b3784db2d0cd71e1cde613dda007c3985, this
    removes the NautilusView/FMDirectoryView interface split, changing
    FMDirectoryView to be NautilusView directly.

    Left to do: complete renaming the public fm_directory_view methods to
    nautilus_view, and get rid of src/file-manager entirely.

M	libnautilus-private/Makefile.am
M	libnautilus-private/nautilus-dnd.c
D	libnautilus-private/nautilus-view.c
D	libnautilus-private/nautilus-view.h
M	src/Makefile.am
M	src/file-manager/Makefile.am
M	src/file-manager/fm-desktop-icon-view.c
M	src/file-manager/fm-icon-view.c
M	src/file-manager/fm-icon-view.h
M	src/file-manager/fm-list-view.c
M	src/file-manager/fm-list-view.h
M	src/nautilus-trash-bar.c
M	src/nautilus-view-factory.h
R098	src/file-manager/fm-directory-view.c	src/nautilus-view.c
R087	src/file-manager/fm-directory-view.h	src/nautilus-view.h
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-pane.h
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h
A	src/nautilus-window-types.h
M	src/nautilus-window.h
M	src/nautilus-x-content-bar.c

commit 10998fbf14029163d3669f1e2a9f1676b02e7d09
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-28

    main: remove unneeded code

M	src/nautilus-main.c

commit 79ef5be141a55ccce67daf42b73aa0a4affa7a13
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-28

    window-slot: trivial cleanups

M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.c

commit acf3e032099dc2f7a156e755edb23a3dd8305fc8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-28

    window-slot: rename get_current_location -> get_current_uri

M	src/file-manager/fm-directory-view.c
M	src/nautilus-places-sidebar.c
M	src/nautilus-tree-sidebar.c
M	src/nautilus-window-slot-dnd.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h

commit 977fc6383dc74a320ce951d4d0b2f81f31e9cdcf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-27

    window: cleanup nautilus_window_reload()

M	src/nautilus-window-manage-views.c
M	src/nautilus-window-menus.c
M	src/nautilus-window.c
M	src/nautilus-window.h

commit ab75e5447ca5a5a5d7054c907d008816ad911c20
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-26

    navigation-action: cleanup

M	src/nautilus-navigation-action.c

commit 2807b8884acab27de359a4ab51b9b57e8fb86a0f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-26

    window: remove useless snippets

M	src/nautilus-navigation-window.c

commit b1011eced7e561b05dca2aa6345d3c5b3225610e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-23

    window: remove useless method calls

    nautilus_window_slot_set_content_view_widget() is called afterwards,
    which in turn calls again _disconnect_view()

M	src/nautilus-window-manage-views.c

commit d166f04b8886687df6f03d0e03ec16c887f9842b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-23

    window: remove non existent function declaration

M	src/nautilus-window.h

commit 6ff03b33b724d882cfabb67b1f1fb4e8287e932f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-22

    window: cleanup nautilus_window_allow_reload()

M	src/nautilus-window.c
M	src/nautilus-window.h

commit 553edbfbaf7e4fc171453634aa41006d49533da2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-21

    window: cleanup nautilus_window_go_up()

M	src/nautilus-window-manage-views.c
M	src/nautilus-window-menus.c
M	src/nautilus-window-slot.h
M	src/nautilus-window.c
M	src/nautilus-window.h

commit 558e394a8dfba5f1c92423ac45c6462461720199
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-21

    window: cleanup nautilus_window_go_home()

M	src/nautilus-navigation-window-menus.c
M	src/nautilus-window.c
M	src/nautilus-window.h

commit d9ce97b0501cb3006013080ed688aa25649a31f6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-21

    window-slot: remove commented out code

M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.h

commit a8d0c04c154ee8458fd5fd24091de1a8c92a6da4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-21

    window-slot: cleanup connect/disconnect_view()

M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h
M	src/nautilus-window.c

commit 307e0edbe7457a70f4a61acdfecb1ae38d8c243b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-21

    window-slot: cleanup of window_slot_open_location() functions

M	src/file-manager/fm-directory-view.c
M	src/nautilus-mime-actions.c
M	src/nautilus-navigation-window-pane.c
M	src/nautilus-places-sidebar.c
M	src/nautilus-spatial-window.c
M	src/nautilus-tree-sidebar.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.h
M	src/nautilus-window.c

commit cfdf80763ef3f7f3f88239fdba27ce01b642ab32
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-21

    window-slot: remove nautilus_window_slot_open_location()

    It's unused.

M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.h

commit ad0d377ac236392a9ccaeae789e07e1af4a796e5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-21

    Rework architecture of NautilusWindow/NautilusWindowSlotInfo

    In the past, nautilus was designed keeping in mind the concept that it
    might not just be a file browser, but a sort of platform to embed
    various kind of views in it.
      - libnautilus-private: general lowlevel items, such as the icon
	container, NautilusFile, I/O and so on
      - src: general widgets and UI items
      - src/file-manager: file manager views, agnostic of what's in src/,
	for the sake of being pluggable enough

    This is really not applicable anymore, as nautilus won't go in any
    direction other than being a file manager; at the same time, this
    complicates code and architecture quite a lot.

    In this commit, as a first step towards a more clean codebase,
    we remove
    the NautilusWindowInfo and NautilusWindowSlotInfo interfaces, using
    NautilusWindow and NautilusWindowSlot directly.

    Note that there should be no actual code changes, only moving
    of pieces
    around.

M	libnautilus-private/Makefile.am
M	libnautilus-private/nautilus-dnd.c
M	libnautilus-private/nautilus-dnd.h
D	libnautilus-private/nautilus-window-info.c
D	libnautilus-private/nautilus-window-info.h
D	libnautilus-private/nautilus-window-slot-info.c
D	libnautilus-private/nautilus-window-slot-info.h
M	src/Makefile.am
M	src/file-manager/fm-desktop-icon-view.c
M	src/file-manager/fm-directory-view.c
M	src/file-manager/fm-directory-view.h
M	src/file-manager/fm-icon-view.c
M	src/file-manager/fm-list-view.c
M	src/nautilus-application.h
M	src/nautilus-bookmarks-window.c
M	src/nautilus-connect-server-dialog-main.c
M	src/nautilus-connect-server-dialog-nonmain.c
M	src/nautilus-connect-server-dialog.c
M	src/nautilus-connect-server-dialog.h
M	src/nautilus-location-bar.c
M	src/nautilus-mime-actions.c
M	src/nautilus-mime-actions.h
M	src/nautilus-navigation-window-menus.c
M	src/nautilus-navigation-window-pane.c
M	src/nautilus-navigation-window-slot.c
M	src/nautilus-navigation-window.c
M	src/nautilus-places-sidebar.c
M	src/nautilus-places-sidebar.h
M	src/nautilus-query-editor.h
M	src/nautilus-spatial-window.c
M	src/nautilus-trash-bar.c
M	src/nautilus-tree-sidebar.c
M	src/nautilus-tree-sidebar.h
M	src/nautilus-view-as-action.c
R098	libnautilus-private/nautilus-view-factory.c
src/nautilus-view-factory.c
R094	libnautilus-private/nautilus-view-factory.h
src/nautilus-view-factory.h
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-manage-views.h
M	src/nautilus-window-menus.c
M	src/nautilus-window-private.h
M	src/nautilus-window-slot-dnd.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h
M	src/nautilus-window.c
M	src/nautilus-window.h

commit 4c031a4794126af08cea1774dd7ec3904d0ad25e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-21

    mime-actions: move nautilus-mime-actions to src/

M	libnautilus-private/Makefile.am
M	libnautilus-private/nautilus-program-choosing.c
M	src/Makefile.am
M	src/file-manager/Makefile.am
M	src/file-manager/fm-directory-view.c
M	src/file-manager/fm-properties-window.c
R099	libnautilus-private/nautilus-mime-actions.c
src/nautilus-mime-actions.c
R100	libnautilus-private/nautilus-mime-actions.h
src/nautilus-mime-actions.h
M	src/nautilus-navigation-window.c
M	src/nautilus-spatial-window.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window.c

commit 97e67f49279ad87737541249ef09b99c4bc1d9fe
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-21

    dnd: move DnD slot proxying code to src/

M	libnautilus-private/nautilus-dnd.c
M	libnautilus-private/nautilus-dnd.h
M	src/Makefile.am
M	src/nautilus-notebook.c
M	src/nautilus-pathbar.c
A	src/nautilus-window-slot-dnd.c
A	src/nautilus-window-slot-dnd.h

commit 6430fd4a7435336a61000e2255621fb0023252d1
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-01-11

    [l10n] Updated Estonian translation

M	po/et.po

commit 63724239779c6f5f4dcb76ebde7f66f691a75786
Author: Andika Triwidada <andika@gmail.com>
Date:	2011-01-11

    Updated Indonesian translation

M	po/id.po

commit 9022942dce517bc0fe52fdb769f6950c0aa5c444
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-01-10

    [l10n] Updated Estonian translation

M	po/et.po

commit cd976fa26099fb8c1f2084a6bae7ac0b05f5e29e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-10

    Release 2.91.7

M	NEWS
M	configure.in
M	po/POTFILES.in

commit f6d4eed031e94570151cb4599e93d92b4612d53b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-10

    debug: fix build without debugging support (#639107)

M	configure.in
M	libnautilus-private/nautilus-debug.c
M	libnautilus-private/nautilus-debug.h
M	src/nautilus-main.c

commit ac168820fbb4db7fbdf243a0d6b118ce445cdf37
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-10

    file-operations: make Create Document/Folder use the right template

    Make Create Document/Folder use "Untitled Document/Template/Folder %d"
    filename format.

    Based on a patch by Marcus Husar
    <marcus.husar@rose.uni-heidelberg.de>.

M	libnautilus-private/nautilus-file-operations.c

commit 5846b33c5cd26ec3fe50255c628954d129c8ffc0
Author: Marcus Husar <marcus.husar@rose.uni-heidelberg.de>
Date:	2011-01-10

    Clean context menu and "File" menu (#618469)

    Also use "Create New Folder/Document".

    Part of https://bugzilla.gnome.org/show_bug.cgi?id=618469

M	src/file-manager/fm-actions.h
M	src/file-manager/fm-directory-view.c
M	src/file-manager/nautilus-directory-view-ui.xml
M	src/nautilus-tree-sidebar.c

commit 0ff4fdb4c8228a358d3a0bc87b63b02751624716
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-01-10

    Updated Galician translations

M	po/gl.po

commit 8f9bb67e39a9d32be051416a474c3142539f7c3f
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:	2010-12-05

    Add base libraries so building with --as-needed works

M	nautilus-sendto-extension/Makefile.am

commit 179b688c5938ba12e101a0231ba46199d2de4a5e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-10

    window: remove unused code

M	src/nautilus-window-private.h
M	src/nautilus-window.c

commit b12aeed547664d44b0b552db06a5ec7b6d9b200b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-10

    bookmark: compare URIs before names

M	libnautilus-private/nautilus-bookmark.c

commit 120797cec00929dac58ac4ac838719dc67e9cae0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-10

    Use a consistent name for the Home folder (#341894)

    Based on a patchset by Marcus Husar
    <marcus.husar@rose.uni-heidelberg.de>

M	libnautilus-private/nautilus-bookmark.c
M	libnautilus-private/nautilus-desktop-link.c
M	src/file-manager/fm-directory-view.c
M	src/nautilus-places-sidebar.c
M	src/nautilus-tree-sidebar.c
M	src/nautilus-window-menus.c
M	src/nautilus-window-slot.c

commit 50e0c03f67072e374f8202ba7a25221fa7f88b99
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-01-09

    Updated Galician translations

M	po/gl.po

commit 598ede33ab781b46120d2149c37f47fcb7615ca2
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2011-01-09

    Updated Russian translation

M	po/ru.po

commit cd2a6e35c5757c7ca817aeef415873d2d4d8baee
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-01-07

    Updated Slovenian translation

M	po/sl.po

commit d51bc0c99b0ca6e8bc402b7ae5848e9ced2dab46
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-01-06

    [l10n] Updated Estonian translation

M	po/et.po

commit 3ff059dcc1b76a7cde6d7111b9620d373c18b9a8
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-01-04

    Updated Hebrew translation.

M	po/he.po

commit f8f87d8cca0a9aa54d5a1290576eb0855098ffda
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-01-02

    [l10n] Updated Estonian translation

M	po/et.po

commit 61476e9e0a776e1db74f73db1b3fa9291d997a83
Author: Daniel Nylander <po@danielnylander.se>
Date:	2010-12-29

    Updated Swedish translation

M	po/sv.po

commit 09cb61a5cc2b9e5f7b85ae619d2cc2d06bf5ef06
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-12-29

    Updated Spanish translation

M	po/es.po

commit 811f49d1e0981f7414a57004a7fd0df95f64dfd8
Author: A S Alam <aalam@users.sf.net>
Date:	2010-12-29

    update Punjabi Translation

M	po/pa.po

commit ddd507228a8a7a89c0398411f44d30e6ee9d73ed
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-28

    pathbar: remove buttons only if the gone file is below the current

    This should fix once and for all the crashers when ejecting devices.

M	src/nautilus-pathbar.c

commit 70df8fad8b1ddf470e8600f6e8e9bc953853b419
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-26

    desktop-icon-view: don't use deprecated GDK grab API

M	src/file-manager/fm-desktop-icon-view.c

commit bd151c8174796c1c5b0b6466ef8a0e3a0e214054
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-26

    general: don't use deprecated gdk_app_launch_context_new()

M	eel/eel-gnome-extensions.c
M	eel/eel-gnome-extensions.h
M	libnautilus-private/nautilus-program-choosing.c
M	src/nautilus-connect-server-dialog-main.c

commit 2ff006dd583f58ff2dd687f538e59757a8bd70c4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-26

    canvas: don't use deprecated GDK grab API

M	eel/eel-canvas.c
M	eel/eel-canvas.h

commit 7fa4d2202358940ef5a0dd70eb88996ac371cffd
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-12-23

    Added UG translation

M	po/ug.po

commit aac9a486cb310c62d1167cfe37118a70d772d41e
Author: Erdal Ronahi <erdal.ronahi@gmail.com>
Date:	2010-12-23

    Updated Kurdish translations

M	po/ku.po

commit 318a9bd653fb02a7c94e42139377cef5ed254dd2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-22

    Release 2.91.6

M	NEWS
M	configure.in

commit b569d2cfa31951f67229e3aab00cd7f33c1ff3db
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-22

    general: use nautilus_launch_application instead of gdk_spawn API

M	libnautilus-private/nautilus-mime-actions.c
M	src/file-manager/fm-desktop-icon-view.c
M	src/file-manager/fm-directory-view.c
M	src/nautilus-tree-sidebar.c
M	src/nautilus-window-menus.c

commit 77ecdd69b023a16fc4d6d2895dd470c628679168
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-22

    program-choosing: don't use gdk_spawn_ API

M	libnautilus-private/nautilus-program-choosing.c
M	libnautilus-private/nautilus-program-choosing.h

commit 13b6a5a50db8dd35dbcbbf1d318ba747609dfb70
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-22

    eel: don't use gdk_spawn_ API

M	eel/eel-gnome-extensions.c

commit 74a8f78e2a5b06485c7daf830372a5f7b15a87b8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-22

    general: don't use gdk_cursor_unref()

M	eel/eel-editable-label.c
M	libnautilus-private/nautilus-icon-canvas-item.c
M	libnautilus-private/nautilus-icon-container.c
M	src/file-manager/fm-list-view.c
M	src/file-manager/fm-properties-window.c
M	src/nautilus-window.c

commit 2737d431e44e3e4dc12e9098b6e17881ca28c1f7
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:	2010-12-22

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit 08462d0f0235274f1b6c2b12df47e27932b343ee
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-20

    Release 2.91.5

M	NEWS
M	configure.in

commit f42d5aa97de09de7052fa80abda62fabe17dfb13
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-20

    smclient: remove XSMP support

    EggSmClient is not well-maintained, and it doesn't seem like it will
    ever hit GTK+, and the overall implementation seems to be poorly
    tested
    and buggy.

    Moreover, moving to 3.0 with nautilus being an application, it makes
    less sense to have it save opened windows state, as it might not be
    always running at all.

M	cut-n-paste-code/libegg/Makefile.am
D	cut-n-paste-code/libegg/eggdesktopfile.c
D	cut-n-paste-code/libegg/eggdesktopfile.h
D	cut-n-paste-code/libegg/eggsmclient-private.h
D	cut-n-paste-code/libegg/eggsmclient-xsmp.c
D	cut-n-paste-code/libegg/eggsmclient.c
D	cut-n-paste-code/libegg/eggsmclient.h
M	po/POTFILES.in
M	src/Makefile.am
D	src/nautilus-application-smclient.c
D	src/nautilus-application-smclient.h
M	src/nautilus-application.c
M	src/nautilus-application.h
M	src/nautilus-main.c

commit ee06a67a632476b9758cc00eaa573e12cc3cfc91
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-20

    mime-app-chooser: use g_app_info_set_as_last_used_for_content_type()

    Instead of add_supports_for_content_type(), which does not save the
    order in which custom apps have been used.

M	configure.in
M	libnautilus-private/nautilus-mime-application-chooser.c

commit b31222dae4c63479e0fe226a761f9c78bf08b6df
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-20

    mime: remove some useless code

    As GtkAppChooserDialog already takes care of calling
    g_app_info_set_as_last_used_for_content_type()

M	libnautilus-private/nautilus-mime-actions.c
M	src/file-manager/fm-directory-view.c

commit 2c279a4a6b3480bfd3581a3a35c53eac3e996653
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-12-20

    [l10n] Updated Estonian translation

M	po/et.po

commit 3fa0ed2ca3e35719422fbc526337b52393d860d2
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-12-19

    Updated Norwegian bokmål translation

M	po/nb.po

commit 9dc65e44c9f8e6c41079c0dc01220fe87fdfcecc
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2010-12-19

    po/vi.po: import some translations from Ubuntu/Maverick

M	po/vi.po

commit dd4cecdf8071552f80ba08fdb613a88090719e59
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2010-12-19

    Updated Hebrew translation.

M	po/he.po

commit fcfe53d5bd2121e4707e70345f18faa244c2dd75
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-18

    Remove reference to a non-existing old trademark notice file.

    https://bugzilla.gnome.org/show_bug.cgi?id=463173

M	COPYING

commit 196c8390fcc671ef8399c00936ac7242b118de08
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-12-18

    Updated Spanish translation

M	po/es.po

commit 83aeec725d0d3829a54cd700329864a2cab7a21b
Author: Marcus Carlson <marcus@mejlamej.nu>
Date:	2009-10-11

    Handle G_IO_ERROR_FILENAME_TOO_LONG errors nicely when renaming files

    https://bugzilla.gnome.org/show_bug.cgi?id=548844

M	src/file-manager/fm-error-reporting.c

commit 9403df1b54b442737ed96739aeacf6b6c9b58889
Author: Colin Walters <walters@verbum.org>
Date:	2010-12-17

    Fix cairo-gobject.h include

    $ pkg-config --cflags cairo-gobject
    -pthread -I/src/build/jhbuild/include/cairo
    $ ls /src/build/jhbuild/include/cairo/cairo-gobject.h
    /src/build/jhbuild/include/cairo/cairo-gobject.h

M	eel/eel-canvas.c

commit b2d4ac40205e22e63e598ab742b56283acbc8901
Author: Colin Walters <walters@verbum.org>
Date:	2010-12-17

    nautilus.desktop: Remove NoDisplay=true

    For GNOME 3, File Manager is moving towards being an application,
    and therefore, we want it to show up in the appliactions list.

M	data/nautilus.desktop.in.in

commit 67d0cbaf0ed7a8f25b3a47abbbaf0feba990e404
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-17

    location-entry: don't treat '~' as a relative path

    Based on a patch by Reed Lipman <rmlipman@gmail.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=628802

M	src/nautilus-location-entry.c

commit 184096f912b119edde1f538e8cdd5ea593d753ca
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-17

    icon-canvas-item: attempt to fix up a11y for NautilusIconCanvasItem

    Based on an initial patch by Alban Browaeys <prahal@yahoo.com>.

    https://bugzilla.gnome.org/show_bug.cgi?id=637425

M	libnautilus-private/nautilus-icon-canvas-item.c
M	libnautilus-private/nautilus-icon-container.c

commit 42865d5e82160ccb60fd9a890a22019dcb832527
Author: Alban Browaeys <prahal@yahoo.com>
Date:	2010-10-27

    icon-container: remove spurious call to gtk_adjustment_changed()

    https://bugzilla.gnome.org/show_bug.cgi?id=637424

M	libnautilus-private/nautilus-icon-container.c

commit bc5b8bde3070a4fe6071c9a428d38fa93be19314
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-12-15

    Updated Spanish translation

M	po/es.po

commit 1746a53cbbd450822ff857c3e1eadf5358b22cfa
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-15

    application: fix a copy-paste typo

M	src/nautilus-application.c

commit 08f71aa76cd5f250613f4a2833b43a72831974fc
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-15

    theming: cleanup previous manually parsed CSS

    It's not required anymore, now that we have a proper stylesheet.

M	src/nautilus-notebook.c
M	src/nautilus-window.c

commit 786ba61680bfaee136b4b72a53f220edb96a7db9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-15

    sidebar: set the NautilusSidebar class on the sidebar treeviews

    So they can get the proper background.

M	src/nautilus-places-sidebar.c
M	src/nautilus-tree-sidebar.c

commit dad5d12770817aa739ab9980faa66972144008a7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-12-15

    theming: add a CSS file for nautilus, and initialize it at startup

M	data/Makefile.am
A	data/nautilus.css
M	src/nautilus-application.c

